xpra icon
Bug tracker and wiki

Opened 6 months ago

Last modified 2 weeks ago

#2452 reopened defect

Firefox html5 clipboard sync is... confusing.

Reported by: alas Owned by: Antoine Martin
Priority: major Milestone: 4.1
Component: html5 Version: 3.0.x
Keywords: clipboard Cc:

Description (last modified by Antoine Martin)

Prepping to test #2312, I started realizing that the clipboard sync even for text was extraordinarily crazy-making. (It does suddenly occur to me that this might be a result of enabling the chrome://flags/#enable-experimental-web-platform-features as indicated in ticket:2312#comment:6 of that ticket - I'll check once I finish this ticket.)

Using Chrome 77 on Windows 7 against a 3.0-r24048 Fedora 30 server.

It took some time to isolate the behavior, but I finally came up with a reproducible set of steps that are as not-crazy-making as possible.

I launched the session with:

xpra start :13 --no-daemon --bind-tcp=0.0.0.0:1234 --bind-ws=0.0.0.0:1237 --start-child=xterm --start-child=xterm --exit-with-children

I then used one of the xterms to launch Firefox, then used a bing translate tab for a copy/paste input/output field, and word locally (I was hoping to be pasting images... a text file ought to work).

  • Copy the text 'test1' locally, paste into bing - pastes as expected, with the following output in the server logs.
    2019-10-17 10:27:04,950 client is requesting an unknown target: 'text/plain;charset=utf-8'
    2019-10-17 10:27:04,951  valid targets: UTF8_STRING, text/plain
    2019-10-17 10:27:04,951  dropping the request
    
  • Now type 'test2' into bing field and copy, paste back to local editor - fails, instead pasing 'test1'.
  • Now type 'test3' locally and copy, paste back into bing - fails, pasting 'test2' (which was last copied in the session) instead, and again outputting the request drop message in server logs.
  • Now, without any new copying, paste back into the local editor - at this point, it will also paste 'test2' (the local clipboard has now been updated with the contents from the session clipboard, when the paste event took place?).
  • Now go back to the session and type/copy 'test4', then paste back to the local editor - and again it pastes 'test2', so the copy event server side does not seem to be updating the clipboard locally...?
  • Now, just to see if you've been made crazy yet, type/copy 'test5' locally and paste into bing - it fails and instead pastes... 'test4', which was last sync'd to the server clipboard when the type/copy event happened, if I'm not totally lost yet... ohh, and now you see that dropping request message in the server logs again.
  • And now, once again with no new copy event... just paste whatever is hiding in the local clipboard into the local editor... and, now we see 'test4', which it looks like got sync'd back to the local clipboard not on the copy event, or on the paste event locally... but only when a paste event server-side is detected?

Really, that was as "clear" as I could make it... I think.

Attachments (1)

clipboard-notime.patch (671 bytes) - added by Antoine Martin 5 months ago.
don't send the event time with selection notify (use CurrentTime?)

Download all attachments as: .zip

Change History (30)

comment:1 Changed 6 months ago by alas

Re-checked with the experimental-web-platform-features disabled ... same behavior.

comment:2 Changed 6 months ago by Antoine Martin

Description: modified (diff)
Priority: majorcritical
Status: newassigned

comment:3 Changed 6 months ago by Antoine Martin

See also #2450, the new clipboard code comes from #812

comment:4 Changed 6 months ago by Antoine Martin

Resolution: invalid
Status: assignedclosed

DOH.
See ticket:2312#comment:14 / ticket:1844#comment:13.
Firefox won't work. You will need to test with something else.

comment:5 Changed 6 months ago by Antoine Martin

Resolution: invalid
Status: closedreopened
Summary: html5 clipboard sync is... confusing.Firefox html5 clipboard sync is... confusing.

Re-opening because we need to handle Firefox better: either request the permissions we need (not sure if this requires an "extension" as the MDN page seems to imply), or at least telling the user something more useful.

comment:6 Changed 5 months ago by alas

Re-testing with 3.0.1-r24252 running on a fedora 30 server, connecting with Chrome 77 on Windows 7... then launching Firefox session-side to compare with running chromium-browser session side.

Behavior is the same. Much less confusing, also.

Clipboard sync for text seems to have only one failing - content copied locally fails to sync for pasting server-side for a right-click paste event (until after a keyboard shortcut paste event has taken place).

So:

  • Copy anything locally, using right-click or keyboard shortcut.
  • Try to use right-click menu to paste server side - will fail and instead paste last contents sync'd server-side.
  • Immediately (no new copy events) use keyboard shortcut to paste - works as expected, pasting recently locally copied text.
  • Immediately (no new copy events again) use right-click menu to paste - works as... hoped, pasting the recently locally copied text (which is apparently sync'd to server side clipboard upon using keyboard shortcut to paste server-side).

I'll leave it to you to decide if that is close enough (or to perhaps think over the grim prospect of trying to add something to the displayed right-click menu to get around limitations?).

comment:7 Changed 5 months ago by Antoine Martin

Owner: changed from Antoine Martin to alas
Status: reopenednew

DOH. r23724 was incomplete, r24324 fixes that.

I'm pretty sure I had tested that, I even made some MS Edge and IE11 fixes: ticket:1844#comment:13. How did this work before??

Note: we poll for clipboard content changes when we receive any click events, but since we use the new asynchonous API, it is possible that the application will receive its paste event (from the menu click) before we've had a chance to update the clipboard contents...
There are probably some other corner cases, not worth worrying too much about.

Last edited 5 months ago by Antoine Martin (previous) (diff)

comment:8 Changed 5 months ago by alas

Owner: changed from alas to Antoine Martin

Silly me, I thought I'd probably just be closing this out as being similar behavior to using Chrome.

Tested again with 4.0-r24412.

It's mostly the same, but it looks like the right-click behavior is "doubly-weird" (I had to triple check to be sure I wasn't imagining this).

As mentioned in #1844, and last mentioned here - with Chrome as a local html5 client... when something is copied locally, then a right-click paste is used server-side: the local contents are not synchronized ... until after a control-v keyboard shortcut is used to paste, after which the right-click paste works as expected.

With Firefox... brace yourself for this... if something is copied locally, then a right-click is used to paste - it will fail until after a keyboard shortcut is used ... which matches the behavior with Chrome as a local html5 client.
But... if you copy something server-side with the Firefox html5 client, then paste locally, then copy locally and try to paste back server-side... it will not only fail over and over if you try to use the right-click menu to paste (as will Chrome)... it will also fail on the FIRST keyboard shortcut paste attempt - but it will SUCCEED on the SECOND keyboard shortcut paste attempt.

It's a very weird case, but I'm not sure it would be defined as an edge case.

On the plus side, once the server-side clipboard sync's with the second keyboard shortcut paste... it then continues to sync (so after the first "double-paste sync"
the next copy locally and paste server side will work as expected... until something is copied server-side... after which another "double-paste sync" will apparently be necessary).

I guess I'll hand this one back for you to marvel over.

Last edited 5 months ago by Antoine Martin (previous) (diff)

comment:9 Changed 5 months ago by Antoine Martin

Owner: changed from Antoine Martin to alas

it will not only fail over and over if you try to use the right-click menu to paste (as will Chrome)...

As per #1844, this works for me with both Firefox and Chrome, on Linux and win32, but only if I connect over https and grant clipboard permissions when asked.

it will not only fail over and over if you try to use the right-click menu to paste (as will Chrome)... it will also fail on the FIRST keyboard shortcut paste attempt - but it will SUCCEED on the SECOND keyboard shortcut paste attempt.

I'm not seeing this particular oddity.
Maybe this has been fixed as part of #1844, or maybe this is a side-effect of no-https and / or no-permissions?
Can you try to reproduce and include the server's -d clipboard log of just the failing attempt? (with "clipboard" debugging also enabled in the html5 client)

r24425 just fixed what looked like a minor warning, but this seems to have helped prevent things from getting wedged: we just ignore invalid clipboard notification messages.

comment:10 Changed 5 months ago by alas

Odd.

When I was testing to close #1844, using 4.0-r24425, I connected a Firefox html5 client to shift the Chrome session - and saw the same behavior (with https)... copied something server-side and pasted locally worked, but then copying locally was pasting (using right-click paste) un-sync'd content repeatedly, and the first keyboard shortcut paste server-side also failed.

When I started a fresh session and connected with the Firefox html5 client however, while the right-click paste server-side was not sync'ing the clipboard (it kept pasting the previous copy server-side, not the subsequent copy locally), the first keyboard shortcut paste sync'd the contents and resulted in the pasting of the contents copied locally.

Firefox doesn't prompt for access to clipboard (including with https connection), perhaps that's the difference.

So... some -d clipboard logs.

Upon the initial copy server-side (copying 'fifty-one', as the logs excerpt will show)... are too long to add to the comment, but I'll include the end excerpt.

2019-11-13 15:47:33,774 do_xpra_selection_clear(<X11:SelectionClear {'send_event': '0', 'serial': '0x1760', 'delivered_to': '0x400008', 'window': '0x400008', 'selection': 'CLIPBOARD', 'time': '2208826620'}>)
2019-11-13 15:47:33,774 do_xpra_selection_clear(<X11:SelectionClear {'send_event': '0', 'serial': '0x1760', 'delivered_to': '0x400008', 'window': '0x400008', 'selection': 'CLIPBOARD', 'time': '2208826620'}>) was owned=True
2019-11-13 15:47:33,775 do_owner_changed()
2019-11-13 15:47:33,775 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1760', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'CLIPBOARD', 'timestamp': '2208826620', 'selection_timestamp': '2208826620'}>)
2019-11-13 15:47:33,775 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1760', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'CLIPBOARD', 'timestamp': '2208826620', 'selection_timestamp': '2208826620'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-13 15:47:33,775 get_contents(TARGETS, <function ClipboardProxy.schedule_emit_token.<locals>.got_targets at 0x7f6e05e2c710>, 0) owned=False, have-token=False
2019-11-13 15:47:33,776 requesting local XConvertSelection from 'gedit' as 'TARGETS' into 'CLIPBOARD-TARGETS'
2019-11-13 15:47:33,776 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1767', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2208826623'}>)
2019-11-13 15:47:33,776 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1767', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2208826623'}>)
2019-11-13 15:47:33,777 CLIPBOARD-TARGETS='°\x01\x00\x00\x00\x00\x00\x00¬\x01\x00\x00\x00\x00\x00\x00±\x01\x00\x00\x00\x00\x00\x00»\x01\x00\x00\x00\x00\x00\x00²\x01\x00\x00\x00\x00\x00\x00³\x01\x00\x00\x00\x00\x00\x00ç\x00\x00\x00\x00\x00\x00\x00´\x01\x00\x00\x00\x00\x00\x00µ\x01\x00\x00\x00\x00\x00\x00\x1f\x00\x00\x00\x00\x00\x00\x00¶\x01\x00\x00\x00\x00\x00\x00·\x01\x00\x00\x00\x00\x00\x00' (ATOM : 32)
2019-11-13 15:47:33,777 filter_data(TARGETS, ATOM, 32, ..)
2019-11-13 15:47:33,777 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.got_targets at 0x7f6e05e2c710>('ATOM', 32, '"b\'\\\\xb0\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xac .. 0\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"'), time=0
2019-11-13 15:47:33,778 got_targets: ('TIMESTAMP', 'TARGETS', 'MULTIPLE', 'SAVE_TARGETS', 'GTK_TEXT_BUFFER_CONTENTS', 'application/x-gtk-text-buffer-rich-text', 'UTF8_STRING', 'COMPOUND_TEXT', 'TEXT', 'STRING', 'text/plain;charset=utf-8', 'text/plain')
2019-11-13 15:47:33,778 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f6e05e2c560>, 0) owned=False, have-token=False
2019-11-13 15:47:33,778 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'CLIPBOARD-UTF8_STRING'
2019-11-13 15:47:33,779 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x176a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2208826623'}>)
2019-11-13 15:47:33,779 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x176a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2208826623'}>)
2019-11-13 15:47:33,779 do_property_notify() property 'CLIPBOARD-TARGETS' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-13 15:47:33,780 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1774', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2208826625'}>)
2019-11-13 15:47:33,780 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1774', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2208826625'}>)
2019-11-13 15:47:33,781 CLIPBOARD-UTF8_STRING='fifty-one' (UTF8_STRING : 8)
2019-11-13 15:47:33,781 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-13 15:47:33,781 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f6e05e2c560>('UTF8_STRING', 8, '"b\'fifty-one\'"'), time=0
2019-11-13 15:47:33,781 got_text_target(UTF8_STRING, 8, "b'fifty-one'")
2019-11-13 15:47:33,781 _send_clipboard_token_handler(X11ClipboardProxy(CLIPBOARD), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'fifty-one'))")
2019-11-13 15:47:33,781 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'fifty-one'")
2019-11-13 15:47:33,782 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:9)
2019-11-13 15:47:33,782 send_clipboard(..) elapsed=2.93, clipboard_stats=deque([6503751.591724973, 6503755.45828521, 6503764.651840262, 6503764.772288734, 6503764.884869825, 6503765.133384078, 6503765.276640872, 6503765.566454551, 6503765.884537024, 6503766.080349265, 6503766.203679016, 6503790.640845892, 6503790.653432194, 6503790.654423035, 6503790.671873935, 6503790.672881622, 6503790.726117184, 6503790.727162029, 6503790.76032761, 6503790.774919128, 6503790.795124146, 6503790.817589575, 6503790.824157308, 6503790.854157787, 6503790.860121561, 6503790.924849552, 6503790.925703003, 6503790.955534038, 6503790.972989096, 6503790.9914092, 6503791.044332812, 6503791.045708254, 6503791.060109389, 6503791.087746448, 6503791.096070972, 6503791.166916057, 6503791.18394039, 6503791.253249339, 6503791.272166233, 6503791.338112143, 6503791.355835549, 6503791.38765601, 6503791.429327697, 6503791.455952834, 6503791.46308386, 6503791.485217821, 6503791.486012427, 6503791.551585817, 6503791.568644593, 6503791.619611155, 6503791.62043099, 6503791.8018043, 6503791.80266011, 6503791.900319595, 6503791.917388771, 6503791.950466896, 6503791.967636194, 6503792.339029145, 6503793.925928851], maxlen=90)
2019-11-13 15:47:33,783 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x177b', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2208826627'}>)
2019-11-13 15:47:33,783 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x177b', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2208826627'}>)
2019-11-13 15:47:33,783 do_property_notify() property 'CLIPBOARD-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type

Pasting locally, as well as then copying locally, produces no logs.

Shifting focus back to the server-side gedit application seems to trigger a little snippet of logs.

2019-11-13 15:48:24,811 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1992', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': 'None', 'selection': 'PRIMARY', 'timestamp': '2208877657', 'selection_timestamp': '2208877657'}>)
2019-11-13 15:48:24,811 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1992', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': 'None', 'selection': 'PRIMARY', 'timestamp': '2208877657', 'selection_timestamp': '2208877657'}>) owned=0, was False (owner=0x0, xid=0x400008), enabled=True, can-send=True

Paste attempts with the right-click menu, however, produce no logs at all.

After three 'failed' paste attempts with the right-click paste option (which all pasted the same 'fifty-one' which was last copied server-side)... using the keyboard shortcut succeeded, pasting 'sixty-six', with the following logs.

2019-11-13 15:48:53,160 process clipboard token selection=CLIPBOARD, local clipboard name=CLIPBOARD, proxy=X11ClipboardProxy(CLIPBOARD)
2019-11-13 15:48:53,160 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=9
2019-11-13 15:48:53,161 got token, selection=CLIPBOARD, targets=[b'UTF8_STRING', b'text/plain'], target data={'UTF8_STRING': ('UTF8_STRING', 8, b'sixty-six')}, claim=True, can-receive=True
2019-11-13 15:48:53,161 got_contents('TARGETS', 'ATOM', 32, '"b\'\\\\xe7\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"') pending=
2019-11-13 15:48:53,161 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'sixty-six\'"') pending=
2019-11-13 15:48:53,162 claim_selection: set selection owner returned 1, owner=0x400008
2019-11-13 15:48:53,162 claim_selection: sending message to root window
2019-11-13 15:48:53,162 claim_selection: done, owned=True
2019-11-13 15:48:53,163 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x27a5', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2208906008', 'selection_timestamp': '2208906008'}>)
2019-11-13 15:48:53,163 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x27a5', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2208906008', 'selection_timestamp': '2208906008'}>) owned=True, was True (owner=0x400008, xid=0x400008), enabled=True, can-send=True
2019-11-13 15:48:53,163 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x27a7', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2208906008'}>)
2019-11-13 15:48:53,163 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x27a7', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2208906008'}>)
2019-11-13 15:48:53,164 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-13 15:48:53,164 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-13 15:48:53,164 set_selection_response(<GdkX11.X11Window object at 0x7f6e05e0fb40 (GdkX11Window at 0x55eb3dfa2290)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2208906008)
2019-11-13 15:48:53,165 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x27b7', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'GTK_TEXT_BUFFER_CONTENTS', 'property': 'GDK_SELECTION', 'time': '2208906011'}>)
2019-11-13 15:48:53,166 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x27b7', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'GTK_TEXT_BUFFER_CONTENTS', 'property': 'GDK_SELECTION', 'time': '2208906011'}>)
2019-11-13 15:48:53,166 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=GTK_TEXT_BUFFER_CONTENTS, prop=GDK_SELECTION
2019-11-13 15:48:53,166 client is requesting an unknown target: 'GTK_TEXT_BUFFER_CONTENTS'
2019-11-13 15:48:53,166  valid targets: UTF8_STRING, text/plain
2019-11-13 15:48:53,166  dropping the request
2019-11-13 15:48:53,166 set_selection_response(<GdkX11.X11Window object at 0x7f6e05e0fd70 (GdkX11Window at 0x55eb3dfa2290)>, GTK_TEXT_BUFFER_CONTENTS, GDK_SELECTION, STRING, 8, "''", 2208906011)
2019-11-13 15:48:53,167 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x27bc', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2208906011'}>)
2019-11-13 15:48:53,167 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x27bc', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2208906011'}>)
2019-11-13 15:48:53,167 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-13 15:48:53,167 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-13 15:48:53,167 set_selection_response(<GdkX11.X11Window object at 0x7f6e05e0f910 (GdkX11Window at 0x55eb3dfa2290)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2208906011)
2019-11-13 15:48:53,168 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x27c2', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'text/plain;charset=utf-8', 'property': 'GDK_SELECTION', 'time': '2208906011'}>)
2019-11-13 15:48:53,168 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x27c2', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'text/plain;charset=utf-8', 'property': 'GDK_SELECTION', 'time': '2208906011'}>)
2019-11-13 15:48:53,168 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=text/plain;charset=utf-8, prop=GDK_SELECTION
2019-11-13 15:48:53,169 client is requesting an unknown target: 'text/plain;charset=utf-8'
2019-11-13 15:48:53,169  using 'UTF8_STRING' instead
2019-11-13 15:48:53,169 send_clipboard_request_handler(X11ClipboardProxy(CLIPBOARD), 'CLIPBOARD', 'UTF8_STRING')
2019-11-13 15:48:53,169 send_clipboard_request id=12
2019-11-13 15:48:53,169 send_clipboard(..) elapsed=82.27, clipboard_stats=deque([6503751.591724973, 6503755.45828521, 6503764.651840262, 6503764.772288734, 6503764.884869825, 6503765.133384078, 6503765.276640872, 6503765.566454551, 6503765.884537024, 6503766.080349265, 6503766.203679016, 6503790.640845892, 6503790.653432194, 6503790.654423035, 6503790.671873935, 6503790.672881622, 6503790.726117184, 6503790.727162029, 6503790.76032761, 6503790.774919128, 6503790.795124146, 6503790.817589575, 6503790.824157308, 6503790.854157787, 6503790.860121561, 6503790.924849552, 6503790.925703003, 6503790.955534038, 6503790.972989096, 6503790.9914092, 6503791.044332812, 6503791.045708254, 6503791.060109389, 6503791.087746448, 6503791.096070972, 6503791.166916057, 6503791.18394039, 6503791.253249339, 6503791.272166233, 6503791.338112143, 6503791.355835549, 6503791.38765601, 6503791.429327697, 6503791.455952834, 6503791.46308386, 6503791.485217821, 6503791.486012427, 6503791.551585817, 6503791.568644593, 6503791.619611155, 6503791.62043099, 6503791.8018043, 6503791.80266011, 6503791.900319595, 6503791.917388771, 6503791.950466896, 6503791.967636194, 6503792.339029145, 6503793.925928851, 6503873.313084116], maxlen=90)
2019-11-13 15:48:53,174 process clipboard contents, selection=CLIPBOARD, type=UTF8_STRING, format=8
2019-11-13 15:48:53,174 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=9
2019-11-13 15:48:53,174 clipboard wire -> raw: ('UTF8_STRING', 8, 'bytes', '"b\'sixty-six\'"') -> "b'sixty-six'"
2019-11-13 15:48:53,174 clipboard got contents(12, 'UTF8_STRING', 8, '"b\'sixty-six\'"'): proxy=X11ClipboardProxy(CLIPBOARD) for selection=CLIPBOARD
2019-11-13 15:48:53,174 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'sixty-six\'"') pending=(<GdkX11.X11Window object at 0x7f6e05e0f910 (GdkX11Window at 0x55eb3dfa2290)>, 'GDK_SELECTION', 2208906011)
2019-11-13 15:48:53,174 setting response 'sixty-six' to property GDK_SELECTION of window 'gedit' as UTF8_STRING
2019-11-13 15:48:53,174 set_selection_response(<GdkX11.X11Window object at 0x7f6e05e0f910 (GdkX11Window at 0x55eb3dfa2290)>, UTF8_STRING, GDK_SELECTION, UTF8_STRING, 8, "'sixty-six'", 2208906011)
2019-11-13 15:48:53,176 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x27c9', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2208906011'}>)
2019-11-13 15:48:53,176 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x27c9', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2208906011'}>)
2019-11-13 15:48:53,179 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-13 15:48:53,180 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-13 15:48:53,180 set_selection_response(<GdkX11.X11Window object at 0x7f6e05e0fd70 (GdkX11Window at 0x55eb3dfa2290)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2208906011)
2019-11-13 15:48:53,181 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x27ca', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800bfb', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2208906011'}>)
2019-11-13 15:48:53,181 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x27ca', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800bfb', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2208906011'}>)
2019-11-13 15:48:53,181 clipboard request for CLIPBOARD from window 0x800bfb: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-13 15:48:53,181 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-13 15:48:53,181 set_selection_response(<GdkX11.X11Window object at 0x7f6e05e0fd70 (GdkX11Window at 0x55eb3dcd2460)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2208906011)

Interestingly... when I repeat to confirm... I see the behavior I described above after shifting the session from a Chrome html5 client to the Firefox html5 client (the first keyboard shortcut paste attempt into the server-side gedit also fails to sync the clipboard contents, but the second succeeds and pastes "correctly").

The logs seemed confusing though... almost as if the keyboard shortcut paste event had the same logs as the over-long copy event. So, trying again (third time's the charm?).

Type & copy content in server-side gedit ('eighty-one').
Paste locally (keyboard shortcut, not that it matters).
Type and copy something else locally ('eighty-nine').
Right-click paste into server-side gedit. (Probably repeat 2 more times.)
Keyboard shortcut paste into server-side gedit. (Probably repeat.)

And... repeated confusion with inconsistent behavior, until I tried once and the test word I'd copied server-side disappeared when I went to right-click paste what I'd copied locally.
Then I realized I'd been leaving the initial server-side word to be copied highlighted... and the server-side linux clipboard seemed to be 're-syncing' that in some way (only with Firefox html5 clients, for some reason) to the clipboard and producing the 'extra' output of the server-side clipboard content (even with https)... but only intermittently.

So, started making a point of clicking again server-side after the copy event, to un-highlight the word copied... and that eliminated the odd behavior with the first keyboard shortcut paste.

The right-click paste server-side after a local copy, with the Firefox html5 client, failing to sync (and requiring a keyboard shortcut paste event to sync) is still happening though, with http or https - and there is no -d clipboard output whatsoever.

If nothing else though, the behavior is less confusing. (I'll leave the description of my bad testing technique in case anyone else makes the mistake and becomes similarly confused.)


comment:11 Changed 5 months ago by alas

Owner: changed from alas to Antoine Martin

comment:12 Changed 5 months ago by Antoine Martin

Status: newassigned

Firefox uses the legacy clipboard, this shows up in the HTML5 clipboard debug output:

no clipboard write support: no images, navigator.clipboard= Clipboard
​  <prototype>: ClipboardPrototype
​​    constructor: function ()
  ​​  writeText: function writeText()
  ​​  <prototype>: EventTargetPrototype { addEventListener: addEventListener(), removeEventListener: removeEventListener(), dispatchEvent: dispatchEvent(), … }
...
legacy clipboard

Also, the right click event doesn't give us access to the clipboard - so there's not much we can do about that, right click just won't be able to sync clipboard data with Firefox..

Here's a successful copy of the word 'bar' using Firefox, from notepad++ to gedit:

client   5 clipboard polling: no data available
client   5 clipboard paste event, data= bar
client   5 clipboard sending clipboard token with data: bar
...
clipboard request for CLIPBOARD from window 0x80012f: 'gedit', target=TARGETS, prop=GDK_SELECTION
...
client is requesting an unknown target: 'text/plain;charset=utf-8'
 using 'UTF8_STRING' instead
...
setting response 'bar' to property GDK_SELECTION of window 'gedit' as UTF8_STRING

And now when first copying 'foo' from the server and leaving it highlighted:

client   5 clipboard polling: no data available
client   5 clipboard paste event, data= bar
client   5 clipboard sending clipboard token with data: bar
...
clipboard request for CLIPBOARD from window 0x80012f: 'gedit', target=TARGETS, prop=GDK_SELECTION
...
using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
set_selection_response(<GdkX11.X11Window object at 0x7f928f25a640 (GdkX11Window at 0x556dcacda5c0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00¸\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 1938188)

Looks like gedit is just not receiving the TARGETS or not happy with it somehow.

comment:13 Changed 5 months ago by Antoine Martin

Owner: changed from Antoine Martin to alas
Status: assignednew

I'm not so sure that leaving the previous value highlighted is what is causing this bug. Could this be a race condition, and it just made it more likely?
I've hit the same bug on Linux, but much more rarely. And now that I'm trying to debug it on win32, it seems to have gone away too!

Can you try this trivial change and let me know if that fixes the issue:

Index: html5/js/Client.js
===================================================================
--- html5/js/Client.js	(revision 24424)
+++ html5/js/Client.js	(working copy)
@@ -797,7 +797,7 @@
 				me.debug("keyboard", packet);
 				me.send(packet);
 			}
-		}, 0);
+		}, 50);
 	}
 	if (this.clipboard_enabled) {
 		//allow some key events that need to be seen by the browser

(you can bump the delay higher - but it starts to become noticeable..)

comment:14 Changed 5 months ago by alas

Owner: changed from alas to Antoine Martin

Huh... you may be right.

Testing 4.0-r24425 again, after editing /usr/share/xpra/www/js/Client.js to set the 0 to a 50 (me.send delay?)... launching with:

xpra start :13 --no-daemon --bind-tcp=0.0.0.0:1234 --bind-ws=0.0.0.0:1237 --bind-wss=0.0.0.0:1239 --ssl-cert=/etc/xpra/148-ssl.pem  --start-child=xterm --start-child=xterm --exit-with-children -d clipboard

I connect with a Firefox html5 client, and use one of the two xterms to launch gedit.
I type & copy something from gedit ('one').
I paste it locally (programmer's notepad this time, using control-v).
I then type something else locally and copy that ('two', using control-c).
I click back into the firefox client's session tab and re-focus on the gedit app, which I've un-highlighted 'one' in... and try to use right-click menu to paste the newly copied (from local) content 'two'.
Needless to say, right-click paste pastes 'one' over and over.
On the third paste, I use control-v... and get 'one' again.

Got the following logs.

2019-11-14 13:46:19,489 process clipboard token selection=CLIPBOARD, local clipboard name=CLIPBOARD, proxy=X11ClipboardProxy(CLIPBOARD)
2019-11-14 13:46:19,489 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=3
2019-11-14 13:46:19,489 got token, selection=CLIPBOARD, targets=[b'UTF8_STRING', b'text/plain'], target data={'UTF8_STRING': ('UTF8_STRING', 8, b'two')}, claim=True, can-receive=True
2019-11-14 13:46:19,493 got_contents('TARGETS', 'ATOM', 32, '"b\'\\\\xe7\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"') pending=
2019-11-14 13:46:19,493 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'two\'"') pending=
2019-11-14 13:46:19,493 claim_selection: set selection owner returned 1, owner=0x400008
2019-11-14 13:46:19,493 claim_selection: sending message to root window
2019-11-14 13:46:19,494 claim_selection: done, owned=True
2019-11-14 13:46:19,495 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1fbe', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2287952340', 'selection_timestamp': '2287952340'}>)
2019-11-14 13:46:19,495 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1fbe', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2287952340', 'selection_timestamp': '2287952340'}>) owned=True, was True (owner=0x400008, xid=0x400008), enabled=True, can-send=True
2019-11-14 13:46:19,495 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x1fc3', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2287952340'}>)
2019-11-14 13:46:19,496 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x1fc3', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2287952340'}>)
2019-11-14 13:46:19,496 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 13:46:19,496 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 13:46:19,496 set_selection_response(<GdkX11.X11Window object at 0x7fe324ff9e10 (GdkX11Window at 0x5599093362a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2287952340)

Looking through my own logs, I almost convinced myself that I was wrong, and that 'two' had pasted... but the gedit window stile has 3 'one's and no 'two's (copying the logs has ruined my clipboard integrity).

Repeating...

Focus on Firefox client's session-side gedit, type & copy word ('three').
Click on local programmer's notepad to shift focus, control-v ... pastes 'three'.
Add a couple of linefeeds, then type and copy (control-c) word ('four').
Click back into Firefox client's server-side gedit (previous copy contents not highlighted) and paste.
Right-click paste: 'three'
Click space.
Right-click paste: 'three'
Click space.
Control-v paste: 'three'
Click space.
Control-v paste: 'four'

In this case, rather than shifting focus to the logs, I just took my sweet time.
13:58:56 events are the first control-v paste.
13:59:09 events are the clicking of the space key.
13:59:19 events are the second control-v paste.

2019-11-14 13:58:56,398 process clipboard token selection=CLIPBOARD, local clipboard name=CLIPBOARD, proxy=X11ClipboardProxy(CLIPBOARD)
2019-11-14 13:58:56,399 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=4
2019-11-14 13:58:56,399 got token, selection=CLIPBOARD, targets=[b'UTF8_STRING', b'text/plain'], target data={'UTF8_STRING': ('UTF8_STRING', 8, b'four')}, claim=True, can-receive=True
2019-11-14 13:58:56,400 got_contents('TARGETS', 'ATOM', 32, '"b\'\\\\xe7\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"') pending=
2019-11-14 13:58:56,400 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'four\'"') pending=
2019-11-14 13:58:56,401 claim_selection: set selection owner returned 1, owner=0x400008
2019-11-14 13:58:56,401 claim_selection: sending message to root window
2019-11-14 13:58:56,402 claim_selection: done, owned=True
2019-11-14 13:58:56,402 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x3690', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2288709247', 'selection_timestamp': '2288709247'}>)
2019-11-14 13:58:56,402 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x3690', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2288709247', 'selection_timestamp': '2288709247'}>) owned=True, was True (owner=0x400008, xid=0x400008), enabled=True, can-send=True
2019-11-14 13:58:56,402 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x3691', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2288709247'}>)
2019-11-14 13:58:56,403 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x3691', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2288709247'}>)
2019-11-14 13:58:56,403 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 13:58:56,403 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 13:58:56,403 set_selection_response(<GdkX11.X11Window object at 0x7fe324fd1c30 (GdkX11Window at 0x5599093362a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2288709247)
2019-11-14 13:59:09,412 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x370e', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2288722258'}>)
2019-11-14 13:59:09,412 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x370e', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2288722258'}>)
2019-11-14 13:59:09,415 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 13:59:09,416 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 13:59:09,416 set_selection_response(<GdkX11.X11Window object at 0x7fe324fdc230 (GdkX11Window at 0x5599093362a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2288722258)
2019-11-14 13:59:09,417 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x370f', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x8009d8', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2288722258'}>)
2019-11-14 13:59:09,417 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x370f', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x8009d8', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2288722258'}>)
2019-11-14 13:59:09,417 clipboard request for CLIPBOARD from window 0x8009d8: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 13:59:09,417 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 13:59:09,417 set_selection_response(<GdkX11.X11Window object at 0x7fe324fdc230 (GdkX11Window at 0x55990906a1c0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2288722258)
2019-11-14 13:59:19,205 process clipboard token selection=CLIPBOARD, local clipboard name=CLIPBOARD, proxy=X11ClipboardProxy(CLIPBOARD)
2019-11-14 13:59:19,205 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=4
2019-11-14 13:59:19,205 got token, selection=CLIPBOARD, targets=[b'UTF8_STRING', b'text/plain'], target data={'UTF8_STRING': ('UTF8_STRING', 8, b'four')}, claim=True, can-receive=True
2019-11-14 13:59:19,205 got_contents('TARGETS', 'ATOM', 32, '"b\'\\\\xe7\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"') pending=
2019-11-14 13:59:19,206 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'four\'"') pending=
2019-11-14 13:59:19,206 claim_selection: set selection owner returned 1, owner=0x400008
2019-11-14 13:59:19,206 claim_selection: sending message to root window
2019-11-14 13:59:19,206 claim_selection: done, owned=True
2019-11-14 13:59:19,207 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x379c', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'GTK_TEXT_BUFFER_CONTENTS', 'property': 'GDK_SELECTION', 'time': '2288732052'}>)
2019-11-14 13:59:19,207 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x379c', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'GTK_TEXT_BUFFER_CONTENTS', 'property': 'GDK_SELECTION', 'time': '2288732052'}>)
2019-11-14 13:59:19,208 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=GTK_TEXT_BUFFER_CONTENTS, prop=GDK_SELECTION
2019-11-14 13:59:19,208 client is requesting an unknown target: 'GTK_TEXT_BUFFER_CONTENTS'
2019-11-14 13:59:19,208  valid targets: UTF8_STRING, text/plain
2019-11-14 13:59:19,208  dropping the request
2019-11-14 13:59:19,208 set_selection_response(<GdkX11.X11Window object at 0x7fe324fe4be0 (GdkX11Window at 0x5599093362a0)>, GTK_TEXT_BUFFER_CONTENTS, GDK_SELECTION, STRING, 8, "''", 2288732052)
2019-11-14 13:59:19,209 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x379f', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2288732053', 'selection_timestamp': '2288732053'}>)
2019-11-14 13:59:19,209 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x379f', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2288732053', 'selection_timestamp': '2288732053'}>) owned=True, was True (owner=0x400008, xid=0x400008), enabled=True, can-send=True
2019-11-14 13:59:19,210 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x37a1', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x8009dd', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2288732054'}>)
2019-11-14 13:59:19,210 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x37a1', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x8009dd', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2288732054'}>)
2019-11-14 13:59:19,210 clipboard request for CLIPBOARD from window 0x8009dd: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 13:59:19,211 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 13:59:19,211 set_selection_response(<GdkX11.X11Window object at 0x7fe324fe4c30 (GdkX11Window at 0x55990906a360)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2288732054)
2019-11-14 13:59:19,211 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x37a8', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2288732054'}>)
2019-11-14 13:59:19,211 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x37a8', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2288732054'}>)
2019-11-14 13:59:19,212 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 13:59:19,212 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 13:59:19,212 set_selection_response(<GdkX11.X11Window object at 0x7fe324fe4d20 (GdkX11Window at 0x5599093362a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2288732054)
2019-11-14 13:59:19,212 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x37b7', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'text/plain;charset=utf-8', 'property': 'GDK_SELECTION', 'time': '2288732054'}>)
2019-11-14 13:59:19,213 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x37b7', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'text/plain;charset=utf-8', 'property': 'GDK_SELECTION', 'time': '2288732054'}>)
2019-11-14 13:59:19,213 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=text/plain;charset=utf-8, prop=GDK_SELECTION
2019-11-14 13:59:19,213 client is requesting an unknown target: 'text/plain;charset=utf-8'
2019-11-14 13:59:19,213  using 'UTF8_STRING' instead
2019-11-14 13:59:19,213 send_clipboard_request_handler(X11ClipboardProxy(CLIPBOARD), 'CLIPBOARD', 'UTF8_STRING')
2019-11-14 13:59:19,213 send_clipboard_request id=6
2019-11-14 13:59:19,213 send_clipboard(..) elapsed=59.39, clipboard_stats=deque([6582864.27087779, 6582878.078124551, 6582878.366253602, 6582878.571032337, 6582880.037812357, 6582887.912268415, 6582887.919543038, 6582887.928490392, 6582887.946454835, 6582887.954709849, 6582887.961564396, 6582887.999881284, 6582888.026673448, 6582888.033040184, 6582888.104596557, 6582888.105659872, 6582888.131532177, 6582888.25694856, 6582888.271238698, 6582888.288521345, 6582888.304775675, 6582888.820394525, 6582890.041772289, 6583639.864211117, 6583639.879558125, 6583639.894202934, 6583639.912504642, 6583639.928090878, 6583639.963728099, 6583639.980958796, 6583640.009344716, 6583640.01393925, 6583640.040298676, 6583640.046704076, 6583640.064755138, 6583640.093944736, 6583640.098553497, 6583640.160684664, 6583640.17618241, 6583640.195720137, 6583640.210529762, 6583640.230377357, 6583640.244038032, 6583640.259397164, 6583640.280447636, 6583640.2928901, 6583640.343346628, 6583640.360345399, 6583640.376898831, 6583640.395539527, 6583640.411492039, 6583640.429430438, 6583640.448511314, 6583640.540402604, 6583640.556086911, 6583640.797740325, 6583642.442718491, 6583699.357448688], maxlen=90)
2019-11-14 13:59:19,246 process clipboard contents, selection=CLIPBOARD, type=UTF8_STRING, format=8
2019-11-14 13:59:19,246 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=4
2019-11-14 13:59:19,246 clipboard wire -> raw: ('UTF8_STRING', 8, 'bytes', '"b\'four\'"') -> "b'four'"
2019-11-14 13:59:19,247 clipboard got contents(6, 'UTF8_STRING', 8, '"b\'four\'"'): proxy=X11ClipboardProxy(CLIPBOARD) for selection=CLIPBOARD
2019-11-14 13:59:19,247 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'four\'"') pending=(<GdkX11.X11Window object at 0x7fe324fe4d20 (GdkX11Window at 0x5599093362a0)>, 'GDK_SELECTION', 2288732054)
2019-11-14 13:59:19,247 setting response 'four' to property GDK_SELECTION of window 'gedit' as UTF8_STRING
2019-11-14 13:59:19,247 set_selection_response(<GdkX11.X11Window object at 0x7fe324fe4d20 (GdkX11Window at 0x5599093362a0)>, UTF8_STRING, GDK_SELECTION, UTF8_STRING, 8, "'four'", 2288732054)
2019-11-14 13:59:19,249 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x37be', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2288732054'}>)
2019-11-14 13:59:19,249 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x37be', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2288732054'}>)
2019-11-14 13:59:19,250 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 13:59:19,250 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 13:59:19,251 set_selection_response(<GdkX11.X11Window object at 0x7fe324fe4dc0 (GdkX11Window at 0x5599093362a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2288732054)
2019-11-14 13:59:19,251 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x37bf', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x8009e0', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2288732054'}>)
2019-11-14 13:59:19,252 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x37bf', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x8009e0', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2288732054'}>)
2019-11-14 13:59:19,252 clipboard request for CLIPBOARD from window 0x8009e0: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 13:59:19,253 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 13:59:19,253 set_selection_response(<GdkX11.X11Window object at 0x7fe324fe4dc0 (GdkX11Window at 0x55990906a500)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2288732054)

I guess I should also mention (yesterday I thought it was just an accident of my timing, though it seemed odd) that in several cases in yesterday's testing (pre-editing the Client.js), after copying strings in the gedit, then un-highlighting them, I seemed to be hitting that issue of a missing 1-7-ish of the left-more characters of the string. I wasn't trying to copy quickly, with the mouse veering out of the gedit application window wildly as a result (as was the case with initial testing wondering if the more than 30 requests was the issue)... but it was similar behavior to what I dismissed as being caused by the wild highlighting.

At this point I'm not at all sure what might be a coincidence and what not, though.

I'll try editing the Client.js me.send value a bit more and add a comment if I see a different result with some different value.

comment:15 Changed 5 months ago by alas

Editing the Client.js to use 100, saw the same results.

Going back to 0, however, the first control-v pasted the proper last-copied-locally contents into the server-side gedit.

Interestingly, in this case (in which I was again leaving many seconds between events to separate them) I neglected to un-highlight the initially copied server-side word ('seven', apparently today the server gets odd numbers)... so when I clicked on the server-side gedit inside the Firefox client, the un-highlighting of the string triggered clipboard debugging output.

So, the un-highlighting logs.

2019-11-14 14:25:39,293 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x14ad', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2290312139', 'selection_timestamp': '2290312139'}>)
2019-11-14 14:25:39,293 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x14ad', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2290312139', 'selection_timestamp': '2290312139'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-14 14:25:39,293 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7fc3a104b050>, 0) owned=False, have-token=False
2019-11-14 14:25:39,295 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-14 14:25:39,296 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14be', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2290312142'}>)
2019-11-14 14:25:39,296 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14be', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2290312142'}>)
2019-11-14 14:25:39,296 PRIMARY-UTF8_STRING='seven' (UTF8_STRING : 8)
2019-11-14 14:25:39,297 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-14 14:25:39,297 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7fc3a104b050>('UTF8_STRING', 8, '"b\'seven\'"'), time=0
2019-11-14 14:25:39,297 got_text_target(UTF8_STRING, 8, "b'seven'")
2019-11-14 14:25:39,297 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'seven'))")
2019-11-14 14:25:39,297 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'seven'")
2019-11-14 14:25:39,297 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:5)
2019-11-14 14:25:39,298 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14c3', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2290312143'}>)
2019-11-14 14:25:39,298 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14c3', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2290312143'}>)
2019-11-14 14:25:39,298 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-14 14:25:40,711 do_xpra_selection_clear(<X11:SelectionClear {'send_event': '0', 'serial': '0x155a', 'delivered_to': '0x400008', 'window': '0x400008', 'selection': 'CLIPBOARD', 'time': '2290313557'}>)
2019-11-14 14:25:40,712 do_xpra_selection_clear(<X11:SelectionClear {'send_event': '0', 'serial': '0x155a', 'delivered_to': '0x400008', 'window': '0x400008', 'selection': 'CLIPBOARD', 'time': '2290313557'}>) was owned=True
2019-11-14 14:25:40,712 do_owner_changed()
2019-11-14 14:25:40,713 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x155a', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'CLIPBOARD', 'timestamp': '2290313557', 'selection_timestamp': '2290313557'}>)
2019-11-14 14:25:40,713 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x155a', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'CLIPBOARD', 'timestamp': '2290313557', 'selection_timestamp': '2290313557'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-14 14:25:40,714 get_contents(TARGETS, <function ClipboardProxy.schedule_emit_token.<locals>.got_targets at 0x7fc3a105d050>, 0) owned=False, have-token=False
2019-11-14 14:25:40,714 requesting local XConvertSelection from 'gedit' as 'TARGETS' into 'CLIPBOARD-TARGETS'
2019-11-14 14:25:40,715 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1561', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2290313562'}>)
2019-11-14 14:25:40,716 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1561', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2290313562'}>)
2019-11-14 14:25:40,716 CLIPBOARD-TARGETS='°\x01\x00\x00\x00\x00\x00\x00¬\x01\x00\x00\x00\x00\x00\x00±\x01\x00\x00\x00\x00\x00\x00»\x01\x00\x00\x00\x00\x00\x00²\x01\x00\x00\x00\x00\x00\x00³\x01\x00\x00\x00\x00\x00\x00ç\x00\x00\x00\x00\x00\x00\x00´\x01\x00\x00\x00\x00\x00\x00µ\x01\x00\x00\x00\x00\x00\x00\x1f\x00\x00\x00\x00\x00\x00\x00¶\x01\x00\x00\x00\x00\x00\x00·\x01\x00\x00\x00\x00\x00\x00' (ATOM : 32)
2019-11-14 14:25:40,717 filter_data(TARGETS, ATOM, 32, ..)
2019-11-14 14:25:40,717 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.got_targets at 0x7fc3a105d050>('ATOM', 32, '"b\'\\\\xb0\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xac .. 0\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"'), time=0
2019-11-14 14:25:40,718 got_targets: ('TIMESTAMP', 'TARGETS', 'MULTIPLE', 'SAVE_TARGETS', 'GTK_TEXT_BUFFER_CONTENTS', 'application/x-gtk-text-buffer-rich-text', 'UTF8_STRING', 'COMPOUND_TEXT', 'TEXT', 'STRING', 'text/plain;charset=utf-8', 'text/plain')
2019-11-14 14:25:40,718 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7fc3a105d0e0>, 0) owned=False, have-token=False
2019-11-14 14:25:40,719 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'CLIPBOARD-UTF8_STRING'
2019-11-14 14:25:40,720 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1564', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2290313563'}>)
2019-11-14 14:25:40,720 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1564', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2290313563'}>)
2019-11-14 14:25:40,720 do_property_notify() property 'CLIPBOARD-TARGETS' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-14 14:25:40,722 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x156e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2290313566'}>)
2019-11-14 14:25:40,722 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x156e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2290313566'}>)
2019-11-14 14:25:40,723 CLIPBOARD-UTF8_STRING='seven' (UTF8_STRING : 8)
2019-11-14 14:25:40,723 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-14 14:25:40,723 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7fc3a105d0e0>('UTF8_STRING', 8, '"b\'seven\'"'), time=0
2019-11-14 14:25:40,723 got_text_target(UTF8_STRING, 8, "b'seven'")
2019-11-14 14:25:40,724 _send_clipboard_token_handler(X11ClipboardProxy(CLIPBOARD), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'seven'))")
2019-11-14 14:25:40,724 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'seven'")
2019-11-14 14:25:40,724 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:5)
2019-11-14 14:25:40,725 send_clipboard(..) elapsed=2.65, clipboard_stats=deque([6585278.2194474, 6585278.22622585, 6585278.234508618, 6585278.260718291, 6585278.276564194, 6585278.277240787, 6585278.283994178, 6585278.303001548, 6585278.321612405, 6585278.334047245, 6585278.390606944, 6585278.408099591, 6585278.599854388, 6585278.614786903, 6585278.638824477, 6585278.648803071, 6585278.75190901, 6585278.768513266, 6585278.878978744, 6585278.89381265, 6585278.941666979, 6585278.946190056, 6585278.963499006, 6585278.976238606, 6585278.994491189, 6585279.009616262, 6585279.078701234, 6585279.094857287, 6585279.44131522, 6585280.868672891], maxlen=90)
2019-11-14 14:25:40,725 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1575', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2290313569'}>)
2019-11-14 14:25:40,726 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1575', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2290313569'}>)
2019-11-14 14:25:40,726 do_property_notify() property 'CLIPBOARD-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type

Then there was a right-click paste, then a space, then a right-click, then another space... all with no logs.

Then there's something I am not sure what might have triggered.

2019-11-14 14:26:06,737 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1752', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': 'None', 'selection': 'PRIMARY', 'timestamp': '2290339582', 'selection_timestamp': '2290339582'}>)
2019-11-14 14:26:06,738 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1752', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': 'None', 'selection': 'PRIMARY', 'timestamp': '2290339582', 'selection_timestamp': '2290339582'}>) owned=0, was False (owner=0x0, xid=0x400008), enabled=True, can-send=True

Then the first control-v paste, which pasted the expected local-side copied contents ('eight').

2019-11-14 14:26:53,133 process clipboard token selection=CLIPBOARD, local clipboard name=CLIPBOARD, proxy=X11ClipboardProxy(CLIPBOARD)
2019-11-14 14:26:53,134 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=5
2019-11-14 14:26:53,134 got token, selection=CLIPBOARD, targets=[b'UTF8_STRING', b'text/plain'], target data={'UTF8_STRING': ('UTF8_STRING', 8, b'eight')}, claim=True, can-receive=True
2019-11-14 14:26:53,134 got_contents('TARGETS', 'ATOM', 32, '"b\'\\\\xe7\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"') pending=
2019-11-14 14:26:53,134 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'eight\'"') pending=
2019-11-14 14:26:53,135 claim_selection: set selection owner returned 1, owner=0x400008
2019-11-14 14:26:53,135 claim_selection: sending message to root window
2019-11-14 14:26:53,135 claim_selection: done, owned=True
2019-11-14 14:26:53,136 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1e21', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2290385981', 'selection_timestamp': '2290385981'}>)
2019-11-14 14:26:53,136 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1e21', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2290385981', 'selection_timestamp': '2290385981'}>) owned=True, was True (owner=0x400008, xid=0x400008), enabled=True, can-send=True
2019-11-14 14:26:53,136 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x1e22', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2290385981'}>)
2019-11-14 14:26:53,136 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x1e22', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2290385981'}>)
2019-11-14 14:26:53,136 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 14:26:53,136 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 14:26:53,137 set_selection_response(<GdkX11.X11Window object at 0x7fc3a105b550 (GdkX11Window at 0x55ce557f32a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2290385981)
2019-11-14 14:26:53,143 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x1e33', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'GTK_TEXT_BUFFER_CONTENTS', 'property': 'GDK_SELECTION', 'time': '2290385989'}>)
2019-11-14 14:26:53,143 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x1e33', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'GTK_TEXT_BUFFER_CONTENTS', 'property': 'GDK_SELECTION', 'time': '2290385989'}>)
2019-11-14 14:26:53,144 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=GTK_TEXT_BUFFER_CONTENTS, prop=GDK_SELECTION
2019-11-14 14:26:53,144 client is requesting an unknown target: 'GTK_TEXT_BUFFER_CONTENTS'
2019-11-14 14:26:53,144  valid targets: UTF8_STRING, text/plain
2019-11-14 14:26:53,144  dropping the request
2019-11-14 14:26:53,144 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0fe9c80 (GdkX11Window at 0x55ce557f32a0)>, GTK_TEXT_BUFFER_CONTENTS, GDK_SELECTION, STRING, 8, "''", 2290385989)
2019-11-14 14:26:53,144 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x1e38', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2290385989'}>)
2019-11-14 14:26:53,145 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x1e38', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2290385989'}>)
2019-11-14 14:26:53,145 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 14:26:53,145 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 14:26:53,145 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0fe9f50 (GdkX11Window at 0x55ce557f32a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2290385989)
2019-11-14 14:26:53,146 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x1e3e', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'text/plain;charset=utf-8', 'property': 'GDK_SELECTION', 'time': '2290385989'}>)
2019-11-14 14:26:53,146 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x1e3e', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'text/plain;charset=utf-8', 'property': 'GDK_SELECTION', 'time': '2290385989'}>)
2019-11-14 14:26:53,146 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=text/plain;charset=utf-8, prop=GDK_SELECTION
2019-11-14 14:26:53,146 client is requesting an unknown target: 'text/plain;charset=utf-8'
2019-11-14 14:26:53,146  using 'UTF8_STRING' instead
2019-11-14 14:26:53,146 send_clipboard_request_handler(X11ClipboardProxy(CLIPBOARD), 'CLIPBOARD', 'UTF8_STRING')
2019-11-14 14:26:53,146 send_clipboard_request id=8
2019-11-14 14:26:53,147 send_clipboard(..) elapsed=75.06, clipboard_stats=deque([6585278.2194474, 6585278.22622585, 6585278.234508618, 6585278.260718291, 6585278.276564194, 6585278.277240787, 6585278.283994178, 6585278.303001548, 6585278.321612405, 6585278.334047245, 6585278.390606944, 6585278.408099591, 6585278.599854388, 6585278.614786903, 6585278.638824477, 6585278.648803071, 6585278.75190901, 6585278.768513266, 6585278.878978744, 6585278.89381265, 6585278.941666979, 6585278.946190056, 6585278.963499006, 6585278.976238606, 6585278.994491189, 6585279.009616262, 6585279.078701234, 6585279.094857287, 6585279.44131522, 6585280.868672891, 6585353.290735527], maxlen=90)
2019-11-14 14:26:53,185 process clipboard contents, selection=CLIPBOARD, type=UTF8_STRING, format=8
2019-11-14 14:26:53,185 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=5
2019-11-14 14:26:53,186 clipboard wire -> raw: ('UTF8_STRING', 8, 'bytes', '"b\'eight\'"') -> "b'eight'"
2019-11-14 14:26:53,186 clipboard got contents(8, 'UTF8_STRING', 8, '"b\'eight\'"'): proxy=X11ClipboardProxy(CLIPBOARD) for selection=CLIPBOARD
2019-11-14 14:26:53,186 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'eight\'"') pending=(<GdkX11.X11Window object at 0x7fc3a0fe9f50 (GdkX11Window at 0x55ce557f32a0)>, 'GDK_SELECTION', 2290385989)
2019-11-14 14:26:53,186 setting response 'eight' to property GDK_SELECTION of window 'gedit' as UTF8_STRING
2019-11-14 14:26:53,186 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0fe9f50 (GdkX11Window at 0x55ce557f32a0)>, UTF8_STRING, GDK_SELECTION, UTF8_STRING, 8, "'eight'", 2290385989)
2019-11-14 14:26:53,189 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x1e45', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2290385989'}>)
2019-11-14 14:26:53,189 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x1e45', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2290385989'}>)
2019-11-14 14:26:53,190 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 14:26:53,190 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 14:26:53,190 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0fe9d20 (GdkX11Window at 0x55ce557f32a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2290385989)
2019-11-14 14:26:53,191 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x1e45', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800b3d', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2290385989'}>)
2019-11-14 14:26:53,192 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x1e45', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800b3d', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2290385989'}>)
2019-11-14 14:26:53,192 clipboard request for CLIPBOARD from window 0x800b3d: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 14:26:53,192 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 14:26:53,193 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0fe9d20 (GdkX11Window at 0x55ce5589a890)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2290385989)

And... I'll post this, then try once more and put it into another comment (and I'll pretend that will make it less confusing).

comment:16 Changed 5 months ago by alas

Well... now it looks like the 'mystery logs' correspond to a return... which in this pass (which matches the one before last) led to the first control-v paste event being a failure (pasted the odd server-side string rather than the shiny new even one copied more recently locally).

Perhaps that change is the difference?

Some logs here, for comparison sake...
Here we have the very last bit of the initial copy server-side (in this case nine was typoed as 'none', and let slide) at :05, followed by a click and return to un-highlight the string in the gedit and to enable easier access to the next line for the later pasting event, at :07.

2019-11-14 14:44:05,103 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x2d7a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2291417947'}>)
2019-11-14 14:44:05,103 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x2d7a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2291417947'}>)
2019-11-14 14:44:05,103 CLIPBOARD-UTF8_STRING='none' (UTF8_STRING : 8)
2019-11-14 14:44:05,104 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-14 14:44:05,104 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7fc3a0fedb00>('UTF8_STRING', 8, '"b\'none\'"'), time=0
2019-11-14 14:44:05,104 got_text_target(UTF8_STRING, 8, "b'none'")
2019-11-14 14:44:05,104 _send_clipboard_token_handler(X11ClipboardProxy(CLIPBOARD), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'none'))")
2019-11-14 14:44:05,104 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'none'")
2019-11-14 14:44:05,104 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-14 14:44:05,104 send_clipboard(..) elapsed=2.23, clipboard_stats=deque([6585278.2194474, 6585278.22622585, 6585278.234508618, 6585278.260718291, 6585278.276564194, 6585278.277240787, 6585278.283994178, 6585278.303001548, 6585278.321612405, 6585278.334047245, 6585278.390606944, 6585278.408099591, 6585278.599854388, 6585278.614786903, 6585278.638824477, 6585278.648803071, 6585278.75190901, 6585278.768513266, 6585278.878978744, 6585278.89381265, 6585278.941666979, 6585278.946190056, 6585278.963499006, 6585278.976238606, 6585278.994491189, 6585279.009616262, 6585279.078701234, 6585279.094857287, 6585279.44131522, 6585280.868672891, 6585353.290735527, 6586382.973361189, 6586383.00026332, 6586383.018792835, 6586383.019377195, 6586383.078449961, 6586383.079078738, 6586383.088849149, 6586383.225993508, 6586383.245315313, 6586383.263075439, 6586383.276896626, 6586383.295622596, 6586383.335786031, 6586383.354079972, 6586383.368532949, 6586383.404008105, 6586383.424484515, 6586383.50705279, 6586383.527526841, 6586383.542631057, 6586383.568290148, 6586383.576901319, 6586383.601298334, 6586383.612313234, 6586383.627621939, 6586383.641024774, 6586383.657914353, 6586383.809940311, 6586383.826144334, 6586384.027456519, 6586384.037407595, 6586384.038525115, 6586385.248532949], maxlen=90)
2019-11-14 14:44:05,105 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x2d81', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2291417950'}>)
2019-11-14 14:44:05,105 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x2d81', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2291417950'}>)
2019-11-14 14:44:05,106 do_property_notify() property 'CLIPBOARD-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-14 14:44:07,189 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x2e88', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': 'None', 'selection': 'PRIMARY', 'timestamp': '2291420035', 'selection_timestamp': '2291420034'}>)
2019-11-14 14:44:07,189 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x2e88', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': 'None', 'selection': 'PRIMARY', 'timestamp': '2291420035', 'selection_timestamp': '2291420034'}>) owned=0, was False (owner=0x0, xid=0x400008), enabled=True, can-send=True

Then I clicked locally and pasted, then copied the next expected string ('ten')... and then clicked focus to that new line of the server-side gedit... followed by pasting 'none', then space, then pasting again with the right-click menu... no logs.

And here are the logs of the control-v (14:45:20), then the space (14:45:44), then the second (successful) control-v (14:45:58-59).

2019-11-14 14:45:20,736 process clipboard token selection=CLIPBOARD, local clipboard name=CLIPBOARD, proxy=X11ClipboardProxy(CLIPBOARD)
2019-11-14 14:45:20,736 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=3
2019-11-14 14:45:20,737 got token, selection=CLIPBOARD, targets=[b'UTF8_STRING', b'text/plain'], target data={'UTF8_STRING': ('UTF8_STRING', 8, b'ten')}, claim=True, can-receive=True
2019-11-14 14:45:20,740 got_contents('TARGETS', 'ATOM', 32, '"b\'\\\\xe7\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"') pending=
2019-11-14 14:45:20,740 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'ten\'"') pending=
2019-11-14 14:45:20,741 claim_selection: set selection owner returned 1, owner=0x400008
2019-11-14 14:45:20,741 claim_selection: sending message to root window
2019-11-14 14:45:20,741 claim_selection: done, owned=True
2019-11-14 14:45:20,743 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x38e3', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2291493587', 'selection_timestamp': '2291493587'}>)
2019-11-14 14:45:20,743 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x38e3', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2291493587', 'selection_timestamp': '2291493587'}>) owned=True, was True (owner=0x400008, xid=0x400008), enabled=True, can-send=True
2019-11-14 14:45:20,743 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x38e4', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2291493587'}>)
2019-11-14 14:45:20,743 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x38e4', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2291493587'}>)
2019-11-14 14:45:20,744 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 14:45:20,744 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 14:45:20,744 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0fe5870 (GdkX11Window at 0x55ce557f32a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2291493587)
2019-11-14 14:45:44,028 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x3963', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2291516872'}>)
2019-11-14 14:45:44,028 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x3963', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2291516872'}>)
2019-11-14 14:45:44,028 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 14:45:44,029 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 14:45:44,029 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0f6d500 (GdkX11Window at 0x55ce557f32a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2291516872)
2019-11-14 14:45:44,030 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x3963', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800c01', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2291516872'}>)
2019-11-14 14:45:44,031 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x3963', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800c01', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2291516872'}>)
2019-11-14 14:45:44,031 clipboard request for CLIPBOARD from window 0x800c01: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 14:45:44,032 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 14:45:44,032 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0f6d500 (GdkX11Window at 0x55ce558aed90)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2291516872)
2019-11-14 14:45:58,958 process clipboard token selection=CLIPBOARD, local clipboard name=CLIPBOARD, proxy=X11ClipboardProxy(CLIPBOARD)
2019-11-14 14:45:58,958 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=3
2019-11-14 14:45:58,958 got token, selection=CLIPBOARD, targets=[b'UTF8_STRING', b'text/plain'], target data={'UTF8_STRING': ('UTF8_STRING', 8, b'ten')}, claim=True, can-receive=True
2019-11-14 14:45:58,959 got_contents('TARGETS', 'ATOM', 32, '"b\'\\\\xe7\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"') pending=
2019-11-14 14:45:58,959 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'ten\'"') pending=
2019-11-14 14:45:58,960 claim_selection: set selection owner returned 1, owner=0x400008
2019-11-14 14:45:58,960 claim_selection: sending message to root window
2019-11-14 14:45:58,960 claim_selection: done, owned=True
2019-11-14 14:45:58,961 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x39ed', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2291531806', 'selection_timestamp': '2291531806'}>)
2019-11-14 14:45:58,961 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x39ed', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2291531806', 'selection_timestamp': '2291531806'}>) owned=True, was True (owner=0x400008, xid=0x400008), enabled=True, can-send=True
2019-11-14 14:45:58,961 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x39ee', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2291531806'}>)
2019-11-14 14:45:58,962 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x39ee', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2291531806'}>)
2019-11-14 14:45:58,962 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 14:45:58,962 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 14:45:58,962 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0f783c0 (GdkX11Window at 0x55ce557f32a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2291531806)
2019-11-14 14:45:58,969 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x39fb', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'GTK_TEXT_BUFFER_CONTENTS', 'property': 'GDK_SELECTION', 'time': '2291531816'}>)
2019-11-14 14:45:58,970 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x39fb', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'GTK_TEXT_BUFFER_CONTENTS', 'property': 'GDK_SELECTION', 'time': '2291531816'}>)
2019-11-14 14:45:58,970 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=GTK_TEXT_BUFFER_CONTENTS, prop=GDK_SELECTION
2019-11-14 14:45:58,970 client is requesting an unknown target: 'GTK_TEXT_BUFFER_CONTENTS'
2019-11-14 14:45:58,970  valid targets: UTF8_STRING, text/plain
2019-11-14 14:45:58,970  dropping the request
2019-11-14 14:45:58,970 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0f78910 (GdkX11Window at 0x55ce557f32a0)>, GTK_TEXT_BUFFER_CONTENTS, GDK_SELECTION, STRING, 8, "''", 2291531816)
2019-11-14 14:45:58,971 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x3a00', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2291531816'}>)
2019-11-14 14:45:58,971 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x3a00', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2291531816'}>)
2019-11-14 14:45:58,971 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 14:45:58,971 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 14:45:58,971 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0f78960 (GdkX11Window at 0x55ce557f32a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2291531816)
2019-11-14 14:45:58,972 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x3a06', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'text/plain;charset=utf-8', 'property': 'GDK_SELECTION', 'time': '2291531816'}>)
2019-11-14 14:45:58,972 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x3a06', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'text/plain;charset=utf-8', 'property': 'GDK_SELECTION', 'time': '2291531816'}>)
2019-11-14 14:45:58,972 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=text/plain;charset=utf-8, prop=GDK_SELECTION
2019-11-14 14:45:58,972 client is requesting an unknown target: 'text/plain;charset=utf-8'
2019-11-14 14:45:58,972  using 'UTF8_STRING' instead
2019-11-14 14:45:58,973 send_clipboard_request_handler(X11ClipboardProxy(CLIPBOARD), 'CLIPBOARD', 'UTF8_STRING')
2019-11-14 14:45:58,973 send_clipboard_request id=9
2019-11-14 14:45:58,973 send_clipboard(..) elapsed=116.04, clipboard_stats=deque([6585278.2194474, 6585278.22622585, 6585278.234508618, 6585278.260718291, 6585278.276564194, 6585278.277240787, 6585278.283994178, 6585278.303001548, 6585278.321612405, 6585278.334047245, 6585278.390606944, 6585278.408099591, 6585278.599854388, 6585278.614786903, 6585278.638824477, 6585278.648803071, 6585278.75190901, 6585278.768513266, 6585278.878978744, 6585278.89381265, 6585278.941666979, 6585278.946190056, 6585278.963499006, 6585278.976238606, 6585278.994491189, 6585279.009616262, 6585279.078701234, 6585279.094857287, 6585279.44131522, 6585280.868672891, 6585353.290735527, 6586382.973361189, 6586383.00026332, 6586383.018792835, 6586383.019377195, 6586383.078449961, 6586383.079078738, 6586383.088849149, 6586383.225993508, 6586383.245315313, 6586383.263075439, 6586383.276896626, 6586383.295622596, 6586383.335786031, 6586383.354079972, 6586383.368532949, 6586383.404008105, 6586383.424484515, 6586383.50705279, 6586383.527526841, 6586383.542631057, 6586383.568290148, 6586383.576901319, 6586383.601298334, 6586383.612313234, 6586383.627621939, 6586383.641024774, 6586383.657914353, 6586383.809940311, 6586383.826144334, 6586384.027456519, 6586384.037407595, 6586384.038525115, 6586385.248532949, 6586499.11701868], maxlen=90)
2019-11-14 14:45:59,003 process clipboard contents, selection=CLIPBOARD, type=UTF8_STRING, format=8
2019-11-14 14:45:59,003 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=3
2019-11-14 14:45:59,004 clipboard wire -> raw: ('UTF8_STRING', 8, 'bytes', '"b\'ten\'"') -> "b'ten'"
2019-11-14 14:45:59,004 clipboard got contents(9, 'UTF8_STRING', 8, '"b\'ten\'"'): proxy=X11ClipboardProxy(CLIPBOARD) for selection=CLIPBOARD
2019-11-14 14:45:59,004 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'ten\'"') pending=(<GdkX11.X11Window object at 0x7fc3a0f78960 (GdkX11Window at 0x55ce557f32a0)>, 'GDK_SELECTION', 2291531816)
2019-11-14 14:45:59,004 setting response 'ten' to property GDK_SELECTION of window 'gedit' as UTF8_STRING
2019-11-14 14:45:59,005 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0f78960 (GdkX11Window at 0x55ce557f32a0)>, UTF8_STRING, GDK_SELECTION, UTF8_STRING, 8, "'ten'", 2291531816)
2019-11-14 14:45:59,006 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x3a0d', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2291531816'}>)
2019-11-14 14:45:59,006 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x3a0d', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2291531816'}>)
2019-11-14 14:45:59,007 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 14:45:59,007 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 14:45:59,008 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0f78910 (GdkX11Window at 0x55ce557f32a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2291531816)
2019-11-14 14:45:59,009 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x3a0e', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800c06', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2291531816'}>)
2019-11-14 14:45:59,009 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x3a0e', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800c06', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2291531816'}>)
2019-11-14 14:45:59,010 clipboard request for CLIPBOARD from window 0x800c06: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 14:45:59,010 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 14:45:59,010 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0f78910 (GdkX11Window at 0x55ce5588d0c0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2291531816)

comment:17 Changed 5 months ago by alas

Well, unfortunately attempting to repro the test where the server-side gedit string was left highlighted resulted in yet a different result. As I was highlighting I noticed a flash of the arrow cursor indicating that the mouse had somehow 'caught' the edge of a window, the gedit I assume, and a re-sizing event was 'available'?

I waited a little between spotting that during the highlighting, and the clicking of the control-c to copy the highlighted content... I think... so I can give you the last of the logs from the highlighting, then the logs for the control-c copy.

(They look about the same to me, but maybe you'll spot something... the highlighted text had another typo that I let slide, 'thjirteen'... which will be evident in the logs - but in this case, pasting locally just pasted 'irteen'.)

End of the long block of highlighting logs.

2019-11-14 15:00:46,779 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x6465', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2292419627', 'selection_timestamp': '2292419618'}>)
2019-11-14 15:00:46,780 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x6465', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2292419627', 'selection_timestamp': '2292419618'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-14 15:00:46,780 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7fc3a0f37680>, 0) owned=False, have-token=False
2019-11-14 15:00:46,780 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-14 15:00:46,782 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x646b', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2292419628'}>)
2019-11-14 15:00:46,782 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x646b', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2292419628'}>)
2019-11-14 15:00:46,782 PRIMARY-UTF8_STRING='thjirteen' (UTF8_STRING : 8)
2019-11-14 15:00:46,782 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-14 15:00:46,783 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7fc3a0f37680>('UTF8_STRING', 8, '"b\'thjirteen\'"'), time=0
2019-11-14 15:00:46,783 got_text_target(UTF8_STRING, 8, "b'thjirteen'")
2019-11-14 15:00:46,783 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'thjirteen'))")
2019-11-14 15:00:46,783 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'thjirteen'")
2019-11-14 15:00:46,783 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:9)
2019-11-14 15:00:46,783 send_clipboard(..) elapsed=0.59, clipboard_stats=deque([6587210.56638484, 6587210.582819019, 6587210.61857069, 6587210.636208736, 6587210.637768416, 6587210.672628874, 6587210.673715544, 6587210.701597497, 6587210.746979134, 6587210.748912778, 6587210.783537324, 6587210.789534985, 6587210.89984596, 6587210.901432897, 6587210.931105013, 6587210.932484124, 6587210.961230537, 6587210.979594865, 6587210.995990873, 6587211.035049956, 6587211.03649812, 6587211.102847814, 6587211.104236326, 6587211.155218528, 6587211.156610301, 6587211.206055389, 6587211.207461739, 6587211.221818432, 6587211.333233118, 6587211.350540022, 6587211.366796744, 6587211.407838299, 6587211.40939212, 6587211.589482759, 6587220.063509035, 6587326.246659061, 6587385.916628381, 6587385.932117268, 6587385.946659434, 6587386.005027417, 6587386.021675172, 6587386.036262228, 6587386.056455728, 6587386.072709332, 6587386.089984056, 6587386.104784679, 6587386.122864239, 6587386.137280245, 6587386.154668089, 6587386.186955213, 6587386.195545406, 6587386.196067704, 6587386.223554568, 6587386.240012909, 6587386.240585566, 6587386.254659433, 6587386.273498458, 6587386.287747217, 6587386.303896559, 6587386.322302195, 6587386.341681725, 6587386.343060277, 6587386.372964742, 6587386.404996039, 6587386.417416122, 6587386.418842505, 6587386.437608018, 6587386.469112732, 6587386.474029161, 6587386.506039652, 6587386.523083709, 6587386.538606001, 6587386.557014826, 6587386.572870551, 6587386.5877723, 6587386.606963264, 6587386.621929298, 6587386.638468064, 6587386.665733551, 6587386.66681826, 6587386.706369948, 6587386.726162128, 6587386.740685679, 6587386.756991795, 6587386.774890271, 6587386.860207167, 6587386.878480253, 6587386.903070532, 6587386.911913979, 6587386.927521305], maxlen=90)
2019-11-14 15:00:46,784 Warning: more than 30 clipboard requests per second!
2019-11-14 15:00:46,784 54 events in the last 3 seconds: [6587385.916628381, 6587385.932117268, 6587385.946659434, 6587386.005027417, 6587386.021675172, 6587386.036262228, 6587386.056455728, 6587386.072709332, 6587386.089984056, 6587386.104784679, 6587386.122864239, 6587386.137280245, 6587386.154668089, 6587386.186955213, 6587386.195545406, 6587386.196067704, 6587386.223554568, 6587386.240012909, 6587386.240585566, 6587386.254659433, 6587386.273498458, 6587386.287747217, 6587386.303896559, 6587386.322302195, 6587386.341681725, 6587386.343060277, 6587386.372964742, 6587386.404996039, 6587386.417416122, 6587386.418842505, 6587386.437608018, 6587386.469112732, 6587386.474029161, 6587386.506039652, 6587386.523083709, 6587386.538606001, 6587386.557014826, 6587386.572870551, 6587386.5877723, 6587386.606963264, 6587386.621929298, 6587386.638468064, 6587386.665733551, 6587386.66681826, 6587386.706369948, 6587386.726162128, 6587386.740685679, 6587386.756991795, 6587386.774890271, 6587386.860207167, 6587386.878480253, 6587386.903070532, 6587386.911913979, 6587386.927521305]
2019-11-14 15:00:46,784 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x6470', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2292419630'}>)
2019-11-14 15:00:46,785 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x6470', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2292419630'}>)
2019-11-14 15:00:46,785 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-14 15:00:46,937 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x6481', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2292419784', 'selection_timestamp': '2292419784'}>)
2019-11-14 15:00:46,937 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x6481', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2292419784', 'selection_timestamp': '2292419784'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-14 15:00:46,937 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7fc3a0f37680>, 0) owned=False, have-token=False
2019-11-14 15:00:46,938 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-14 15:00:46,940 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x6488', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2292419786'}>)
2019-11-14 15:00:46,940 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x6488', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2292419786'}>)
2019-11-14 15:00:46,941 PRIMARY-UTF8_STRING='thjirteen' (UTF8_STRING : 8)
2019-11-14 15:00:46,941 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-14 15:00:46,941 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7fc3a0f37680>('UTF8_STRING', 8, '"b\'thjirteen\'"'), time=0
2019-11-14 15:00:46,941 got_text_target(UTF8_STRING, 8, "b'thjirteen'")
2019-11-14 15:00:46,941 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'thjirteen'))")
2019-11-14 15:00:46,941 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'thjirteen'")
2019-11-14 15:00:46,942 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:9)
2019-11-14 15:00:46,942 send_clipboard(..) elapsed=0.74, clipboard_stats=deque([6587210.582819019, 6587210.61857069, 6587210.636208736, 6587210.637768416, 6587210.672628874, 6587210.673715544, 6587210.701597497, 6587210.746979134, 6587210.748912778, 6587210.783537324, 6587210.789534985, 6587210.89984596, 6587210.901432897, 6587210.931105013, 6587210.932484124, 6587210.961230537, 6587210.979594865, 6587210.995990873, 6587211.035049956, 6587211.03649812, 6587211.102847814, 6587211.104236326, 6587211.155218528, 6587211.156610301, 6587211.206055389, 6587211.207461739, 6587211.221818432, 6587211.333233118, 6587211.350540022, 6587211.366796744, 6587211.407838299, 6587211.40939212, 6587211.589482759, 6587220.063509035, 6587326.246659061, 6587385.916628381, 6587385.932117268, 6587385.946659434, 6587386.005027417, 6587386.021675172, 6587386.036262228, 6587386.056455728, 6587386.072709332, 6587386.089984056, 6587386.104784679, 6587386.122864239, 6587386.137280245, 6587386.154668089, 6587386.186955213, 6587386.195545406, 6587386.196067704, 6587386.223554568, 6587386.240012909, 6587386.240585566, 6587386.254659433, 6587386.273498458, 6587386.287747217, 6587386.303896559, 6587386.322302195, 6587386.341681725, 6587386.343060277, 6587386.372964742, 6587386.404996039, 6587386.417416122, 6587386.418842505, 6587386.437608018, 6587386.469112732, 6587386.474029161, 6587386.506039652, 6587386.523083709, 6587386.538606001, 6587386.557014826, 6587386.572870551, 6587386.5877723, 6587386.606963264, 6587386.621929298, 6587386.638468064, 6587386.665733551, 6587386.66681826, 6587386.706369948, 6587386.726162128, 6587386.740685679, 6587386.756991795, 6587386.774890271, 6587386.860207167, 6587386.878480253, 6587386.903070532, 6587386.911913979, 6587386.927521305, 6587387.08598302], maxlen=90)
2019-11-14 15:00:46,942 Warning: more than 30 clipboard requests per second!
2019-11-14 15:00:46,942 55 events in the last 3 seconds: [6587385.916628381, 6587385.932117268, 6587385.946659434, 6587386.005027417, 6587386.021675172, 6587386.036262228, 6587386.056455728, 6587386.072709332, 6587386.089984056, 6587386.104784679, 6587386.122864239, 6587386.137280245, 6587386.154668089, 6587386.186955213, 6587386.195545406, 6587386.196067704, 6587386.223554568, 6587386.240012909, 6587386.240585566, 6587386.254659433, 6587386.273498458, 6587386.287747217, 6587386.303896559, 6587386.322302195, 6587386.341681725, 6587386.343060277, 6587386.372964742, 6587386.404996039, 6587386.417416122, 6587386.418842505, 6587386.437608018, 6587386.469112732, 6587386.474029161, 6587386.506039652, 6587386.523083709, 6587386.538606001, 6587386.557014826, 6587386.572870551, 6587386.5877723, 6587386.606963264, 6587386.621929298, 6587386.638468064, 6587386.665733551, 6587386.66681826, 6587386.706369948, 6587386.726162128, 6587386.740685679, 6587386.756991795, 6587386.774890271, 6587386.860207167, 6587386.878480253, 6587386.903070532, 6587386.911913979, 6587386.927521305, 6587387.08598302]
2019-11-14 15:00:46,943 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x648e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2292419788'}>)
2019-11-14 15:00:46,943 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x648e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2292419788'}>)
2019-11-14 15:00:46,943 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type

Then the control-c.

2019-11-14 15:00:59,389 do_xpra_selection_clear(<X11:SelectionClear {'send_event': '0', 'serial': '0x6621', 'delivered_to': '0x400008', 'window': '0x400008', 'selection': 'CLIPBOARD', 'time': '2292432235'}>)
2019-11-14 15:00:59,389 do_xpra_selection_clear(<X11:SelectionClear {'send_event': '0', 'serial': '0x6621', 'delivered_to': '0x400008', 'window': '0x400008', 'selection': 'CLIPBOARD', 'time': '2292432235'}>) was owned=True
2019-11-14 15:00:59,389 do_owner_changed()
2019-11-14 15:00:59,390 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x6621', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'CLIPBOARD', 'timestamp': '2292432235', 'selection_timestamp': '2292432235'}>)
2019-11-14 15:00:59,390 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x6621', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'CLIPBOARD', 'timestamp': '2292432235', 'selection_timestamp': '2292432235'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-14 15:00:59,390 get_contents(TARGETS, <function ClipboardProxy.schedule_emit_token.<locals>.got_targets at 0x7fc3a0f37290>, 0) owned=False, have-token=True
2019-11-14 15:00:59,391 requesting local XConvertSelection from 'gedit' as 'TARGETS' into 'CLIPBOARD-TARGETS'
2019-11-14 15:00:59,391 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x6627', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2292432238'}>)
2019-11-14 15:00:59,391 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x6627', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2292432238'}>)
2019-11-14 15:00:59,392 CLIPBOARD-TARGETS='°\x01\x00\x00\x00\x00\x00\x00¬\x01\x00\x00\x00\x00\x00\x00±\x01\x00\x00\x00\x00\x00\x00»\x01\x00\x00\x00\x00\x00\x00²\x01\x00\x00\x00\x00\x00\x00³\x01\x00\x00\x00\x00\x00\x00ç\x00\x00\x00\x00\x00\x00\x00´\x01\x00\x00\x00\x00\x00\x00µ\x01\x00\x00\x00\x00\x00\x00\x1f\x00\x00\x00\x00\x00\x00\x00¶\x01\x00\x00\x00\x00\x00\x00·\x01\x00\x00\x00\x00\x00\x00' (ATOM : 32)
2019-11-14 15:00:59,392 filter_data(TARGETS, ATOM, 32, ..)
2019-11-14 15:00:59,392 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.got_targets at 0x7fc3a0f37290>('ATOM', 32, '"b\'\\\\xb0\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xac .. 0\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"'), time=0
2019-11-14 15:00:59,393 got_targets: ('TIMESTAMP', 'TARGETS', 'MULTIPLE', 'SAVE_TARGETS', 'GTK_TEXT_BUFFER_CONTENTS', 'application/x-gtk-text-buffer-rich-text', 'UTF8_STRING', 'COMPOUND_TEXT', 'TEXT', 'STRING', 'text/plain;charset=utf-8', 'text/plain')
2019-11-14 15:00:59,393 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7fc3a0f37320>, 0) owned=False, have-token=True
2019-11-14 15:00:59,393 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'CLIPBOARD-UTF8_STRING'
2019-11-14 15:00:59,393 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x662a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2292432238'}>)
2019-11-14 15:00:59,394 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x662a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2292432238'}>)
2019-11-14 15:00:59,394 do_property_notify() property 'CLIPBOARD-TARGETS' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-14 15:00:59,395 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x6637', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2292432240'}>)
2019-11-14 15:00:59,395 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x6637', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2292432240'}>)
2019-11-14 15:00:59,395 CLIPBOARD-UTF8_STRING='thjirteen' (UTF8_STRING : 8)
2019-11-14 15:00:59,395 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-14 15:00:59,395 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7fc3a0f37320>('UTF8_STRING', 8, '"b\'thjirteen\'"'), time=0
2019-11-14 15:00:59,396 got_text_target(UTF8_STRING, 8, "b'thjirteen'")
2019-11-14 15:00:59,396 _send_clipboard_token_handler(X11ClipboardProxy(CLIPBOARD), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'thjirteen'))")
2019-11-14 15:00:59,396 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'thjirteen'")
2019-11-14 15:00:59,396 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:9)
2019-11-14 15:00:59,396 send_clipboard(..) elapsed=13.17, clipboard_stats=deque([6587210.61857069, 6587210.636208736, 6587210.637768416, 6587210.672628874, 6587210.673715544, 6587210.701597497, 6587210.746979134, 6587210.748912778, 6587210.783537324, 6587210.789534985, 6587210.89984596, 6587210.901432897, 6587210.931105013, 6587210.932484124, 6587210.961230537, 6587210.979594865, 6587210.995990873, 6587211.035049956, 6587211.03649812, 6587211.102847814, 6587211.104236326, 6587211.155218528, 6587211.156610301, 6587211.206055389, 6587211.207461739, 6587211.221818432, 6587211.333233118, 6587211.350540022, 6587211.366796744, 6587211.407838299, 6587211.40939212, 6587211.589482759, 6587220.063509035, 6587326.246659061, 6587385.916628381, 6587385.932117268, 6587385.946659434, 6587386.005027417, 6587386.021675172, 6587386.036262228, 6587386.056455728, 6587386.072709332, 6587386.089984056, 6587386.104784679, 6587386.122864239, 6587386.137280245, 6587386.154668089, 6587386.186955213, 6587386.195545406, 6587386.196067704, 6587386.223554568, 6587386.240012909, 6587386.240585566, 6587386.254659433, 6587386.273498458, 6587386.287747217, 6587386.303896559, 6587386.322302195, 6587386.341681725, 6587386.343060277, 6587386.372964742, 6587386.404996039, 6587386.417416122, 6587386.418842505, 6587386.437608018, 6587386.469112732, 6587386.474029161, 6587386.506039652, 6587386.523083709, 6587386.538606001, 6587386.557014826, 6587386.572870551, 6587386.5877723, 6587386.606963264, 6587386.621929298, 6587386.638468064, 6587386.665733551, 6587386.66681826, 6587386.706369948, 6587386.726162128, 6587386.740685679, 6587386.756991795, 6587386.774890271, 6587386.860207167, 6587386.878480253, 6587386.903070532, 6587386.911913979, 6587386.927521305, 6587387.08598302, 6587399.540264702], maxlen=90)
2019-11-14 15:00:59,397 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x663e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2292432242'}>)
2019-11-14 15:00:59,397 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x663e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2292432242'}>)
2019-11-14 15:00:59,397 do_property_notify() property 'CLIPBOARD-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type

Then I pasted locally (again, getting only 'irteen'), then typed and copied 'fourteen'.

I then clicked back on the server-side gedit window to return focus, with the text 'thjirteen' still highlighted.
I clicked again to un-highlight, and got the following logs.

2019-11-14 15:01:48,205 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x6a8d', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': 'None', 'selection': 'PRIMARY', 'timestamp': '2292481052', 'selection_timestamp': '2292481051'}>)
2019-11-14 15:01:48,206 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x6a8d', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': 'None', 'selection': 'PRIMARY', 'timestamp': '2292481052', 'selection_timestamp': '2292481051'}>) owned=0, was False (owner=0x0, xid=0x400008), enabled=True, can-send=True

... but didn't see any logs when using enter afterward to move to a new line.

Pasting server-side with the right-click menu twice, with a space between, pasted the expected 'thjirteen' twice with no logs, and no logs with another space.

Pasting with a control-v again pasted 'thjirteen'...

2019-11-14 15:02:20,953 process clipboard token selection=CLIPBOARD, local clipboard name=CLIPBOARD, proxy=X11ClipboardProxy(CLIPBOARD)
2019-11-14 15:02:20,954 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=9
2019-11-14 15:02:20,954 got token, selection=CLIPBOARD, targets=[b'UTF8_STRING', b'text/plain'], target data={'UTF8_STRING': ('UTF8_STRING', 8, b'thjirteen')}, claim=True, can-receive=True
2019-11-14 15:02:20,955 got_contents('TARGETS', 'ATOM', 32, '"b\'\\\\xe7\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"') pending=
2019-11-14 15:02:20,956 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'thjirteen\'"') pending=
2019-11-14 15:02:20,956 claim_selection: set selection owner returned 1, owner=0x400008
2019-11-14 15:02:20,956 claim_selection: sending message to root window
2019-11-14 15:02:20,957 claim_selection: done, owned=True
2019-11-14 15:02:20,957 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x73fc', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2292513802', 'selection_timestamp': '2292513802'}>)
2019-11-14 15:02:20,958 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x73fc', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2292513802', 'selection_timestamp': '2292513802'}>) owned=True, was True (owner=0x400008, xid=0x400008), enabled=True, can-send=True
2019-11-14 15:02:20,961 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x7401', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2292513805'}>)
2019-11-14 15:02:20,961 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x7401', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2292513805'}>)
2019-11-14 15:02:20,962 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 15:02:20,962 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 15:02:20,962 set_selection_response(<GdkX11.X11Window object at 0x7fc3a3f346e0 (GdkX11Window at 0x55ce557f32a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2292513805)

And then a space.

2019-11-14 15:02:37,110 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x747c', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2292529952'}>)
2019-11-14 15:02:37,110 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x747c', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2292529952'}>)
2019-11-14 15:02:37,111 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 15:02:37,111 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 15:02:37,112 set_selection_response(<GdkX11.X11Window object at 0x7fc3a100f4b0 (GdkX11Window at 0x55ce557f32a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2292529952)
2019-11-14 15:02:37,112 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x747c', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800e0c', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2292529952'}>)
2019-11-14 15:02:37,113 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x747c', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800e0c', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2292529952'}>)
2019-11-14 15:02:37,113 clipboard request for CLIPBOARD from window 0x800e0c: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 15:02:37,113 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 15:02:37,114 set_selection_response(<GdkX11.X11Window object at 0x7fc3a100f4b0 (GdkX11Window at 0x55ce557c8920)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2292529952)

And then another control-v... again pasted 'thjirteen' - making me suspect that there was something that caused that to re-sync to the clipboard server-side. Was it the unexpected arrow-cursor that led to the local-clipboard only syncing 'irteen' come back to haunt me? Or was there something 'different' about my click for focus then click to un-highlight? (Did the server-side Fedora clipboard re-sync the highlighted text to the clipboard?...)

2019-11-14 15:02:44,814 process clipboard token selection=CLIPBOARD, local clipboard name=CLIPBOARD, proxy=X11ClipboardProxy(CLIPBOARD)
2019-11-14 15:02:44,814 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=9
2019-11-14 15:02:44,814 got token, selection=CLIPBOARD, targets=[b'UTF8_STRING', b'text/plain'], target data={'UTF8_STRING': ('UTF8_STRING', 8, b'thjirteen')}, claim=True, can-receive=True
2019-11-14 15:02:44,814 got_contents('TARGETS', 'ATOM', 32, '"b\'\\\\xe7\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"') pending=
2019-11-14 15:02:44,815 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'thjirteen\'"') pending=
2019-11-14 15:02:44,815 claim_selection: set selection owner returned 1, owner=0x400008
2019-11-14 15:02:44,815 claim_selection: sending message to root window
2019-11-14 15:02:44,815 claim_selection: done, owned=True
2019-11-14 15:02:44,815 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x74e7', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2292537661', 'selection_timestamp': '2292537661'}>)
2019-11-14 15:02:44,816 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x74e7', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2292537661', 'selection_timestamp': '2292537661'}>) owned=True, was True (owner=0x400008, xid=0x400008), enabled=True, can-send=True
2019-11-14 15:02:44,816 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x74e8', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2292537661'}>)
2019-11-14 15:02:44,816 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x74e8', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2292537661'}>)
2019-11-14 15:02:44,816 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 15:02:44,816 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 15:02:44,817 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0f7d190 (GdkX11Window at 0x55ce557f32a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2292537661)
2019-11-14 15:02:44,818 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x74f5', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'GTK_TEXT_BUFFER_CONTENTS', 'property': 'GDK_SELECTION', 'time': '2292537664'}>)
2019-11-14 15:02:44,818 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x74f5', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'GTK_TEXT_BUFFER_CONTENTS', 'property': 'GDK_SELECTION', 'time': '2292537664'}>)
2019-11-14 15:02:44,818 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=GTK_TEXT_BUFFER_CONTENTS, prop=GDK_SELECTION
2019-11-14 15:02:44,818 client is requesting an unknown target: 'GTK_TEXT_BUFFER_CONTENTS'
2019-11-14 15:02:44,818  valid targets: UTF8_STRING, text/plain
2019-11-14 15:02:44,818  dropping the request
2019-11-14 15:02:44,818 set_selection_response(<GdkX11.X11Window object at 0x7fc3a102ff50 (GdkX11Window at 0x55ce557f32a0)>, GTK_TEXT_BUFFER_CONTENTS, GDK_SELECTION, STRING, 8, "''", 2292537664)
2019-11-14 15:02:44,819 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x74fa', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2292537664'}>)
2019-11-14 15:02:44,819 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x74fa', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2292537664'}>)
2019-11-14 15:02:44,819 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 15:02:44,819 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 15:02:44,820 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0f7d190 (GdkX11Window at 0x55ce557f32a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2292537664)
2019-11-14 15:02:44,820 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x7500', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'text/plain;charset=utf-8', 'property': 'GDK_SELECTION', 'time': '2292537664'}>)
2019-11-14 15:02:44,820 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x7500', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'text/plain;charset=utf-8', 'property': 'GDK_SELECTION', 'time': '2292537664'}>)
2019-11-14 15:02:44,820 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=text/plain;charset=utf-8, prop=GDK_SELECTION
2019-11-14 15:02:44,821 client is requesting an unknown target: 'text/plain;charset=utf-8'
2019-11-14 15:02:44,821  using 'UTF8_STRING' instead
2019-11-14 15:02:44,821 send_clipboard_request_handler(X11ClipboardProxy(CLIPBOARD), 'CLIPBOARD', 'UTF8_STRING')
2019-11-14 15:02:44,821 send_clipboard_request id=11
2019-11-14 15:02:44,821 send_clipboard(..) elapsed=118.56, clipboard_stats=deque([6587210.636208736, 6587210.637768416, 6587210.672628874, 6587210.673715544, 6587210.701597497, 6587210.746979134, 6587210.748912778, 6587210.783537324, 6587210.789534985, 6587210.89984596, 6587210.901432897, 6587210.931105013, 6587210.932484124, 6587210.961230537, 6587210.979594865, 6587210.995990873, 6587211.035049956, 6587211.03649812, 6587211.102847814, 6587211.104236326, 6587211.155218528, 6587211.156610301, 6587211.206055389, 6587211.207461739, 6587211.221818432, 6587211.333233118, 6587211.350540022, 6587211.366796744, 6587211.407838299, 6587211.40939212, 6587211.589482759, 6587220.063509035, 6587326.246659061, 6587385.916628381, 6587385.932117268, 6587385.946659434, 6587386.005027417, 6587386.021675172, 6587386.036262228, 6587386.056455728, 6587386.072709332, 6587386.089984056, 6587386.104784679, 6587386.122864239, 6587386.137280245, 6587386.154668089, 6587386.186955213, 6587386.195545406, 6587386.196067704, 6587386.223554568, 6587386.240012909, 6587386.240585566, 6587386.254659433, 6587386.273498458, 6587386.287747217, 6587386.303896559, 6587386.322302195, 6587386.341681725, 6587386.343060277, 6587386.372964742, 6587386.404996039, 6587386.417416122, 6587386.418842505, 6587386.437608018, 6587386.469112732, 6587386.474029161, 6587386.506039652, 6587386.523083709, 6587386.538606001, 6587386.557014826, 6587386.572870551, 6587386.5877723, 6587386.606963264, 6587386.621929298, 6587386.638468064, 6587386.665733551, 6587386.66681826, 6587386.706369948, 6587386.726162128, 6587386.740685679, 6587386.756991795, 6587386.774890271, 6587386.860207167, 6587386.878480253, 6587386.903070532, 6587386.911913979, 6587386.927521305, 6587387.08598302, 6587399.540264702, 6587504.96507688], maxlen=90)
2019-11-14 15:02:44,863 process clipboard contents, selection=CLIPBOARD, type=UTF8_STRING, format=8
2019-11-14 15:02:44,863 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=9
2019-11-14 15:02:44,863 clipboard wire -> raw: ('UTF8_STRING', 8, 'bytes', '"b\'thjirteen\'"') -> "b'thjirteen'"
2019-11-14 15:02:44,863 clipboard got contents(11, 'UTF8_STRING', 8, '"b\'thjirteen\'"'): proxy=X11ClipboardProxy(CLIPBOARD) for selection=CLIPBOARD
2019-11-14 15:02:44,864 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'thjirteen\'"') pending=(<GdkX11.X11Window object at 0x7fc3a0f7d190 (GdkX11Window at 0x55ce557f32a0)>, 'GDK_SELECTION', 2292537664)
2019-11-14 15:02:44,864 setting response 'thjirteen' to property GDK_SELECTION of window 'gedit' as UTF8_STRING
2019-11-14 15:02:44,864 set_selection_response(<GdkX11.X11Window object at 0x7fc3a0f7d190 (GdkX11Window at 0x55ce557f32a0)>, UTF8_STRING, GDK_SELECTION, UTF8_STRING, 8, "'thjirteen'", 2292537664)
2019-11-14 15:02:44,865 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x7507', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2292537664'}>)
2019-11-14 15:02:44,866 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x7507', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2292537664'}>)
2019-11-14 15:02:44,867 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 15:02:44,868 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 15:02:44,868 set_selection_response(<GdkX11.X11Window object at 0x7fc3a102ff50 (GdkX11Window at 0x55ce557f32a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2292537664)
2019-11-14 15:02:44,869 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x7508', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800e11', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2292537664'}>)
2019-11-14 15:02:44,870 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x7508', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800e11', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2292537664'}>)
2019-11-14 15:02:44,870 clipboard request for CLIPBOARD from window 0x800e11: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-14 15:02:44,870 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-14 15:02:44,871 set_selection_response(<GdkX11.X11Window object at 0x7fc3a102ff50 (GdkX11Window at 0x55ce557c8ac0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2292537664)

I then added another space, and pasted with another control-v... getting 'thjirteen' again, but I'll assume those logs would just be redundant.

Rather than try any more just now, I'll just give you a chance to go through those logs and see if there's anything interesting.

comment:18 Changed 5 months ago by Antoine Martin

Status: newassigned

This ticket is getting hard to follow, and it is about to get worse as I've just a hit a new problem, which may or may not be related.
After taking over a session, the clipboard contents remained what they were from the previous session and no amount of copying new data made any difference.
Looks like we're not claiming the clipboard?

Anyway, to make a summary of the issues above:

  • clipboard not claimed on start - should be able to fix
  • no synchronization on right click with Firefox: this is expected and won't be fixed unless Firefox offers a way to do this
  • the issue where the first control-v pastes the old contents should be fixable, but I can't reproduce it reliably enough to debug it
  • the partial sync (ie: 'irteen' instead of thjirteen'), I have not seen at all

Looks like you forgot to include the "clipboard" debugging client side.
It would be good to see if the client side sees 'irteen' anywhere.

comment:19 Changed 5 months ago by alas

Ok, also got some client debugging to add.
4.0-r24425 Fedora 30 server, Firefox HTML5 client on Windows 7.

This comment I'll add logs that correspond to the inclusion of the right-click paste event attempt (which obviously still fails)... and in this case the first control-v paste worked as expected.

I'll try a couple more times without bothering to try right-click pasting and add anything interesting into another comment (in a vain attempt to keep things "clear").

On the initial connection (probably not useful, but at this point who knows).

2019-11-18 13:58:10,152 Handshake complete; enabling connection
2019-11-18 13:58:10,172 client clipboard: enabled=True, notifications=False
2019-11-18 13:58:10,172 client clipboard: greedy=True, want_targets=True, client_selections=['CLIPBOARD', 'PRIMARY'], contents_slice_fix=True
2019-11-18 13:58:10,176 HTML5 Microsoft Windows Firefox client version 3.0
2019-11-18 13:58:10,180 client ClientConnection(1 : WebSocket(wss socket: 10.0.3.148:1239 <- 10.0.4.54:54818)) is the clipboard peer, helper=X11Clipboard
2019-11-18 13:58:10,180  greedy=True
2019-11-18 13:58:10,180  want targets=True
2019-11-18 13:58:10,180  server has selections: CLIPBOARD, PRIMARY, SECONDARY
2019-11-18 13:58:10,181  client initial selections: CLIPBOARD, PRIMARY
2019-11-18 13:58:10,181 X11ClipboardProxy(CLIPBOARD).set_greedy_client(True)
2019-11-18 13:58:10,181 X11ClipboardProxy(PRIMARY).set_greedy_client(True)
2019-11-18 13:58:10,181 X11ClipboardProxy(SECONDARY).set_greedy_client(True)
2019-11-18 13:58:10,181 set_want_targets_client(True)
2019-11-18 13:58:10,181 enabling selections: CLIPBOARD, PRIMARY
2019-11-18 13:58:10,181 X11ClipboardProxy(CLIPBOARD).set_enabled(True)
2019-11-18 13:58:10,181 X11ClipboardProxy(PRIMARY).set_enabled(True)
2019-11-18 13:58:10,181 X11ClipboardProxy(SECONDARY).set_enabled(False)
2019-11-18 13:58:10,184 setting keyboard layout to 'us'
The XKEYBOARD keymap compiler (xkbcomp) reports:
> Internal error:   Could not resolve keysym XF86MonBrightnessCycle
> Internal error:   Could not resolve keysym XF86RotationLockToggle
Errors from xkbcomp are not fatal to the X server
2019-11-18 13:58:10,239  client root window size is 1593x910 with 1 display:
2019-11-18 13:58:10,239   HTML (421x241 mm - DPI: 96x95)
2019-11-18 13:58:10,239     Canvas
2019-11-18 13:58:10,284 server virtual display now set to 1536x896 (best match for 1593x910)
2019-11-18 13:58:10,292 clipboard_helper=X11Clipboard, clipboard_client=ClientConnection(1 : WebSocket(wss socket: 10.0.3.148:1239 <- 10.0.4.54:54818)), source=ClientConnection(1 : WebSocket(wss socket: 10.0.3.148:1239 <- 10.0.4.54:54818)), clipboard=True
2019-11-18 13:58:10,292 get_loop_uuids()={'CLIPBOARD': 'Xpra-Clipboard-Loop-Detection:740370c6c9244ce599ee66f77bcd9ba1', 'PRIMARY': 'Xpra-Clipboard-Loop-Detection:d67265c836834f92b9b51a5c9982d1a6', 'SECONDARY': 'Xpra-Clipboard-Loop-Detection:2d7acd2a663a4564b98a3330c2989db2'}
2019-11-18 13:58:10,294  automatic picture encoding enabled, also available:
2019-11-18 13:58:10,294   jpeg, png, rgb32, h264, mpeg1
2019-11-18 13:58:10,359 Warning: failed to add virtual printer 'HTML5 client'
2019-11-18 13:58:10,359  failed to connect to server
2019-11-18 13:58:10,399 DPI set to 96 x 96
2019-11-18 13:58:10,436 client   1 received xdg start menu data
2019-11-18 13:58:10,446 set_session_driver(ClientConnection(1 : WebSocket(wss socket: 10.0.3.148:1239 <- 10.0.4.54:54818))) clipboard_enabled=True, clipboard helper=X11Clipboard
2019-11-18 13:58:10,446 selections: ['CLIPBOARD', 'PRIMARY']
2019-11-18 13:58:10,462 client   1 startup complete
2019-11-18 13:58:10,463 client   1 connection-established
2019-11-18 13:58:10,464 client   1 update encodings: [object Object]
2019-11-18 13:58:10,477 Error: wss request failure
2019-11-18 13:58:10,477  errno=0
2019-11-18 13:58:10,477  for client 10.0.4.54:54830:
2019-11-18 13:58:10,477  request as hex: '160301021501000211030398ed422607823ddf873a9d78416ce14a193b1d6c871b491cc522238d1f75b18a200bea8b495e59be203f35a8aed7455fc5286b45598861d306f331bf1dd06303130024130113031302c02bc02fcca9cca8c02cc030c0'
2019-11-18 13:58:10,478  [Errno 0] Error

Then there were some logs while I typed 'one' and enter into the gedit window... which I'll ignore.

Then I highlit and used control-c to copy 'one', leaving the string highlit when shifting focus to the local word doc (yes, I copied right to left, so it starts with 'e', then 'ne', etc... and the process took me 3 seconds).

2019-11-18 13:59:04,628 client   1 clipboard polling: no data available
2019-11-18 13:59:04,751 client   1 clipboard polling: no data available
2019-11-18 13:59:04,775 client   1 clipboard polling: no data available
2019-11-18 13:59:04,776 client   1 clipboard click pending= false buffer=
2019-11-18 13:59:08,724 client   1 clipboard polling: no data available
2019-11-18 13:59:08,754 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0xef0', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634321595'}>)
2019-11-18 13:59:08,754 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0xef0', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634321595'}>)
2019-11-18 13:59:08,755 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 13:59:08,755 send_clipboard_request_handler(X11ClipboardProxy(CLIPBOARD), 'CLIPBOARD', 'TARGETS')
2019-11-18 13:59:08,755 send_clipboard_request id=1
2019-11-18 13:59:08,756 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0xef0', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x80076d', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634321595'}>)
2019-11-18 13:59:08,756 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0xef0', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x80076d', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634321595'}>)
2019-11-18 13:59:08,757 clipboard request for CLIPBOARD from window 0x80076d: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 13:59:08,766 client   1 clipboard CLIPBOARD request
2019-11-18 13:59:08,771 client   1 clipboard send_clipboard_string: packet= clipboard-contents-none,1,CLIPBOARD
2019-11-18 13:59:08,775 process clipboard contents none
2019-11-18 13:59:08,776 clipboard got contents(1, None, None, "'None'"): proxy=X11ClipboardProxy(CLIPBOARD) for selection=CLIPBOARD
2019-11-18 13:59:08,776 got_contents('TARGETS', None, None, "'None'") pending=(<GdkX11.X11Window object at 0x7f23a12dd7d0 (GdkX11Window at 0x557ede8a72a0)>, 'GDK_SELECTION', 2634321595), (<GdkX11.X11Window object at 0x7f23a0d49e10 (GdkX11Window at 0x557ede8a75e0)>, 'GDK_SELECTION', 2634321595)
2019-11-18 13:59:08,777 setting response 'None' to property GDK_SELECTION of window 'gedit' as None
2019-11-18 13:59:08,777 set_selection_response(<GdkX11.X11Window object at 0x7f23a12dd7d0 (GdkX11Window at 0x557ede8a72a0)>, TARGETS, GDK_SELECTION, None, None, "'None'", 2634321595)
2019-11-18 13:59:08,778 setting response 'None' to property GDK_SELECTION of window 'gedit' as None
2019-11-18 13:59:08,778 set_selection_response(<GdkX11.X11Window object at 0x7f23a0d49e10 (GdkX11Window at 0x557ede8a75e0)>, TARGETS, GDK_SELECTION, None, None, "'None'", 2634321595)
2019-11-18 13:59:08,893 client   1 clipboard polling: no data available
2019-11-18 13:59:08,962 client   1 clipboard polling: no data available
2019-11-18 13:59:08,998 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0xf26', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634321840'}>)
2019-11-18 13:59:08,998 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0xf26', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634321840'}>)
2019-11-18 13:59:09,000 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 13:59:09,000 send_clipboard_request_handler(X11ClipboardProxy(CLIPBOARD), 'CLIPBOARD', 'TARGETS')
2019-11-18 13:59:09,000 send_clipboard_request id=2
2019-11-18 13:59:09,001 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0xf26', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800788', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634321840'}>)
2019-11-18 13:59:09,002 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0xf26', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800788', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634321840'}>)
2019-11-18 13:59:09,002 clipboard request for CLIPBOARD from window 0x800788: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 13:59:09,011 client   1 clipboard CLIPBOARD request
2019-11-18 13:59:09,033 client   1 clipboard send_clipboard_string: packet= clipboard-contents-none,2,CLIPBOARD
2019-11-18 13:59:09,033 process clipboard contents none
2019-11-18 13:59:09,034 clipboard got contents(2, None, None, "'None'"): proxy=X11ClipboardProxy(CLIPBOARD) for selection=CLIPBOARD
2019-11-18 13:59:09,034 got_contents('TARGETS', None, None, "'None'") pending=(<GdkX11.X11Window object at 0x7f23a0d49f00 (GdkX11Window at 0x557ede8a72a0)>, 'GDK_SELECTION', 2634321840), (<GdkX11.X11Window object at 0x7f23a0d497d0 (GdkX11Window at 0x557ede8a7780)>, 'GDK_SELECTION', 2634321840)
2019-11-18 13:59:09,035 setting response 'None' to property GDK_SELECTION of window 'gedit' as None
2019-11-18 13:59:09,035 set_selection_response(<GdkX11.X11Window object at 0x7f23a0d49f00 (GdkX11Window at 0x557ede8a72a0)>, TARGETS, GDK_SELECTION, None, None, "'None'", 2634321840)
2019-11-18 13:59:09,036 setting response 'None' to property GDK_SELECTION of window 'gedit' as None
2019-11-18 13:59:09,037 set_selection_response(<GdkX11.X11Window object at 0x7f23a0d497d0 (GdkX11Window at 0x557ede8a7780)>, TARGETS, GDK_SELECTION, None, None, "'None'", 2634321840)
2019-11-18 13:59:09,125 client   1 clipboard polling: no data available
2019-11-18 13:59:09,162 client   1 clipboard polling: no data available
2019-11-18 13:59:09,167 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0xf48', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634322010'}>)
2019-11-18 13:59:09,167 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0xf48', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634322010'}>)
2019-11-18 13:59:09,168 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 13:59:09,168 send_clipboard_request_handler(X11ClipboardProxy(CLIPBOARD), 'CLIPBOARD', 'TARGETS')
2019-11-18 13:59:09,169 send_clipboard_request id=3
2019-11-18 13:59:09,170 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0xf48', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x8007a1', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634322010'}>)
2019-11-18 13:59:09,170 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0xf48', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x8007a1', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634322010'}>)
2019-11-18 13:59:09,170 clipboard request for CLIPBOARD from window 0x8007a1: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 13:59:09,177 client   1 clipboard CLIPBOARD request
2019-11-18 13:59:09,197 client   1 clipboard send_clipboard_string: packet= clipboard-contents-none,3,CLIPBOARD
2019-11-18 13:59:09,197 process clipboard contents none
2019-11-18 13:59:09,197 clipboard got contents(3, None, None, "'None'"): proxy=X11ClipboardProxy(CLIPBOARD) for selection=CLIPBOARD
2019-11-18 13:59:09,197 got_contents('TARGETS', None, None, "'None'") pending=(<GdkX11.X11Window object at 0x7f23a0d497d0 (GdkX11Window at 0x557ede8a72a0)>, 'GDK_SELECTION', 2634322010), (<GdkX11.X11Window object at 0x7f23a0d49d20 (GdkX11Window at 0x557ede8a7920)>, 'GDK_SELECTION', 2634322010)
2019-11-18 13:59:09,197 setting response 'None' to property GDK_SELECTION of window 'gedit' as None
2019-11-18 13:59:09,197 set_selection_response(<GdkX11.X11Window object at 0x7f23a0d497d0 (GdkX11Window at 0x557ede8a72a0)>, TARGETS, GDK_SELECTION, None, None, "'None'", 2634322010)
2019-11-18 13:59:09,198 setting response 'None' to property GDK_SELECTION of window 'gedit' as None
2019-11-18 13:59:09,198 set_selection_response(<GdkX11.X11Window object at 0x7f23a0d49d20 (GdkX11Window at 0x557ede8a7920)>, TARGETS, GDK_SELECTION, None, None, "'None'", 2634322010)
2019-11-18 13:59:09,252 client   1 clipboard polling: no data available
2019-11-18 13:59:11,873 client   1 clipboard polling: no data available
2019-11-18 13:59:11,878 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0xf79', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634324720'}>)
2019-11-18 13:59:11,878 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0xf79', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634324720'}>)
2019-11-18 13:59:11,879 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 13:59:11,879 send_clipboard_request_handler(X11ClipboardProxy(CLIPBOARD), 'CLIPBOARD', 'TARGETS')
2019-11-18 13:59:11,879 send_clipboard_request id=4
2019-11-18 13:59:11,880 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0xf79', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x8007a6', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634324720'}>)
2019-11-18 13:59:11,880 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0xf79', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x8007a6', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634324720'}>)
2019-11-18 13:59:11,881 clipboard request for CLIPBOARD from window 0x8007a6: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 13:59:11,884 client   1 clipboard CLIPBOARD request
2019-11-18 13:59:11,892 client   1 clipboard send_clipboard_string: packet= clipboard-contents-none,4,CLIPBOARD
2019-11-18 13:59:11,892 process clipboard contents none
2019-11-18 13:59:11,892 clipboard got contents(4, None, None, "'None'"): proxy=X11ClipboardProxy(CLIPBOARD) for selection=CLIPBOARD
2019-11-18 13:59:11,893 got_contents('TARGETS', None, None, "'None'") pending=(<GdkX11.X11Window object at 0x7f23a0d4f140 (GdkX11Window at 0x557ede8a72a0)>, 'GDK_SELECTION', 2634324720), (<GdkX11.X11Window object at 0x7f23a0d4f730 (GdkX11Window at 0x557ede8a7ac0)>, 'GDK_SELECTION', 2634324720)
2019-11-18 13:59:11,893 setting response 'None' to property GDK_SELECTION of window 'gedit' as None
2019-11-18 13:59:11,894 set_selection_response(<GdkX11.X11Window object at 0x7f23a0d4f140 (GdkX11Window at 0x557ede8a72a0)>, TARGETS, GDK_SELECTION, None, None, "'None'", 2634324720)
2019-11-18 13:59:11,895 setting response 'None' to property GDK_SELECTION of window 'gedit' as None
2019-11-18 13:59:11,895 set_selection_response(<GdkX11.X11Window object at 0x7f23a0d4f730 (GdkX11Window at 0x557ede8a7ac0)>, TARGETS, GDK_SELECTION, None, None, "'None'", 2634324720)
2019-11-18 13:59:12,134 client   1 clipboard polling: no data available
2019-11-18 13:59:33,914 client   1 clipboard polling: no data available
2019-11-18 13:59:34,256 do_xpra_selection_clear(<X11:SelectionClear {'send_event': '0', 'serial': '0x1462', 'delivered_to': '0x400008', 'window': '0x400008', 'selection': 'PRIMARY', 'time': '2634347100'}>)
2019-11-18 13:59:34,256 do_xpra_selection_clear(<X11:SelectionClear {'send_event': '0', 'serial': '0x1462', 'delivered_to': '0x400008', 'window': '0x400008', 'selection': 'PRIMARY', 'time': '2634347100'}>) was owned=True
2019-11-18 13:59:34,257 do_owner_changed()
2019-11-18 13:59:34,257 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1462', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347100', 'selection_timestamp': '2634347100'}>)
2019-11-18 13:59:34,257 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1462', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347100', 'selection_timestamp': '2634347100'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,257 get_contents(TARGETS, <function ClipboardProxy.schedule_emit_token.<locals>.got_targets at 0x7f23a0d5b560>, 0) owned=False, have-token=False
2019-11-18 13:59:34,258 requesting local XConvertSelection from 'gedit' as 'TARGETS' into 'PRIMARY-TARGETS'
2019-11-18 13:59:34,259 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x1462', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634347100'}>)
2019-11-18 13:59:34,259 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x1462', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634347100'}>)
2019-11-18 13:59:34,260 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 13:59:34,260 send_clipboard_request_handler(X11ClipboardProxy(CLIPBOARD), 'CLIPBOARD', 'TARGETS')
2019-11-18 13:59:34,260 send_clipboard_request id=5
2019-11-18 13:59:34,263 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x146d', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-TARGETS', 'time': '2634347107'}>)
2019-11-18 13:59:34,263 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x146d', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-TARGETS', 'time': '2634347107'}>)
2019-11-18 13:59:34,264 PRIMARY-TARGETS='°\x01\x00\x00\x00\x00\x00\x00¬\x01\x00\x00\x00\x00\x00\x00±\x01\x00\x00\x00\x00\x00\x00²\x01\x00\x00\x00\x00\x00\x00³\x01\x00\x00\x00\x00\x00\x00ç\x00\x00\x00\x00\x00\x00\x00´\x01\x00\x00\x00\x00\x00\x00µ\x01\x00\x00\x00\x00\x00\x00\x1f\x00\x00\x00\x00\x00\x00\x00¶\x01\x00\x00\x00\x00\x00\x00·\x01\x00\x00\x00\x00\x00\x00' (ATOM : 32)
2019-11-18 13:59:34,265 client   1 clipboard CLIPBOARD request
2019-11-18 13:59:34,265 filter_data(TARGETS, ATOM, 32, ..)
2019-11-18 13:59:34,266 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.got_targets at 0x7f23a0d5b560>('ATOM', 32, '"b\'\\\\xb0\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xac .. 0\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"'), time=0
2019-11-18 13:59:34,266 got_targets: ('TIMESTAMP', 'TARGETS', 'MULTIPLE', 'GTK_TEXT_BUFFER_CONTENTS', 'application/x-gtk-text-buffer-rich-text', 'UTF8_STRING', 'COMPOUND_TEXT', 'TEXT', 'STRING', 'text/plain;charset=utf-8', 'text/plain')
2019-11-18 13:59:34,266 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b680>, 0) owned=False, have-token=False
2019-11-18 13:59:34,267 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,268 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1475', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-TARGETS', 'time': '2634347111'}>)
2019-11-18 13:59:34,268 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1475', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-TARGETS', 'time': '2634347111'}>)
2019-11-18 13:59:34,269 do_property_notify() property 'PRIMARY-TARGETS' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,270 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1488', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347115'}>)
2019-11-18 13:59:34,270 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1488', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347115'}>)
2019-11-18 13:59:34,270 PRIMARY-UTF8_STRING='e' (UTF8_STRING : 8)
2019-11-18 13:59:34,270 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,270 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b680>('UTF8_STRING', 8, '"b\'e\'"'), time=0
2019-11-18 13:59:34,270 got_text_target(UTF8_STRING, 8, "b'e'")
2019-11-18 13:59:34,270 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'e'))")
2019-11-18 13:59:34,270 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'e'")
2019-11-18 13:59:34,271 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:1)
2019-11-18 13:59:34,271 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x148e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347117'}>)
2019-11-18 13:59:34,271 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x148e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347117'}>)
2019-11-18 13:59:34,272 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,273 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1498', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347120', 'selection_timestamp': '2634347120'}>)
2019-11-18 13:59:34,273 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1498', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347120', 'selection_timestamp': '2634347120'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,273 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>, 0) owned=False, have-token=False
2019-11-18 13:59:34,273 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,275 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x149e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347122'}>)
2019-11-18 13:59:34,275 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x149e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347122'}>)
2019-11-18 13:59:34,275 PRIMARY-UTF8_STRING='e' (UTF8_STRING : 8)
2019-11-18 13:59:34,275 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,275 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>('UTF8_STRING', 8, '"b\'e\'"'), time=0
2019-11-18 13:59:34,276 got_text_target(UTF8_STRING, 8, "b'e'")
2019-11-18 13:59:34,276 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'e'))")
2019-11-18 13:59:34,276 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'e'")
2019-11-18 13:59:34,276 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:1)
2019-11-18 13:59:34,276 client   1 clipboard send_clipboard_string: packet= clipboard-contents-none,5,CLIPBOARD
2019-11-18 13:59:34,277 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14a3', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347122'}>)
2019-11-18 13:59:34,277 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14a3', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347122'}>)
2019-11-18 13:59:34,278 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,280 process clipboard contents none
2019-11-18 13:59:34,280 clipboard got contents(5, None, None, "'None'"): proxy=X11ClipboardProxy(CLIPBOARD) for selection=CLIPBOARD
2019-11-18 13:59:34,280 got_contents('TARGETS', None, None, "'None'") pending=(<GdkX11.X11Window object at 0x7f23a0d60a00 (GdkX11Window at 0x557ede8a72a0)>, 'GDK_SELECTION', 2634347100)
2019-11-18 13:59:34,280 setting response 'None' to property GDK_SELECTION of window 'gedit' as None
2019-11-18 13:59:34,280 set_selection_response(<GdkX11.X11Window object at 0x7f23a0d60a00 (GdkX11Window at 0x557ede8a72a0)>, TARGETS, GDK_SELECTION, None, None, "'None'", 2634347100)
2019-11-18 13:59:34,286 client   1 clipboard clipboard token received
2019-11-18 13:59:34,287 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,287 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,288 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,288 client   1 clipboard writeText failed
2019-11-18 13:59:34,290 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x14b7', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347137', 'selection_timestamp': '2634347137'}>)
2019-11-18 13:59:34,290 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x14b7', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347137', 'selection_timestamp': '2634347137'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,291 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b680>, 0) owned=False, have-token=False
2019-11-18 13:59:34,291 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,294 client   1 clipboard clipboard token received
2019-11-18 13:59:34,295 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,295 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,296 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,296 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14c0', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347139'}>)
2019-11-18 13:59:34,296 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14c0', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347139'}>)
2019-11-18 13:59:34,297 PRIMARY-UTF8_STRING='e' (UTF8_STRING : 8)
2019-11-18 13:59:34,297 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,297 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b680>('UTF8_STRING', 8, '"b\'e\'"'), time=0
2019-11-18 13:59:34,297 got_text_target(UTF8_STRING, 8, "b'e'")
2019-11-18 13:59:34,298 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'e'))")
2019-11-18 13:59:34,298 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'e'")
2019-11-18 13:59:34,298 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:1)
2019-11-18 13:59:34,299 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14c5', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347144'}>)
2019-11-18 13:59:34,299 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14c5', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347144'}>)
2019-11-18 13:59:34,299 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,300 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x14cf', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347147', 'selection_timestamp': '2634347147'}>)
2019-11-18 13:59:34,300 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x14cf', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347147', 'selection_timestamp': '2634347147'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,300 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>, 0) owned=False, have-token=False
2019-11-18 13:59:34,301 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,302 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14d5', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347149'}>)
2019-11-18 13:59:34,302 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14d5', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347149'}>)
2019-11-18 13:59:34,302 PRIMARY-UTF8_STRING='e' (UTF8_STRING : 8)
2019-11-18 13:59:34,302 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,302 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>('UTF8_STRING', 8, '"b\'e\'"'), time=0
2019-11-18 13:59:34,303 got_text_target(UTF8_STRING, 8, "b'e'")
2019-11-18 13:59:34,303 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'e'))")
2019-11-18 13:59:34,303 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'e'")
2019-11-18 13:59:34,303 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:1)
2019-11-18 13:59:34,304 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14da', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347150'}>)
2019-11-18 13:59:34,304 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14da', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347150'}>)
2019-11-18 13:59:34,304 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,343 client   1 clipboard clipboard token received
2019-11-18 13:59:34,343 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,344 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,344 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,346 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x14e8', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347193', 'selection_timestamp': '2634347193'}>)
2019-11-18 13:59:34,346 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x14e8', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347193', 'selection_timestamp': '2634347193'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,347 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b680>, 0) owned=False, have-token=False
2019-11-18 13:59:34,347 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,350 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14ef', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347196'}>)
2019-11-18 13:59:34,351 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14ef', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347196'}>)
2019-11-18 13:59:34,351 PRIMARY-UTF8_STRING='e' (UTF8_STRING : 8)
2019-11-18 13:59:34,351 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,352 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b680>('UTF8_STRING', 8, '"b\'e\'"'), time=0
2019-11-18 13:59:34,352 got_text_target(UTF8_STRING, 8, "b'e'")
2019-11-18 13:59:34,352 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'e'))")
2019-11-18 13:59:34,352 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'e'")
2019-11-18 13:59:34,352 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:1)
2019-11-18 13:59:34,353 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14f4', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347199'}>)
2019-11-18 13:59:34,354 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x14f4', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347199'}>)
2019-11-18 13:59:34,354 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,356 client   1 clipboard clipboard token received
2019-11-18 13:59:34,356 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,356 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,356 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,364 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1516', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347211', 'selection_timestamp': '2634347207'}>)
2019-11-18 13:59:34,364 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1516', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347211', 'selection_timestamp': '2634347207'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,364 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>, 0) owned=False, have-token=False
2019-11-18 13:59:34,365 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,366 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x151c', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347213'}>)
2019-11-18 13:59:34,366 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x151c', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347213'}>)
2019-11-18 13:59:34,366 PRIMARY-UTF8_STRING='e' (UTF8_STRING : 8)
2019-11-18 13:59:34,366 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,367 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>('UTF8_STRING', 8, '"b\'e\'"'), time=0
2019-11-18 13:59:34,367 got_text_target(UTF8_STRING, 8, "b'e'")
2019-11-18 13:59:34,367 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'e'))")
2019-11-18 13:59:34,367 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'e'")
2019-11-18 13:59:34,367 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:1)
2019-11-18 13:59:34,369 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1521', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347214'}>)
2019-11-18 13:59:34,369 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1521', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347214'}>)
2019-11-18 13:59:34,370 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,370 client   1 clipboard clipboard token received
2019-11-18 13:59:34,371 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,371 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,372 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,432 client   1 clipboard clipboard token received
2019-11-18 13:59:34,432 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,433 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,433 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,458 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x152f', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347305', 'selection_timestamp': '2634347305'}>)
2019-11-18 13:59:34,458 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x152f', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347305', 'selection_timestamp': '2634347305'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,458 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>, 0) owned=False, have-token=False
2019-11-18 13:59:34,459 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,461 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1536', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347307'}>)
2019-11-18 13:59:34,461 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1536', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347307'}>)
2019-11-18 13:59:34,461 PRIMARY-UTF8_STRING='e' (UTF8_STRING : 8)
2019-11-18 13:59:34,461 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,461 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>('UTF8_STRING', 8, '"b\'e\'"'), time=0
2019-11-18 13:59:34,461 got_text_target(UTF8_STRING, 8, "b'e'")
2019-11-18 13:59:34,461 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'e'))")
2019-11-18 13:59:34,461 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'e'")
2019-11-18 13:59:34,461 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:1)
2019-11-18 13:59:34,462 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x153b', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347308'}>)
2019-11-18 13:59:34,462 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x153b', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347308'}>)
2019-11-18 13:59:34,463 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,475 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1545', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347322', 'selection_timestamp': '2634347311'}>)
2019-11-18 13:59:34,475 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1545', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347322', 'selection_timestamp': '2634347311'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,475 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b710>, 0) owned=False, have-token=False
2019-11-18 13:59:34,475 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,477 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x154b', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347324'}>)
2019-11-18 13:59:34,477 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x154b', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347324'}>)
2019-11-18 13:59:34,477 PRIMARY-UTF8_STRING='e' (UTF8_STRING : 8)
2019-11-18 13:59:34,477 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,477 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b710>('UTF8_STRING', 8, '"b\'e\'"'), time=0
2019-11-18 13:59:34,478 got_text_target(UTF8_STRING, 8, "b'e'")
2019-11-18 13:59:34,478 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'e'))")
2019-11-18 13:59:34,478 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'e'")
2019-11-18 13:59:34,478 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:1)
2019-11-18 13:59:34,480 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1550', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347325'}>)
2019-11-18 13:59:34,480 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1550', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347325'}>)
2019-11-18 13:59:34,481 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,492 client   1 clipboard clipboard token received
2019-11-18 13:59:34,493 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,494 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x155c', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347340', 'selection_timestamp': '2634347340'}>)
2019-11-18 13:59:34,495 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x155c', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347340', 'selection_timestamp': '2634347340'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,495 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,495 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>, 0) owned=False, have-token=False
2019-11-18 13:59:34,496 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,497 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,499 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1565', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347345'}>)
2019-11-18 13:59:34,500 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1565', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347345'}>)
2019-11-18 13:59:34,500 PRIMARY-UTF8_STRING='e' (UTF8_STRING : 8)
2019-11-18 13:59:34,500 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,500 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>('UTF8_STRING', 8, '"b\'e\'"'), time=0
2019-11-18 13:59:34,500 got_text_target(UTF8_STRING, 8, "b'e'")
2019-11-18 13:59:34,500 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'e'))")
2019-11-18 13:59:34,500 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'e'")
2019-11-18 13:59:34,500 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:1)
2019-11-18 13:59:34,501 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x156a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347347'}>)
2019-11-18 13:59:34,501 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x156a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347347'}>)
2019-11-18 13:59:34,502 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,503 client   1 clipboard clipboard token received
2019-11-18 13:59:34,504 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,504 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,504 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,509 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1574', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347356', 'selection_timestamp': '2634347350'}>)
2019-11-18 13:59:34,509 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1574', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347356', 'selection_timestamp': '2634347350'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,509 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>, 0) owned=False, have-token=False
2019-11-18 13:59:34,510 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,511 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x157a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347358'}>)
2019-11-18 13:59:34,511 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x157a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347358'}>)
2019-11-18 13:59:34,512 PRIMARY-UTF8_STRING='e' (UTF8_STRING : 8)
2019-11-18 13:59:34,512 client   1 clipboard clipboard token received
2019-11-18 13:59:34,512 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,513 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,513 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>('UTF8_STRING', 8, '"b\'e\'"'), time=0
2019-11-18 13:59:34,514 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,514 got_text_target(UTF8_STRING, 8, "b'e'")
2019-11-18 13:59:34,514 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,514 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'e'))")
2019-11-18 13:59:34,515 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'e'")
2019-11-18 13:59:34,515 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:1)
2019-11-18 13:59:34,518 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x157f', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347359'}>)
2019-11-18 13:59:34,518 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x157f', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347359'}>)
2019-11-18 13:59:34,518 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,522 client   1 clipboard clipboard token received
2019-11-18 13:59:34,583 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,583 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,584 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,586 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x158d', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347433', 'selection_timestamp': '2634347433'}>)
2019-11-18 13:59:34,586 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x158d', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347433', 'selection_timestamp': '2634347433'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,587 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>, 0) owned=False, have-token=False
2019-11-18 13:59:34,588 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,590 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1594', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347436'}>)
2019-11-18 13:59:34,590 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1594', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347436'}>)
2019-11-18 13:59:34,590 PRIMARY-UTF8_STRING='e' (UTF8_STRING : 8)
2019-11-18 13:59:34,590 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,590 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>('UTF8_STRING', 8, '"b\'e\'"'), time=0
2019-11-18 13:59:34,590 got_text_target(UTF8_STRING, 8, "b'e'")
2019-11-18 13:59:34,590 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'e'))")
2019-11-18 13:59:34,591 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'e'")
2019-11-18 13:59:34,591 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:1)
2019-11-18 13:59:34,591 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1599', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347438'}>)
2019-11-18 13:59:34,591 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1599', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347438'}>)
2019-11-18 13:59:34,592 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,604 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x15af', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347450', 'selection_timestamp': '2634347441'}>)
2019-11-18 13:59:34,605 client   1 clipboard clipboard token received
2019-11-18 13:59:34,605 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x15af', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347450', 'selection_timestamp': '2634347441'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,606 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>, 0) owned=False, have-token=False
2019-11-18 13:59:34,606 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,608 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x15b5', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347454'}>)
2019-11-18 13:59:34,608 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x15b5', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347454'}>)
2019-11-18 13:59:34,608 PRIMARY-UTF8_STRING='ne' (UTF8_STRING : 8)
2019-11-18 13:59:34,609 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,609 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>('UTF8_STRING', 8, '"b\'ne\'"'), time=0
2019-11-18 13:59:34,609 got_text_target(UTF8_STRING, 8, "b'ne'")
2019-11-18 13:59:34,609 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'ne'))")
2019-11-18 13:59:34,609 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'ne'")
2019-11-18 13:59:34,610 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 13:59:34,619 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,619 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x15ba', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347456'}>)
2019-11-18 13:59:34,620 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x15ba', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347456'}>)
2019-11-18 13:59:34,620 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,620 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,621 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,622 client   1 clipboard clipboard token received
2019-11-18 13:59:34,624 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,624 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,625 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,625 client   1 clipboard writeText failed
2019-11-18 13:59:34,666 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x15c6', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347511', 'selection_timestamp': '2634347510'}>)
2019-11-18 13:59:34,667 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x15c6', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347511', 'selection_timestamp': '2634347510'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,667 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b680>, 0) owned=False, have-token=False
2019-11-18 13:59:34,668 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,670 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x15d5', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347516', 'selection_timestamp': '2634347513'}>)
2019-11-18 13:59:34,670 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x15d5', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347516', 'selection_timestamp': '2634347513'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,670 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>, 0) owned=False, have-token=False
2019-11-18 13:59:34,670 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,671 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x15d5', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347516'}>)
2019-11-18 13:59:34,671 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x15d5', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347516'}>)
2019-11-18 13:59:34,671 PRIMARY-UTF8_STRING='ne' (UTF8_STRING : 8)
2019-11-18 13:59:34,671 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,672 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b680>('UTF8_STRING', 8, '"b\'ne\'"'), time=0
2019-11-18 13:59:34,672 got_text_target(UTF8_STRING, 8, "b'ne'")
2019-11-18 13:59:34,672 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'ne'))")
2019-11-18 13:59:34,672 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'ne'")
2019-11-18 13:59:34,672 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 13:59:34,672 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>('UTF8_STRING', 8, '"b\'ne\'"'), time=0
2019-11-18 13:59:34,672 got_text_target(UTF8_STRING, 8, "b'ne'")
2019-11-18 13:59:34,673 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'ne'))")
2019-11-18 13:59:34,673 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'ne'")
2019-11-18 13:59:34,673 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 13:59:34,673 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x15dd', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347518'}>)
2019-11-18 13:59:34,673 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x15dd', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347518'}>)
2019-11-18 13:59:34,674 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,674 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x15e0', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347519'}>)
2019-11-18 13:59:34,674 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x15e0', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347519'}>)
2019-11-18 13:59:34,675 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,677 client   1 clipboard clipboard token received
2019-11-18 13:59:34,733 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,734 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,734 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,735 client   1 clipboard clipboard token received
2019-11-18 13:59:34,735 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,736 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,736 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,739 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x15f1', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347584', 'selection_timestamp': '2634347583'}>)
2019-11-18 13:59:34,739 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x15f1', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347584', 'selection_timestamp': '2634347583'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,739 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>, 0) owned=False, have-token=False
2019-11-18 13:59:34,740 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,743 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x15fa', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347588'}>)
2019-11-18 13:59:34,743 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x15fa', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347588'}>)
2019-11-18 13:59:34,744 PRIMARY-UTF8_STRING='ne' (UTF8_STRING : 8)
2019-11-18 13:59:34,744 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,744 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>('UTF8_STRING', 8, '"b\'ne\'"'), time=0
2019-11-18 13:59:34,744 got_text_target(UTF8_STRING, 8, "b'ne'")
2019-11-18 13:59:34,744 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'ne'))")
2019-11-18 13:59:34,744 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'ne'")
2019-11-18 13:59:34,745 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 13:59:34,746 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x15ff', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347591'}>)
2019-11-18 13:59:34,746 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x15ff', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347591'}>)
2019-11-18 13:59:34,746 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,754 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1609', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347601', 'selection_timestamp': '2634347595'}>)
2019-11-18 13:59:34,754 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1609', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347601', 'selection_timestamp': '2634347595'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,754 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b710>, 0) owned=False, have-token=False
2019-11-18 13:59:34,755 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,756 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x160f', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347603'}>)
2019-11-18 13:59:34,756 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x160f', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347603'}>)
2019-11-18 13:59:34,757 PRIMARY-UTF8_STRING='ne' (UTF8_STRING : 8)
2019-11-18 13:59:34,757 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,757 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b710>('UTF8_STRING', 8, '"b\'ne\'"'), time=0
2019-11-18 13:59:34,757 got_text_target(UTF8_STRING, 8, "b'ne'")
2019-11-18 13:59:34,757 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'ne'))")
2019-11-18 13:59:34,758 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'ne'")
2019-11-18 13:59:34,758 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 13:59:34,760 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1614', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347604'}>)
2019-11-18 13:59:34,761 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1614', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347604'}>)
2019-11-18 13:59:34,761 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,763 client   1 clipboard clipboard token received
2019-11-18 13:59:34,767 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,767 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,768 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,788 client   1 clipboard clipboard token received
2019-11-18 13:59:34,789 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,789 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,789 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,791 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1621', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347637', 'selection_timestamp': '2634347636'}>)
2019-11-18 13:59:34,792 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1621', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347637', 'selection_timestamp': '2634347636'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,792 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>, 0) owned=False, have-token=False
2019-11-18 13:59:34,792 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,794 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1629', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347640'}>)
2019-11-18 13:59:34,794 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1629', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347640'}>)
2019-11-18 13:59:34,794 PRIMARY-UTF8_STRING='ne' (UTF8_STRING : 8)
2019-11-18 13:59:34,794 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,794 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>('UTF8_STRING', 8, '"b\'ne\'"'), time=0
2019-11-18 13:59:34,794 got_text_target(UTF8_STRING, 8, "b'ne'")
2019-11-18 13:59:34,794 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'ne'))")
2019-11-18 13:59:34,794 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'ne'")
2019-11-18 13:59:34,795 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 13:59:34,795 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x162e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347641'}>)
2019-11-18 13:59:34,795 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x162e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347641'}>)
2019-11-18 13:59:34,796 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,809 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1642', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347654', 'selection_timestamp': '2634347654'}>)
2019-11-18 13:59:34,809 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1642', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347654', 'selection_timestamp': '2634347654'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,809 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>, 0) owned=False, have-token=False
2019-11-18 13:59:34,810 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,811 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x164a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347658'}>)
2019-11-18 13:59:34,812 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x164a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347658'}>)
2019-11-18 13:59:34,812 PRIMARY-UTF8_STRING='ne' (UTF8_STRING : 8)
2019-11-18 13:59:34,812 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,812 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>('UTF8_STRING', 8, '"b\'ne\'"'), time=0
2019-11-18 13:59:34,813 got_text_target(UTF8_STRING, 8, "b'ne'")
2019-11-18 13:59:34,813 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'ne'))")
2019-11-18 13:59:34,813 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'ne'")
2019-11-18 13:59:34,813 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 13:59:34,816 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x164f', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347660'}>)
2019-11-18 13:59:34,817 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x164f', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347660'}>)
2019-11-18 13:59:34,817 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,824 client   1 clipboard clipboard token received
2019-11-18 13:59:34,824 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,825 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,825 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,887 client   1 clipboard clipboard token received
2019-11-18 13:59:34,887 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,888 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,888 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,893 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x165c', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347737', 'selection_timestamp': '2634347737'}>)
2019-11-18 13:59:34,893 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x165c', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347737', 'selection_timestamp': '2634347737'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,893 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>, 0) owned=False, have-token=False
2019-11-18 13:59:34,894 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,897 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x166a', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347742', 'selection_timestamp': '2634347739'}>)
2019-11-18 13:59:34,897 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x166a', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347742', 'selection_timestamp': '2634347739'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,897 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>, 0) owned=False, have-token=False
2019-11-18 13:59:34,898 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,898 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x166b', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347742'}>)
2019-11-18 13:59:34,899 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x166b', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347742'}>)
2019-11-18 13:59:34,899 PRIMARY-UTF8_STRING='ne' (UTF8_STRING : 8)
2019-11-18 13:59:34,899 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,899 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>('UTF8_STRING', 8, '"b\'ne\'"'), time=0
2019-11-18 13:59:34,899 got_text_target(UTF8_STRING, 8, "b'ne'")
2019-11-18 13:59:34,899 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'ne'))")
2019-11-18 13:59:34,899 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'ne'")
2019-11-18 13:59:34,899 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 13:59:34,900 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>('UTF8_STRING', 8, '"b\'ne\'"'), time=0
2019-11-18 13:59:34,900 got_text_target(UTF8_STRING, 8, "b'ne'")
2019-11-18 13:59:34,900 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'ne'))")
2019-11-18 13:59:34,900 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'ne'")
2019-11-18 13:59:34,900 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 13:59:34,901 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1672', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347746'}>)
2019-11-18 13:59:34,901 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1672', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347746'}>)
2019-11-18 13:59:34,901 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,902 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1675', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347746'}>)
2019-11-18 13:59:34,902 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1675', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347746'}>)
2019-11-18 13:59:34,902 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,924 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1687', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347771', 'selection_timestamp': '2634347765'}>)
2019-11-18 13:59:34,924 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1687', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347771', 'selection_timestamp': '2634347765'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,925 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b710>, 0) owned=False, have-token=False
2019-11-18 13:59:34,925 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,928 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x168f', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347773'}>)
2019-11-18 13:59:34,928 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x168f', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347773'}>)
2019-11-18 13:59:34,928 PRIMARY-UTF8_STRING='ne' (UTF8_STRING : 8)
2019-11-18 13:59:34,928 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,929 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b710>('UTF8_STRING', 8, '"b\'ne\'"'), time=0
2019-11-18 13:59:34,929 got_text_target(UTF8_STRING, 8, "b'ne'")
2019-11-18 13:59:34,929 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'ne'))")
2019-11-18 13:59:34,929 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'ne'")
2019-11-18 13:59:34,929 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 13:59:34,930 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1694', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347776'}>)
2019-11-18 13:59:34,930 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1694', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347776'}>)
2019-11-18 13:59:34,930 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,938 client   1 clipboard clipboard token received
2019-11-18 13:59:34,938 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,939 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,939 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,940 client   1 clipboard clipboard token received
2019-11-18 13:59:34,940 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x169e', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347787', 'selection_timestamp': '2634347778'}>)
2019-11-18 13:59:34,940 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,941 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x169e', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347787', 'selection_timestamp': '2634347778'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:34,941 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,941 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>, 0) owned=False, have-token=False
2019-11-18 13:59:34,942 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:34,943 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:34,944 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x16a4', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347791'}>)
2019-11-18 13:59:34,944 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x16a4', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347791'}>)
2019-11-18 13:59:34,945 PRIMARY-UTF8_STRING='ne' (UTF8_STRING : 8)
2019-11-18 13:59:34,945 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:34,945 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>('UTF8_STRING', 8, '"b\'ne\'"'), time=0
2019-11-18 13:59:34,946 got_text_target(UTF8_STRING, 8, "b'ne'")
2019-11-18 13:59:34,946 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'ne'))")
2019-11-18 13:59:34,946 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'ne'")
2019-11-18 13:59:34,946 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 13:59:34,949 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x16a9', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347792'}>)
2019-11-18 13:59:34,949 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x16a9', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347792'}>)
2019-11-18 13:59:34,950 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:34,951 client   1 clipboard clipboard token received
2019-11-18 13:59:34,951 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:34,951 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:34,952 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:35,017 client   1 clipboard clipboard token received
2019-11-18 13:59:35,017 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:35,018 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:35,018 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:35,021 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x16b8', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347867', 'selection_timestamp': '2634347867'}>)
2019-11-18 13:59:35,021 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x16b8', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347867', 'selection_timestamp': '2634347867'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:35,021 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b680>, 0) owned=False, have-token=False
2019-11-18 13:59:35,022 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:35,025 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x16c4', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347870', 'selection_timestamp': '2634347868'}>)
2019-11-18 13:59:35,025 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x16c4', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347870', 'selection_timestamp': '2634347868'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:35,025 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>, 0) owned=False, have-token=False
2019-11-18 13:59:35,026 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:35,027 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x16c6', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347871'}>)
2019-11-18 13:59:35,027 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x16c6', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347871'}>)
2019-11-18 13:59:35,027 PRIMARY-UTF8_STRING='ne' (UTF8_STRING : 8)
2019-11-18 13:59:35,028 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:35,028 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b680>('UTF8_STRING', 8, '"b\'ne\'"'), time=0
2019-11-18 13:59:35,028 got_text_target(UTF8_STRING, 8, "b'ne'")
2019-11-18 13:59:35,028 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'ne'))")
2019-11-18 13:59:35,028 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'ne'")
2019-11-18 13:59:35,028 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 13:59:35,029 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b170>('UTF8_STRING', 8, '"b\'ne\'"'), time=0
2019-11-18 13:59:35,029 got_text_target(UTF8_STRING, 8, "b'ne'")
2019-11-18 13:59:35,029 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'ne'))")
2019-11-18 13:59:35,029 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'ne'")
2019-11-18 13:59:35,029 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 13:59:35,029 send_clipboard(..) elapsed=60.46, clipboard_stats=deque([6929254.718262563, 6929288.89949822, 6929289.144796026, 6929289.3130683, 6929292.0236818, 6929314.404469947, 6929314.414829382, 6929314.420048037, 6929314.442269251, 6929314.447104897, 6929314.496620489, 6929314.511168072, 6929314.605750871, 6929314.622223463, 6929314.644696479, 6929314.659405117, 6929314.734872058, 6929314.753867527, 6929314.816253945, 6929314.816990308, 6929314.888918916, 6929314.902052523, 6929314.938809662, 6929314.957462493, 6929315.043675795, 6929315.044149291, 6929315.073198727, 6929315.090359044, 6929315.172743254, 6929315.1734267], maxlen=90)
2019-11-18 13:59:35,030 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x16cc', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347874'}>)
2019-11-18 13:59:35,030 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x16cc', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347874'}>)
2019-11-18 13:59:35,031 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:35,031 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x16cf', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347875'}>)
2019-11-18 13:59:35,031 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x16cf', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347875'}>)
2019-11-18 13:59:35,032 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:35,056 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x16e3', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347901', 'selection_timestamp': '2634347890'}>)
2019-11-18 13:59:35,056 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x16e3', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347901', 'selection_timestamp': '2634347890'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:35,057 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>, 0) owned=False, have-token=False
2019-11-18 13:59:35,057 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:35,059 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x16e9', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347905'}>)
2019-11-18 13:59:35,060 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x16e9', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347905'}>)
2019-11-18 13:59:35,060 PRIMARY-UTF8_STRING='ne' (UTF8_STRING : 8)
2019-11-18 13:59:35,060 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:35,060 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>('UTF8_STRING', 8, '"b\'ne\'"'), time=0
2019-11-18 13:59:35,060 got_text_target(UTF8_STRING, 8, "b'ne'")
2019-11-18 13:59:35,060 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'ne'))")
2019-11-18 13:59:35,060 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'ne'")
2019-11-18 13:59:35,060 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 13:59:35,061 send_clipboard(..) elapsed=26.31, clipboard_stats=deque([6929254.718262563, 6929288.89949822, 6929289.144796026, 6929289.3130683, 6929292.0236818, 6929314.404469947, 6929314.414829382, 6929314.420048037, 6929314.442269251, 6929314.447104897, 6929314.496620489, 6929314.511168072, 6929314.605750871, 6929314.622223463, 6929314.644696479, 6929314.659405117, 6929314.734872058, 6929314.753867527, 6929314.816253945, 6929314.816990308, 6929314.888918916, 6929314.902052523, 6929314.938809662, 6929314.957462493, 6929315.043675795, 6929315.044149291, 6929315.073198727, 6929315.090359044, 6929315.172743254, 6929315.1734267, 6929315.204764334], maxlen=90)
2019-11-18 13:59:35,061 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x16ee', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347907'}>)
2019-11-18 13:59:35,061 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x16ee', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347907'}>)
2019-11-18 13:59:35,062 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:35,068 client   1 clipboard clipboard token received
2019-11-18 13:59:35,068 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:35,069 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:35,069 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:35,070 client   1 clipboard clipboard token received
2019-11-18 13:59:35,070 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:35,071 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:35,071 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:35,072 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x16f8', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347918', 'selection_timestamp': '2634347916'}>)
2019-11-18 13:59:35,072 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x16f8', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634347918', 'selection_timestamp': '2634347916'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:35,073 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>, 0) owned=False, have-token=False
2019-11-18 13:59:35,073 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:35,075 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x16fe', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347921'}>)
2019-11-18 13:59:35,075 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x16fe', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347921'}>)
2019-11-18 13:59:35,076 PRIMARY-UTF8_STRING='ne' (UTF8_STRING : 8)
2019-11-18 13:59:35,076 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:35,076 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>('UTF8_STRING', 8, '"b\'ne\'"'), time=0
2019-11-18 13:59:35,076 got_text_target(UTF8_STRING, 8, "b'ne'")
2019-11-18 13:59:35,077 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'ne'))")
2019-11-18 13:59:35,077 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'ne'")
2019-11-18 13:59:35,077 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 13:59:35,077 send_clipboard(..) elapsed=26.08, clipboard_stats=deque([6929254.718262563, 6929288.89949822, 6929289.144796026, 6929289.3130683, 6929292.0236818, 6929314.404469947, 6929314.414829382, 6929314.420048037, 6929314.442269251, 6929314.447104897, 6929314.496620489, 6929314.511168072, 6929314.605750871, 6929314.622223463, 6929314.644696479, 6929314.659405117, 6929314.734872058, 6929314.753867527, 6929314.816253945, 6929314.816990308, 6929314.888918916, 6929314.902052523, 6929314.938809662, 6929314.957462493, 6929315.043675795, 6929315.044149291, 6929315.073198727, 6929315.090359044, 6929315.172743254, 6929315.1734267, 6929315.204764334, 6929315.221604728], maxlen=90)
2019-11-18 13:59:35,081 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1703', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347923'}>)
2019-11-18 13:59:35,081 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1703', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634347923'}>)
2019-11-18 13:59:35,081 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:35,093 client   1 clipboard clipboard token received
2019-11-18 13:59:35,094 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:35,094 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:35,095 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:35,157 client   1 clipboard clipboard token received
2019-11-18 13:59:35,158 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:35,158 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:35,158 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:35,161 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1710', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634348007', 'selection_timestamp': '2634348007'}>)
2019-11-18 13:59:35,161 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1710', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634348007', 'selection_timestamp': '2634348007'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:35,161 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b710>, 0) owned=False, have-token=False
2019-11-18 13:59:35,162 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:35,163 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x171e', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634348010', 'selection_timestamp': '2634348008'}>)
2019-11-18 13:59:35,164 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x171e', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634348010', 'selection_timestamp': '2634348008'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:35,164 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f2388379c20>, 0) owned=False, have-token=False
2019-11-18 13:59:35,164 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:35,165 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x171f', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348010'}>)
2019-11-18 13:59:35,165 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x171f', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348010'}>)
2019-11-18 13:59:35,165 PRIMARY-UTF8_STRING='one' (UTF8_STRING : 8)
2019-11-18 13:59:35,165 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:35,166 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b710>('UTF8_STRING', 8, '"b\'one\'"'), time=0
2019-11-18 13:59:35,166 got_text_target(UTF8_STRING, 8, "b'one'")
2019-11-18 13:59:35,166 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'one'))")
2019-11-18 13:59:35,166 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'one'")
2019-11-18 13:59:35,166 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:3)
2019-11-18 13:59:35,166 send_clipboard(..) elapsed=26.00, clipboard_stats=deque([6929254.718262563, 6929288.89949822, 6929289.144796026, 6929289.3130683, 6929292.0236818, 6929314.404469947, 6929314.414829382, 6929314.420048037, 6929314.442269251, 6929314.447104897, 6929314.496620489, 6929314.511168072, 6929314.605750871, 6929314.622223463, 6929314.644696479, 6929314.659405117, 6929314.734872058, 6929314.753867527, 6929314.816253945, 6929314.816990308, 6929314.888918916, 6929314.902052523, 6929314.938809662, 6929314.957462493, 6929315.043675795, 6929315.044149291, 6929315.073198727, 6929315.090359044, 6929315.172743254, 6929315.1734267, 6929315.204764334, 6929315.221604728, 6929315.310396556], maxlen=90)
2019-11-18 13:59:35,166 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f2388379c20>('UTF8_STRING', 8, '"b\'one\'"'), time=0
2019-11-18 13:59:35,167 got_text_target(UTF8_STRING, 8, "b'one'")
2019-11-18 13:59:35,167 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'one'))")
2019-11-18 13:59:35,167 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'one'")
2019-11-18 13:59:35,167 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:3)
2019-11-18 13:59:35,167 send_clipboard(..) elapsed=23.29, clipboard_stats=deque([6929254.718262563, 6929288.89949822, 6929289.144796026, 6929289.3130683, 6929292.0236818, 6929314.404469947, 6929314.414829382, 6929314.420048037, 6929314.442269251, 6929314.447104897, 6929314.496620489, 6929314.511168072, 6929314.605750871, 6929314.622223463, 6929314.644696479, 6929314.659405117, 6929314.734872058, 6929314.753867527, 6929314.816253945, 6929314.816990308, 6929314.888918916, 6929314.902052523, 6929314.938809662, 6929314.957462493, 6929315.043675795, 6929315.044149291, 6929315.073198727, 6929315.090359044, 6929315.172743254, 6929315.1734267, 6929315.204764334, 6929315.221604728, 6929315.310396556, 6929315.311484079], maxlen=90)
2019-11-18 13:59:35,168 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1726', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348012'}>)
2019-11-18 13:59:35,168 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1726', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348012'}>)
2019-11-18 13:59:35,169 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:35,169 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1729', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348013'}>)
2019-11-18 13:59:35,169 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1729', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348013'}>)
2019-11-18 13:59:35,170 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:35,187 client   1 clipboard clipboard token received
2019-11-18 13:59:35,187 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:35,188 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:35,188 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:35,189 client   1 clipboard writeText failed
2019-11-18 13:59:35,194 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1743', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634348041', 'selection_timestamp': '2634348025'}>)
2019-11-18 13:59:35,195 client   1 clipboard clipboard token received
2019-11-18 13:59:35,196 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:35,197 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:35,197 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:35,197 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1743', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634348041', 'selection_timestamp': '2634348025'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:35,198 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>, 0) owned=False, have-token=False
2019-11-18 13:59:35,199 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:35,201 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1749', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348047'}>)
2019-11-18 13:59:35,202 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1749', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348047'}>)
2019-11-18 13:59:35,203 PRIMARY-UTF8_STRING='one' (UTF8_STRING : 8)
2019-11-18 13:59:35,203 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:35,203 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>('UTF8_STRING', 8, '"b\'one\'"'), time=0
2019-11-18 13:59:35,204 got_text_target(UTF8_STRING, 8, "b'one'")
2019-11-18 13:59:35,204 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'one'))")
2019-11-18 13:59:35,204 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'one'")
2019-11-18 13:59:35,205 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:3)
2019-11-18 13:59:35,205 send_clipboard(..) elapsed=0.94, clipboard_stats=deque([6929254.718262563, 6929288.89949822, 6929289.144796026, 6929289.3130683, 6929292.0236818, 6929314.404469947, 6929314.414829382, 6929314.420048037, 6929314.442269251, 6929314.447104897, 6929314.496620489, 6929314.511168072, 6929314.605750871, 6929314.622223463, 6929314.644696479, 6929314.659405117, 6929314.734872058, 6929314.753867527, 6929314.816253945, 6929314.816990308, 6929314.888918916, 6929314.902052523, 6929314.938809662, 6929314.957462493, 6929315.043675795, 6929315.044149291, 6929315.073198727, 6929315.090359044, 6929315.172743254, 6929315.1734267, 6929315.204764334, 6929315.221604728, 6929315.310396556, 6929315.311484079, 6929315.348943843], maxlen=90)
2019-11-18 13:59:35,205 Warning: more than 30 clipboard requests per second!
2019-11-18 13:59:35,205 30 events in the last 3 seconds: [6929314.404469947, 6929314.414829382, 6929314.420048037, 6929314.442269251, 6929314.447104897, 6929314.496620489, 6929314.511168072, 6929314.605750871, 6929314.622223463, 6929314.644696479, 6929314.659405117, 6929314.734872058, 6929314.753867527, 6929314.816253945, 6929314.816990308, 6929314.888918916, 6929314.902052523, 6929314.938809662, 6929314.957462493, 6929315.043675795, 6929315.044149291, 6929315.073198727, 6929315.090359044, 6929315.172743254, 6929315.1734267, 6929315.204764334, 6929315.221604728, 6929315.310396556, 6929315.311484079, 6929315.348943843]
2019-11-18 13:59:35,206 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x174e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348050'}>)
2019-11-18 13:59:35,207 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x174e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348050'}>)
2019-11-18 13:59:35,207 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:35,389 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x175b', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634348235', 'selection_timestamp': '2634348235'}>)
2019-11-18 13:59:35,389 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x175b', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634348235', 'selection_timestamp': '2634348235'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:35,389 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b710>, 0) owned=False, have-token=False
2019-11-18 13:59:35,389 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:35,391 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1763', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348237'}>)
2019-11-18 13:59:35,391 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1763', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348237'}>)
2019-11-18 13:59:35,392 PRIMARY-UTF8_STRING='one' (UTF8_STRING : 8)
2019-11-18 13:59:35,392 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:35,392 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b710>('UTF8_STRING', 8, '"b\'one\'"'), time=0
2019-11-18 13:59:35,392 got_text_target(UTF8_STRING, 8, "b'one'")
2019-11-18 13:59:35,392 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'one'))")
2019-11-18 13:59:35,392 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'one'")
2019-11-18 13:59:35,393 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:3)
2019-11-18 13:59:35,393 send_clipboard(..) elapsed=1.12, clipboard_stats=deque([6929254.718262563, 6929288.89949822, 6929289.144796026, 6929289.3130683, 6929292.0236818, 6929314.404469947, 6929314.414829382, 6929314.420048037, 6929314.442269251, 6929314.447104897, 6929314.496620489, 6929314.511168072, 6929314.605750871, 6929314.622223463, 6929314.644696479, 6929314.659405117, 6929314.734872058, 6929314.753867527, 6929314.816253945, 6929314.816990308, 6929314.888918916, 6929314.902052523, 6929314.938809662, 6929314.957462493, 6929315.043675795, 6929315.044149291, 6929315.073198727, 6929315.090359044, 6929315.172743254, 6929315.1734267, 6929315.204764334, 6929315.221604728, 6929315.310396556, 6929315.311484079, 6929315.348943843, 6929315.53695784], maxlen=90)
2019-11-18 13:59:35,393 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1768', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348239'}>)
2019-11-18 13:59:35,394 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1768', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348239'}>)
2019-11-18 13:59:35,394 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:35,421 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1777', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634348269', 'selection_timestamp': '2634348256'}>)
2019-11-18 13:59:35,422 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1777', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634348269', 'selection_timestamp': '2634348256'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:35,422 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b680>, 0) owned=False, have-token=False
2019-11-18 13:59:35,423 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:35,426 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x177d', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348271'}>)
2019-11-18 13:59:35,426 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x177d', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348271'}>)
2019-11-18 13:59:35,427 PRIMARY-UTF8_STRING='one' (UTF8_STRING : 8)
2019-11-18 13:59:35,427 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:35,427 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b680>('UTF8_STRING', 8, '"b\'one\'"'), time=0
2019-11-18 13:59:35,428 got_text_target(UTF8_STRING, 8, "b'one'")
2019-11-18 13:59:35,428 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'one'))")
2019-11-18 13:59:35,429 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'one'")
2019-11-18 13:59:35,429 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:3)
2019-11-18 13:59:35,429 send_clipboard(..) elapsed=1.15, clipboard_stats=deque([6929254.718262563, 6929288.89949822, 6929289.144796026, 6929289.3130683, 6929292.0236818, 6929314.404469947, 6929314.414829382, 6929314.420048037, 6929314.442269251, 6929314.447104897, 6929314.496620489, 6929314.511168072, 6929314.605750871, 6929314.622223463, 6929314.644696479, 6929314.659405117, 6929314.734872058, 6929314.753867527, 6929314.816253945, 6929314.816990308, 6929314.888918916, 6929314.902052523, 6929314.938809662, 6929314.957462493, 6929315.043675795, 6929315.044149291, 6929315.073198727, 6929315.090359044, 6929315.172743254, 6929315.1734267, 6929315.204764334, 6929315.221604728, 6929315.310396556, 6929315.311484079, 6929315.348943843, 6929315.53695784, 6929315.573161214], maxlen=90)
2019-11-18 13:59:35,430 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1782', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348274'}>)
2019-11-18 13:59:35,430 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1782', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348274'}>)
2019-11-18 13:59:35,430 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:35,433 client   1 clipboard clipboard token received
2019-11-18 13:59:35,433 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:35,434 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:35,434 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:35,492 client   1 clipboard clipboard token received
2019-11-18 13:59:35,492 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:35,492 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:35,493 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:35,791 client   1 clipboard polling: no data available
2019-11-18 13:59:35,791 client   1 clipboard polling: no data available
2019-11-18 13:59:35,791 client   1 clipboard click pending= true buffer= one
2019-11-18 13:59:35,792 client   1 clipboard click event, with pending clipboard datatype= utf8_string , buffer= one
2019-11-18 13:59:35,792 client   1 clipboard copy event, clipboard buffer= one
2019-11-18 13:59:35,794 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x178e', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634348639', 'selection_timestamp': '2634348639'}>)
2019-11-18 13:59:35,794 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x178e', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634348639', 'selection_timestamp': '2634348639'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:35,794 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>, 0) owned=False, have-token=False
2019-11-18 13:59:35,795 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:35,797 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x179d', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634348643', 'selection_timestamp': '2634348641'}>)
2019-11-18 13:59:35,798 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x179d', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634348643', 'selection_timestamp': '2634348641'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:35,798 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f2388379c20>, 0) owned=False, have-token=False
2019-11-18 13:59:35,798 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:35,799 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x179d', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348643'}>)
2019-11-18 13:59:35,799 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x179d', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348643'}>)
2019-11-18 13:59:35,799 PRIMARY-UTF8_STRING='one' (UTF8_STRING : 8)
2019-11-18 13:59:35,799 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:35,799 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>('UTF8_STRING', 8, '"b\'one\'"'), time=0
2019-11-18 13:59:35,800 got_text_target(UTF8_STRING, 8, "b'one'")
2019-11-18 13:59:35,800 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'one'))")
2019-11-18 13:59:35,800 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'one'")
2019-11-18 13:59:35,800 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:3)
2019-11-18 13:59:35,800 send_clipboard(..) elapsed=1.50, clipboard_stats=deque([6929254.718262563, 6929288.89949822, 6929289.144796026, 6929289.3130683, 6929292.0236818, 6929314.404469947, 6929314.414829382, 6929314.420048037, 6929314.442269251, 6929314.447104897, 6929314.496620489, 6929314.511168072, 6929314.605750871, 6929314.622223463, 6929314.644696479, 6929314.659405117, 6929314.734872058, 6929314.753867527, 6929314.816253945, 6929314.816990308, 6929314.888918916, 6929314.902052523, 6929314.938809662, 6929314.957462493, 6929315.043675795, 6929315.044149291, 6929315.073198727, 6929315.090359044, 6929315.172743254, 6929315.1734267, 6929315.204764334, 6929315.221604728, 6929315.310396556, 6929315.311484079, 6929315.348943843, 6929315.53695784, 6929315.573161214, 6929315.944096458], maxlen=90)
2019-11-18 13:59:35,800 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f2388379c20>('UTF8_STRING', 8, '"b\'one\'"'), time=0
2019-11-18 13:59:35,800 got_text_target(UTF8_STRING, 8, "b'one'")
2019-11-18 13:59:35,801 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'one'))")
2019-11-18 13:59:35,801 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'one'")
2019-11-18 13:59:35,801 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:3)
2019-11-18 13:59:35,801 send_clipboard(..) elapsed=1.50, clipboard_stats=deque([6929254.718262563, 6929288.89949822, 6929289.144796026, 6929289.3130683, 6929292.0236818, 6929314.404469947, 6929314.414829382, 6929314.420048037, 6929314.442269251, 6929314.447104897, 6929314.496620489, 6929314.511168072, 6929314.605750871, 6929314.622223463, 6929314.644696479, 6929314.659405117, 6929314.734872058, 6929314.753867527, 6929314.816253945, 6929314.816990308, 6929314.888918916, 6929314.902052523, 6929314.938809662, 6929314.957462493, 6929315.043675795, 6929315.044149291, 6929315.073198727, 6929315.090359044, 6929315.172743254, 6929315.1734267, 6929315.204764334, 6929315.221604728, 6929315.310396556, 6929315.311484079, 6929315.348943843, 6929315.53695784, 6929315.573161214, 6929315.944096458, 6929315.945026797], maxlen=90)
2019-11-18 13:59:35,801 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x17a5', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348646'}>)
2019-11-18 13:59:35,802 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x17a5', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348646'}>)
2019-11-18 13:59:35,802 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:35,802 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x17a8', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348647'}>)
2019-11-18 13:59:35,802 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x17a8', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348647'}>)
2019-11-18 13:59:35,803 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:35,804 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x17b9', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634348651', 'selection_timestamp': '2634348651'}>)
2019-11-18 13:59:35,804 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x17b9', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2634348651', 'selection_timestamp': '2634348651'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:35,805 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>, 0) owned=False, have-token=False
2019-11-18 13:59:35,805 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 13:59:35,805 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x17c7', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348653'}>)
2019-11-18 13:59:35,806 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x17c7', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348653'}>)
2019-11-18 13:59:35,806 PRIMARY-UTF8_STRING='one' (UTF8_STRING : 8)
2019-11-18 13:59:35,806 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:35,806 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f23a0d5b950>('UTF8_STRING', 8, '"b\'one\'"'), time=0
2019-11-18 13:59:35,806 got_text_target(UTF8_STRING, 8, "b'one'")
2019-11-18 13:59:35,806 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'one'))")
2019-11-18 13:59:35,806 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'one'")
2019-11-18 13:59:35,806 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:3)
2019-11-18 13:59:35,806 send_clipboard(..) elapsed=1.45, clipboard_stats=deque([6929254.718262563, 6929288.89949822, 6929289.144796026, 6929289.3130683, 6929292.0236818, 6929314.404469947, 6929314.414829382, 6929314.420048037, 6929314.442269251, 6929314.447104897, 6929314.496620489, 6929314.511168072, 6929314.605750871, 6929314.622223463, 6929314.644696479, 6929314.659405117, 6929314.734872058, 6929314.753867527, 6929314.816253945, 6929314.816990308, 6929314.888918916, 6929314.902052523, 6929314.938809662, 6929314.957462493, 6929315.043675795, 6929315.044149291, 6929315.073198727, 6929315.090359044, 6929315.172743254, 6929315.1734267, 6929315.204764334, 6929315.221604728, 6929315.310396556, 6929315.311484079, 6929315.348943843, 6929315.53695784, 6929315.573161214, 6929315.944096458, 6929315.945026797, 6929315.9506434], maxlen=90)
2019-11-18 13:59:35,807 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x17ca', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348653'}>)
2019-11-18 13:59:35,807 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x17ca', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2634348653'}>)
2019-11-18 13:59:35,808 client   1 clipboard clipboard token received
2019-11-18 13:59:35,808 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:35,824 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:35,824 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:35,824 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:35,825 client   1 clipboard clipboard token received
2019-11-18 13:59:35,825 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:35,825 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:35,825 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:35,844 client   1 clipboard clipboard token received
2019-11-18 13:59:35,844 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:35,844 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:35,845 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:36,802 client   1 clipboard polling: no data available
2019-11-18 13:59:37,145 client   1 clipboard polling: no data available
2019-11-18 13:59:37,145 client   1 clipboard copy event, clipboard buffer= one
2019-11-18 13:59:37,147 do_xpra_selection_clear(<X11:SelectionClear {'send_event': '0', 'serial': '0x18ed', 'delivered_to': '0x400008', 'window': '0x400008', 'selection': 'CLIPBOARD', 'time': '2634349994'}>)
2019-11-18 13:59:37,147 do_xpra_selection_clear(<X11:SelectionClear {'send_event': '0', 'serial': '0x18ed', 'delivered_to': '0x400008', 'window': '0x400008', 'selection': 'CLIPBOARD', 'time': '2634349994'}>) was owned=True
2019-11-18 13:59:37,147 do_owner_changed()
2019-11-18 13:59:37,148 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x18ed', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'CLIPBOARD', 'timestamp': '2634349994', 'selection_timestamp': '2634349994'}>)
2019-11-18 13:59:37,148 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x18ed', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'CLIPBOARD', 'timestamp': '2634349994', 'selection_timestamp': '2634349994'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 13:59:37,148 get_contents(TARGETS, <function ClipboardProxy.schedule_emit_token.<locals>.got_targets at 0x7f2388379b90>, 0) owned=False, have-token=False
2019-11-18 13:59:37,148 requesting local XConvertSelection from 'gedit' as 'TARGETS' into 'CLIPBOARD-TARGETS'
2019-11-18 13:59:37,149 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x18f4', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2634349996'}>)
2019-11-18 13:59:37,149 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x18f4', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2634349996'}>)
2019-11-18 13:59:37,149 CLIPBOARD-TARGETS='°\x01\x00\x00\x00\x00\x00\x00¬\x01\x00\x00\x00\x00\x00\x00±\x01\x00\x00\x00\x00\x00\x00»\x01\x00\x00\x00\x00\x00\x00²\x01\x00\x00\x00\x00\x00\x00³\x01\x00\x00\x00\x00\x00\x00ç\x00\x00\x00\x00\x00\x00\x00´\x01\x00\x00\x00\x00\x00\x00µ\x01\x00\x00\x00\x00\x00\x00\x1f\x00\x00\x00\x00\x00\x00\x00¶\x01\x00\x00\x00\x00\x00\x00·\x01\x00\x00\x00\x00\x00\x00' (ATOM : 32)
2019-11-18 13:59:37,150 filter_data(TARGETS, ATOM, 32, ..)
2019-11-18 13:59:37,150 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.got_targets at 0x7f2388379b90>('ATOM', 32, '"b\'\\\\xb0\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xac .. 0\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"'), time=0
2019-11-18 13:59:37,150 got_targets: ('TIMESTAMP', 'TARGETS', 'MULTIPLE', 'SAVE_TARGETS', 'GTK_TEXT_BUFFER_CONTENTS', 'application/x-gtk-text-buffer-rich-text', 'UTF8_STRING', 'COMPOUND_TEXT', 'TEXT', 'STRING', 'text/plain;charset=utf-8', 'text/plain')
2019-11-18 13:59:37,150 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f2388379a70>, 0) owned=False, have-token=False
2019-11-18 13:59:37,151 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'CLIPBOARD-UTF8_STRING'
2019-11-18 13:59:37,151 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x18f7', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2634349997'}>)
2019-11-18 13:59:37,151 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x18f7', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2634349997'}>)
2019-11-18 13:59:37,151 do_property_notify() property 'CLIPBOARD-TARGETS' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:37,152 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1901', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2634349998'}>)
2019-11-18 13:59:37,152 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1901', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2634349998'}>)
2019-11-18 13:59:37,152 CLIPBOARD-UTF8_STRING='one' (UTF8_STRING : 8)
2019-11-18 13:59:37,153 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 13:59:37,153 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f2388379a70>('UTF8_STRING', 8, '"b\'one\'"'), time=0
2019-11-18 13:59:37,153 got_text_target(UTF8_STRING, 8, "b'one'")
2019-11-18 13:59:37,153 _send_clipboard_token_handler(X11ClipboardProxy(CLIPBOARD), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'one'))")
2019-11-18 13:59:37,153 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'one'")
2019-11-18 13:59:37,153 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:3)
2019-11-18 13:59:37,153 send_clipboard(..) elapsed=2.79, clipboard_stats=deque([6929254.718262563, 6929288.89949822, 6929289.144796026, 6929289.3130683, 6929292.0236818, 6929314.404469947, 6929314.414829382, 6929314.420048037, 6929314.442269251, 6929314.447104897, 6929314.496620489, 6929314.511168072, 6929314.605750871, 6929314.622223463, 6929314.644696479, 6929314.659405117, 6929314.734872058, 6929314.753867527, 6929314.816253945, 6929314.816990308, 6929314.888918916, 6929314.902052523, 6929314.938809662, 6929314.957462493, 6929315.043675795, 6929315.044149291, 6929315.073198727, 6929315.090359044, 6929315.172743254, 6929315.1734267, 6929315.204764334, 6929315.221604728, 6929315.310396556, 6929315.311484079, 6929315.348943843, 6929315.53695784, 6929315.573161214, 6929315.944096458, 6929315.945026797, 6929315.9506434, 6929317.297472533], maxlen=90)
2019-11-18 13:59:37,154 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1908', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2634350000'}>)
2019-11-18 13:59:37,154 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x1908', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2634350000'}>)
2019-11-18 13:59:37,154 do_property_notify() property 'CLIPBOARD-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 13:59:37,165 client   1 clipboard clipboard token received
2019-11-18 13:59:37,181 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 13:59:37,182 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-18 13:59:37,182 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 13:59:37,348 client   1 clipboard polling: no data available
2019-11-18 13:59:37,397 client   1 clipboard polling: no data available

About a minute later, I had apparently finished with the paste and type and new copy locally, and clicked back into the gedit window, just behind the still highlit string, and got this in server logs.

2019-11-18 14:00:48,000 client   1 clipboard polling: no data available
2019-11-18 14:00:48,004 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1b82', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': 'None', 'selection': 'PRIMARY', 'timestamp': '2634420848', 'selection_timestamp': '2634420848'}>)
2019-11-18 14:00:48,004 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x1b82', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': 'None', 'selection': 'PRIMARY', 'timestamp': '2634420848', 'selection_timestamp': '2634420848'}>) owned=0, was False (owner=0x0, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:00:48,077 client   1 clipboard polling: no data available
2019-11-18 14:00:48,078 client   1 clipboard polling: no data available
2019-11-18 14:00:48,078 client   1 clipboard click pending= false buffer= one

... as well as a number of logs indicating a clipboard polling with no data available.

About 10-12 seconds later I used the down arrow to get to the next line, then used the right-click to paste... which pasted the same 'one'.

2019-11-18 14:01:02,541 client   1 clipboard polling: no data available
2019-11-18 14:01:02,781 client   1 clipboard polling: no data available
2019-11-18 14:01:02,802 client   1 clipboard polling: no data available
2019-11-18 14:01:02,803 client   1 clipboard polling: no data available
2019-11-18 14:01:04,822 client   1 clipboard polling: no data available
2019-11-18 14:01:04,847 client   1 clipboard polling: no data available
2019-11-18 14:01:04,986 client   1 clipboard polling: no data available
2019-11-18 14:01:05,002 client   1 clipboard polling: no data available
2019-11-18 14:01:05,002 client   1 clipboard click pending= false buffer= one

About 15 seconds later I clicked the space key, which gave 2 clipboard polling: no data available lines of logs... and another 15 seconds later I used the control-v to paste... and got the correct pasting of 'two'.

2019-11-18 14:01:36,064 client   1 clipboard polling: no data available
2019-11-18 14:01:36,555 client   1 clipboard polling: no data available
2019-11-18 14:01:36,601 client   1 clipboard polling: no data available
2019-11-18 14:01:36,623 client   1 clipboard polling: no data available
2019-11-18 14:01:36,670 client   1 clipboard polling: no data available
2019-11-18 14:01:36,966 client   1 clipboard polling: no data available
2019-11-18 14:01:36,974 client   1 clipboard polling: no data available
2019-11-18 14:01:36,975 client   1 clipboard paste event, data= two
2019-11-18 14:01:36,975 client   1 clipboard sending clipboard token with data: two
2019-11-18 14:01:36,976 client   1 clipboard polling: no data available
2019-11-18 14:01:36,976 process clipboard token selection=CLIPBOARD, local clipboard name=CLIPBOARD, proxy=X11ClipboardProxy(CLIPBOARD)
2019-11-18 14:01:36,976 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=3
2019-11-18 14:01:36,976 got token, selection=CLIPBOARD, targets=[b'UTF8_STRING', b'text/plain'], target data={'UTF8_STRING': ('UTF8_STRING', 8, b'two')}, claim=True, can-receive=True
2019-11-18 14:01:36,977 got_contents('TARGETS', 'ATOM', 32, '"b\'\\\\xe7\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"') pending=
2019-11-18 14:01:36,977 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'two\'"') pending=
2019-11-18 14:01:36,978 claim_selection: set selection owner returned 1, owner=0x400008
2019-11-18 14:01:36,978 claim_selection: sending message to root window
2019-11-18 14:01:36,978 claim_selection: done, owned=True
2019-11-18 14:01:36,979 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x2214', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2634469824', 'selection_timestamp': '2634469824'}>)
2019-11-18 14:01:36,979 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x2214', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2634469824', 'selection_timestamp': '2634469824'}>) owned=True, was True (owner=0x400008, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:01:36,979 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x2215', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634469824'}>)
2019-11-18 14:01:36,980 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x2215', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634469824'}>)
2019-11-18 14:01:36,980 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 14:01:36,980 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-18 14:01:36,980 set_selection_response(<GdkX11.X11Window object at 0x7f23883409b0 (GdkX11Window at 0x557ede8a72a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2634469824)
2019-11-18 14:01:36,983 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x2228', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'GTK_TEXT_BUFFER_CONTENTS', 'property': 'GDK_SELECTION', 'time': '2634469828'}>)
2019-11-18 14:01:36,983 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x2228', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'GTK_TEXT_BUFFER_CONTENTS', 'property': 'GDK_SELECTION', 'time': '2634469828'}>)
2019-11-18 14:01:36,983 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=GTK_TEXT_BUFFER_CONTENTS, prop=GDK_SELECTION
2019-11-18 14:01:36,984 client is requesting an unknown target: 'GTK_TEXT_BUFFER_CONTENTS'
2019-11-18 14:01:36,984  valid targets: UTF8_STRING, text/plain
2019-11-18 14:01:36,984  dropping the request
2019-11-18 14:01:36,984 set_selection_response(<GdkX11.X11Window object at 0x7f2388340820 (GdkX11Window at 0x557ede8a72a0)>, GTK_TEXT_BUFFER_CONTENTS, GDK_SELECTION, STRING, 8, "''", 2634469828)
2019-11-18 14:01:36,984 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x2231', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634469828'}>)
2019-11-18 14:01:36,985 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x2231', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634469828'}>)
2019-11-18 14:01:36,985 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 14:01:36,985 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-18 14:01:36,985 set_selection_response(<GdkX11.X11Window object at 0x7f2388340af0 (GdkX11Window at 0x557ede8a72a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2634469828)
2019-11-18 14:01:36,986 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x2237', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'text/plain;charset=utf-8', 'property': 'GDK_SELECTION', 'time': '2634469828'}>)
2019-11-18 14:01:36,986 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x2237', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'text/plain;charset=utf-8', 'property': 'GDK_SELECTION', 'time': '2634469828'}>)
2019-11-18 14:01:36,986 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=text/plain;charset=utf-8, prop=GDK_SELECTION
2019-11-18 14:01:36,987 client is requesting an unknown target: 'text/plain;charset=utf-8'
2019-11-18 14:01:36,987  using 'UTF8_STRING' instead
2019-11-18 14:01:36,987 send_clipboard_request_handler(X11ClipboardProxy(CLIPBOARD), 'CLIPBOARD', 'UTF8_STRING')
2019-11-18 14:01:36,987 send_clipboard_request id=6
2019-11-18 14:01:36,987 send_clipboard(..) elapsed=122.53, clipboard_stats=deque([6929254.718262563, 6929288.89949822, 6929289.144796026, 6929289.3130683, 6929292.0236818, 6929314.404469947, 6929314.414829382, 6929314.420048037, 6929314.442269251, 6929314.447104897, 6929314.496620489, 6929314.511168072, 6929314.605750871, 6929314.622223463, 6929314.644696479, 6929314.659405117, 6929314.734872058, 6929314.753867527, 6929314.816253945, 6929314.816990308, 6929314.888918916, 6929314.902052523, 6929314.938809662, 6929314.957462493, 6929315.043675795, 6929315.044149291, 6929315.073198727, 6929315.090359044, 6929315.172743254, 6929315.1734267, 6929315.204764334, 6929315.221604728, 6929315.310396556, 6929315.311484079, 6929315.348943843, 6929315.53695784, 6929315.573161214, 6929315.944096458, 6929315.945026797, 6929315.9506434, 6929317.297472533, 6929437.131341202], maxlen=90)
2019-11-18 14:01:36,995 client   1 clipboard polling: no data available
2019-11-18 14:01:37,011 client   1 clipboard CLIPBOARD request
2019-11-18 14:01:37,012 client   1 clipboard send_clipboard_string: packet= clipboard-contents,6,CLIPBOARD,UTF8_STRING,8,bytes,two
2019-11-18 14:01:37,013 process clipboard contents, selection=CLIPBOARD, type=UTF8_STRING, format=8
2019-11-18 14:01:37,013 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=3
2019-11-18 14:01:37,013 clipboard wire -> raw: ('UTF8_STRING', 8, 'bytes', '"b\'two\'"') -> "b'two'"
2019-11-18 14:01:37,013 clipboard got contents(6, 'UTF8_STRING', 8, '"b\'two\'"'): proxy=X11ClipboardProxy(CLIPBOARD) for selection=CLIPBOARD
2019-11-18 14:01:37,013 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'two\'"') pending=(<GdkX11.X11Window object at 0x7f2388340af0 (GdkX11Window at 0x557ede8a72a0)>, 'GDK_SELECTION', 2634469828)
2019-11-18 14:01:37,013 setting response 'two' to property GDK_SELECTION of window 'gedit' as UTF8_STRING
2019-11-18 14:01:37,013 set_selection_response(<GdkX11.X11Window object at 0x7f2388340af0 (GdkX11Window at 0x557ede8a72a0)>, UTF8_STRING, GDK_SELECTION, UTF8_STRING, 8, "'two'", 2634469828)
2019-11-18 14:01:37,017 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x2242', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634469828'}>)
2019-11-18 14:01:37,018 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x2242', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634469828'}>)
2019-11-18 14:01:37,018 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 14:01:37,018 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-18 14:01:37,018 set_selection_response(<GdkX11.X11Window object at 0x7f2388340820 (GdkX11Window at 0x557ede8a72a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2634469828)
2019-11-18 14:01:37,019 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x2242', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800831', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634469828'}>)
2019-11-18 14:01:37,019 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x2242', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800831', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2634469828'}>)
2019-11-18 14:01:37,020 clipboard request for CLIPBOARD from window 0x800831: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 14:01:37,020 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-18 14:01:37,020 set_selection_response(<GdkX11.X11Window object at 0x7f2388340820 (GdkX11Window at 0x557ede8af220)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2634469828)

And then there are no more logs until I triggered the encoding error listed in #2487.

(Now to see about triggering the wrong output for that initial control-v.)

comment:20 Changed 5 months ago by alas

Ok, I almost typed that I have "clear" logs... but I'll settle for "simpler".

It took 2 more tries to trigger the issue (no idea what might be relevant at this point).

Typed and copied (left to right this time) 'five' in the gedit window.

2019-11-18 14:53:01,958 client   3 clipboard polling: no data available
2019-11-18 14:53:02,112 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x429b', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637554955', 'selection_timestamp': '2637554954'}>)
2019-11-18 14:53:02,112 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x429b', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637554955', 'selection_timestamp': '2637554954'}>) owned=False, was 0 (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,113 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6e60>, 0) owned=False, have-token=False
2019-11-18 14:53:02,113 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,114 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x429d', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2637554954'}>)
2019-11-18 14:53:02,114 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x429d', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2637554954'}>)
2019-11-18 14:53:02,114 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 14:53:02,115 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-18 14:53:02,115 set_selection_response(<GdkX11.X11Window object at 0x7f238b7ef0f0 (GdkX11Window at 0x557ede8a72a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2637554954)
2019-11-18 14:53:02,117 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x42a5', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637554960'}>)
2019-11-18 14:53:02,117 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x42a5', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637554960'}>)
2019-11-18 14:53:02,117 PRIMARY-UTF8_STRING='f' (UTF8_STRING : 8)
2019-11-18 14:53:02,118 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,118 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6e60>('UTF8_STRING', 8, '"b\'f\'"'), time=0
2019-11-18 14:53:02,118 got_text_target(UTF8_STRING, 8, "b'f'")
2019-11-18 14:53:02,118 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'f'))")
2019-11-18 14:53:02,119 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'f'")
2019-11-18 14:53:02,119 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:1)
2019-11-18 14:53:02,119 send_clipboard(..) elapsed=372.83, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219], maxlen=90)
2019-11-18 14:53:02,120 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x42b1', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637554964'}>)
2019-11-18 14:53:02,120 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x42b1', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637554964'}>)
2019-11-18 14:53:02,121 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,127 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x42cc', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637554974', 'selection_timestamp': '2637554970'}>)
2019-11-18 14:53:02,128 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x42cc', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637554974', 'selection_timestamp': '2637554970'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,128 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6e60>, 0) owned=False, have-token=False
2019-11-18 14:53:02,129 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,132 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x42d3', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637554976'}>)
2019-11-18 14:53:02,132 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x42d3', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637554976'}>)
2019-11-18 14:53:02,132 PRIMARY-UTF8_STRING='f' (UTF8_STRING : 8)
2019-11-18 14:53:02,132 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,133 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6e60>('UTF8_STRING', 8, '"b\'f\'"'), time=0
2019-11-18 14:53:02,133 got_text_target(UTF8_STRING, 8, "b'f'")
2019-11-18 14:53:02,133 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'f'))")
2019-11-18 14:53:02,133 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'f'")
2019-11-18 14:53:02,133 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:1)
2019-11-18 14:53:02,134 send_clipboard(..) elapsed=372.79, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346], maxlen=90)
2019-11-18 14:53:02,134 client   3 clipboard clipboard token received
2019-11-18 14:53:02,135 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,135 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,135 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,135 client   3 clipboard writeText failed
2019-11-18 14:53:02,136 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x42d8', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637554979'}>)
2019-11-18 14:53:02,136 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x42d8', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637554979'}>)
2019-11-18 14:53:02,136 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,143 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x42f9', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637554990', 'selection_timestamp': '2637554986'}>)
2019-11-18 14:53:02,143 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x42f9', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637554990', 'selection_timestamp': '2637554986'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,144 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6e60>, 0) owned=False, have-token=False
2019-11-18 14:53:02,144 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,146 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x42ff', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637554991'}>)
2019-11-18 14:53:02,146 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x42ff', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637554991'}>)
2019-11-18 14:53:02,147 PRIMARY-UTF8_STRING='f' (UTF8_STRING : 8)
2019-11-18 14:53:02,147 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,147 client   3 clipboard clipboard token received
2019-11-18 14:53:02,148 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,148 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,148 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,147 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6e60>('UTF8_STRING', 8, '"b\'f\'"'), time=0
2019-11-18 14:53:02,148 got_text_target(UTF8_STRING, 8, "b'f'")
2019-11-18 14:53:02,149 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'f'))")
2019-11-18 14:53:02,149 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'f'")
2019-11-18 14:53:02,149 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:1)
2019-11-18 14:53:02,149 send_clipboard(..) elapsed=372.79, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461], maxlen=90)
2019-11-18 14:53:02,150 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4304', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637554993'}>)
2019-11-18 14:53:02,150 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4304', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637554993'}>)
2019-11-18 14:53:02,151 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,155 client   3 clipboard clipboard token received
2019-11-18 14:53:02,224 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,224 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,224 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,230 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4310', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555072', 'selection_timestamp': '2637555072'}>)
2019-11-18 14:53:02,230 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4310', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555072', 'selection_timestamp': '2637555072'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,230 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6dd0>, 0) owned=False, have-token=False
2019-11-18 14:53:02,231 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,234 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x432b', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555078', 'selection_timestamp': '2637555076'}>)
2019-11-18 14:53:02,234 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x432b', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555078', 'selection_timestamp': '2637555076'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,234 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6f80>, 0) owned=False, have-token=False
2019-11-18 14:53:02,235 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,235 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x432b', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555078'}>)
2019-11-18 14:53:02,236 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x432b', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555078'}>)
2019-11-18 14:53:02,236 PRIMARY-UTF8_STRING='fi' (UTF8_STRING : 8)
2019-11-18 14:53:02,236 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,236 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6dd0>('UTF8_STRING', 8, '"b\'fi\'"'), time=0
2019-11-18 14:53:02,237 got_text_target(UTF8_STRING, 8, "b'fi'")
2019-11-18 14:53:02,237 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'fi'))")
2019-11-18 14:53:02,237 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'fi'")
2019-11-18 14:53:02,237 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 14:53:02,237 send_clipboard(..) elapsed=372.80, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869], maxlen=90)
2019-11-18 14:53:02,238 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6f80>('UTF8_STRING', 8, '"b\'fi\'"'), time=0
2019-11-18 14:53:02,238 got_text_target(UTF8_STRING, 8, "b'fi'")
2019-11-18 14:53:02,238 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'fi'))")
2019-11-18 14:53:02,239 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'fi'")
2019-11-18 14:53:02,239 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 14:53:02,239 send_clipboard(..) elapsed=372.78, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953], maxlen=90)
2019-11-18 14:53:02,242 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4333', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555082'}>)
2019-11-18 14:53:02,242 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4333', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555082'}>)
2019-11-18 14:53:02,242 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,244 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4336', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555082'}>)
2019-11-18 14:53:02,245 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4336', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555082'}>)
2019-11-18 14:53:02,245 client   3 clipboard clipboard token received
2019-11-18 14:53:02,245 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,256 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,256 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,257 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,257 client   3 clipboard writeText failed
2019-11-18 14:53:02,257 client   3 clipboard clipboard token received
2019-11-18 14:53:02,258 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,258 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,258 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,269 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x434c', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555113', 'selection_timestamp': '2637555113'}>)
2019-11-18 14:53:02,270 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x434c', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555113', 'selection_timestamp': '2637555113'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,270 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6dd0>, 0) owned=False, have-token=False
2019-11-18 14:53:02,271 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,274 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4355', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555118'}>)
2019-11-18 14:53:02,274 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4355', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555118'}>)
2019-11-18 14:53:02,275 PRIMARY-UTF8_STRING='fi' (UTF8_STRING : 8)
2019-11-18 14:53:02,275 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,275 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6dd0>('UTF8_STRING', 8, '"b\'fi\'"'), time=0
2019-11-18 14:53:02,275 got_text_target(UTF8_STRING, 8, "b'fi'")
2019-11-18 14:53:02,276 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'fi'))")
2019-11-18 14:53:02,276 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'fi'")
2019-11-18 14:53:02,276 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 14:53:02,276 send_clipboard(..) elapsed=372.80, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297], maxlen=90)
2019-11-18 14:53:02,277 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x435a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555121'}>)
2019-11-18 14:53:02,277 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x435a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555121'}>)
2019-11-18 14:53:02,277 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,281 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4366', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555126', 'selection_timestamp': '2637555126'}>)
2019-11-18 14:53:02,282 client   3 clipboard clipboard token received
2019-11-18 14:53:02,282 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,282 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4366', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555126', 'selection_timestamp': '2637555126'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,282 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6cb0>, 0) owned=False, have-token=False
2019-11-18 14:53:02,283 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,284 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x436f', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555130'}>)
2019-11-18 14:53:02,285 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x436f', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555130'}>)
2019-11-18 14:53:02,285 PRIMARY-UTF8_STRING='fi' (UTF8_STRING : 8)
2019-11-18 14:53:02,285 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,286 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6cb0>('UTF8_STRING', 8, '"b\'fi\'"'), time=0
2019-11-18 14:53:02,286 got_text_target(UTF8_STRING, 8, "b'fi'")
2019-11-18 14:53:02,286 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'fi'))")
2019-11-18 14:53:02,286 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'fi'")
2019-11-18 14:53:02,286 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:2)
2019-11-18 14:53:02,287 send_clipboard(..) elapsed=372.80, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385], maxlen=90)
2019-11-18 14:53:02,287 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4374', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555132'}>)
2019-11-18 14:53:02,288 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4374', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555132'}>)
2019-11-18 14:53:02,288 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,292 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,292 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,295 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4380', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555139', 'selection_timestamp': '2637555139'}>)
2019-11-18 14:53:02,295 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4380', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555139', 'selection_timestamp': '2637555139'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,296 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6d40>, 0) owned=False, have-token=False
2019-11-18 14:53:02,296 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,298 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x438f', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555143', 'selection_timestamp': '2637555141'}>)
2019-11-18 14:53:02,298 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x438f', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555143', 'selection_timestamp': '2637555141'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,298 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6ef0>, 0) owned=False, have-token=False
2019-11-18 14:53:02,299 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,299 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4390', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555143'}>)
2019-11-18 14:53:02,300 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4390', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555143'}>)
2019-11-18 14:53:02,300 PRIMARY-UTF8_STRING='fiv' (UTF8_STRING : 8)
2019-11-18 14:53:02,300 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,300 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6d40>('UTF8_STRING', 8, '"b\'fiv\'"'), time=0
2019-11-18 14:53:02,301 got_text_target(UTF8_STRING, 8, "b'fiv'")
2019-11-18 14:53:02,301 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'fiv'))")
2019-11-18 14:53:02,301 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'fiv'")
2019-11-18 14:53:02,301 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:3)
2019-11-18 14:53:02,301 send_clipboard(..) elapsed=372.81, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582], maxlen=90)
2019-11-18 14:53:02,302 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6ef0>('UTF8_STRING', 8, '"b\'fiv\'"'), time=0
2019-11-18 14:53:02,302 got_text_target(UTF8_STRING, 8, "b'fiv'")
2019-11-18 14:53:02,302 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'fiv'))")
2019-11-18 14:53:02,302 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'fiv'")
2019-11-18 14:53:02,303 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:3)
2019-11-18 14:53:02,303 send_clipboard(..) elapsed=372.78, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167], maxlen=90)
2019-11-18 14:53:02,304 client   3 clipboard clipboard token received
2019-11-18 14:53:02,305 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,305 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,305 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,306 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4397', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555146'}>)
2019-11-18 14:53:02,306 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4397', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555146'}>)
2019-11-18 14:53:02,307 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,308 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x439a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555146'}>)
2019-11-18 14:53:02,308 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x439a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555146'}>)
2019-11-18 14:53:02,308 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,321 client   3 clipboard clipboard token received
2019-11-18 14:53:02,321 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,322 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,322 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,323 client   3 clipboard writeText failed
2019-11-18 14:53:02,323 client   3 clipboard clipboard token received
2019-11-18 14:53:02,323 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,323 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,324 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,327 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x43b9', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555174', 'selection_timestamp': '2637555171'}>)
2019-11-18 14:53:02,327 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x43b9', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555174', 'selection_timestamp': '2637555171'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,328 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6ef0>, 0) owned=False, have-token=False
2019-11-18 14:53:02,329 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,331 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x43bf', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555176'}>)
2019-11-18 14:53:02,331 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x43bf', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555176'}>)
2019-11-18 14:53:02,331 PRIMARY-UTF8_STRING='fiv' (UTF8_STRING : 8)
2019-11-18 14:53:02,331 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,332 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6ef0>('UTF8_STRING', 8, '"b\'fiv\'"'), time=0
2019-11-18 14:53:02,332 got_text_target(UTF8_STRING, 8, "b'fiv'")
2019-11-18 14:53:02,332 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'fiv'))")
2019-11-18 14:53:02,332 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'fiv'")
2019-11-18 14:53:02,332 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:3)
2019-11-18 14:53:02,333 send_clipboard(..) elapsed=372.80, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265], maxlen=90)
2019-11-18 14:53:02,333 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x43c4', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555178'}>)
2019-11-18 14:53:02,334 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x43c4', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555178'}>)
2019-11-18 14:53:02,334 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,406 client   3 clipboard clipboard token received
2019-11-18 14:53:02,406 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,407 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,407 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,414 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x43d0', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555256', 'selection_timestamp': '2637555255'}>)
2019-11-18 14:53:02,415 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x43d0', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555256', 'selection_timestamp': '2637555255'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,415 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6dd0>, 0) owned=False, have-token=False
2019-11-18 14:53:02,415 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,417 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x43eb', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555262', 'selection_timestamp': '2637555260'}>)
2019-11-18 14:53:02,417 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x43eb', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555262', 'selection_timestamp': '2637555260'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,418 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6cb0>, 0) owned=False, have-token=False
2019-11-18 14:53:02,418 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,419 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x43ec', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555263'}>)
2019-11-18 14:53:02,419 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x43ec', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555263'}>)
2019-11-18 14:53:02,419 PRIMARY-UTF8_STRING='five' (UTF8_STRING : 8)
2019-11-18 14:53:02,420 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,420 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6dd0>('UTF8_STRING', 8, '"b\'five\'"'), time=0
2019-11-18 14:53:02,420 got_text_target(UTF8_STRING, 8, "b'five'")
2019-11-18 14:53:02,420 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'five'))")
2019-11-18 14:53:02,420 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'five'")
2019-11-18 14:53:02,421 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-18 14:53:02,421 send_clipboard(..) elapsed=372.87, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434], maxlen=90)
2019-11-18 14:53:02,421 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6cb0>('UTF8_STRING', 8, '"b\'five\'"'), time=0
2019-11-18 14:53:02,421 got_text_target(UTF8_STRING, 8, "b'five'")
2019-11-18 14:53:02,422 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'five'))")
2019-11-18 14:53:02,422 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'five'")
2019-11-18 14:53:02,422 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-18 14:53:02,422 send_clipboard(..) elapsed=372.85, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434, 6932522.566353473], maxlen=90)
2019-11-18 14:53:02,425 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x43f3', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555265'}>)
2019-11-18 14:53:02,425 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x43f3', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555265'}>)
2019-11-18 14:53:02,425 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,426 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x43f6', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555266'}>)
2019-11-18 14:53:02,427 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x43f6', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555266'}>)
2019-11-18 14:53:02,429 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,430 client   3 clipboard clipboard token received
2019-11-18 14:53:02,430 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,431 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,431 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,431 client   3 clipboard writeText failed
2019-11-18 14:53:02,446 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4415', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555290', 'selection_timestamp': '2637555279'}>)
2019-11-18 14:53:02,446 client   3 clipboard clipboard token received
2019-11-18 14:53:02,447 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,448 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,448 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,447 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4415', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555290', 'selection_timestamp': '2637555279'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,449 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6cb0>, 0) owned=False, have-token=False
2019-11-18 14:53:02,450 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,453 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x441b', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555297'}>)
2019-11-18 14:53:02,454 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x441b', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555297'}>)
2019-11-18 14:53:02,454 PRIMARY-UTF8_STRING='five' (UTF8_STRING : 8)
2019-11-18 14:53:02,454 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,455 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6cb0>('UTF8_STRING', 8, '"b\'five\'"'), time=0
2019-11-18 14:53:02,455 got_text_target(UTF8_STRING, 8, "b'five'")
2019-11-18 14:53:02,455 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'five'))")
2019-11-18 14:53:02,455 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'five'")
2019-11-18 14:53:02,455 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-18 14:53:02,456 send_clipboard(..) elapsed=372.88, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434, 6932522.566353473, 6932522.599706589], maxlen=90)
2019-11-18 14:53:02,456 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4420', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555301'}>)
2019-11-18 14:53:02,457 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4420', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555301'}>)
2019-11-18 14:53:02,457 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,464 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x442c', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555308', 'selection_timestamp': '2637555307'}>)
2019-11-18 14:53:02,464 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x442c', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555308', 'selection_timestamp': '2637555307'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,464 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6e60>, 0) owned=False, have-token=False
2019-11-18 14:53:02,465 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,466 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4435', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555312'}>)
2019-11-18 14:53:02,466 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4435', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555312'}>)
2019-11-18 14:53:02,467 PRIMARY-UTF8_STRING='five' (UTF8_STRING : 8)
2019-11-18 14:53:02,467 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,467 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6e60>('UTF8_STRING', 8, '"b\'five\'"'), time=0
2019-11-18 14:53:02,467 got_text_target(UTF8_STRING, 8, "b'five'")
2019-11-18 14:53:02,468 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'five'))")
2019-11-18 14:53:02,468 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'five'")
2019-11-18 14:53:02,468 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-18 14:53:02,468 send_clipboard(..) elapsed=372.88, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434, 6932522.566353473, 6932522.599706589, 6932522.612416955], maxlen=90)
2019-11-18 14:53:02,469 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x443a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555313'}>)
2019-11-18 14:53:02,469 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x443a', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555313'}>)
2019-11-18 14:53:02,470 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,472 client   3 clipboard clipboard token received
2019-11-18 14:53:02,472 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,472 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,472 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,477 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4449', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555324', 'selection_timestamp': '2637555317'}>)
2019-11-18 14:53:02,477 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4449', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555324', 'selection_timestamp': '2637555317'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,477 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6ef0>, 0) owned=False, have-token=False
2019-11-18 14:53:02,478 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,480 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x444f', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555325'}>)
2019-11-18 14:53:02,480 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x444f', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555325'}>)
2019-11-18 14:53:02,480 PRIMARY-UTF8_STRING='five' (UTF8_STRING : 8)
2019-11-18 14:53:02,480 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,481 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6ef0>('UTF8_STRING', 8, '"b\'five\'"'), time=0
2019-11-18 14:53:02,481 got_text_target(UTF8_STRING, 8, "b'five'")
2019-11-18 14:53:02,481 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'five'))")
2019-11-18 14:53:02,481 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'five'")
2019-11-18 14:53:02,481 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-18 14:53:02,481 send_clipboard(..) elapsed=372.88, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434, 6932522.566353473, 6932522.599706589, 6932522.612416955, 6932522.625656141], maxlen=90)
2019-11-18 14:53:02,482 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4454', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555327'}>)
2019-11-18 14:53:02,482 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4454', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555327'}>)
2019-11-18 14:53:02,483 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,484 client   3 clipboard clipboard token received
2019-11-18 14:53:02,484 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,484 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,485 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,546 client   3 clipboard clipboard token received
2019-11-18 14:53:02,547 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,547 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,547 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,549 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4464', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555394', 'selection_timestamp': '2637555394'}>)
2019-11-18 14:53:02,549 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4464', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555394', 'selection_timestamp': '2637555394'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,550 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6cb0>, 0) owned=False, have-token=False
2019-11-18 14:53:02,550 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,552 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x447d', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555397', 'selection_timestamp': '2637555395'}>)
2019-11-18 14:53:02,552 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x447d', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555397', 'selection_timestamp': '2637555395'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,552 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6dd0>, 0) owned=False, have-token=False
2019-11-18 14:53:02,553 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,553 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x447d', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555397'}>)
2019-11-18 14:53:02,553 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x447d', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555397'}>)
2019-11-18 14:53:02,554 PRIMARY-UTF8_STRING='five' (UTF8_STRING : 8)
2019-11-18 14:53:02,554 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,554 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6cb0>('UTF8_STRING', 8, '"b\'five\'"'), time=0
2019-11-18 14:53:02,554 got_text_target(UTF8_STRING, 8, "b'five'")
2019-11-18 14:53:02,554 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'five'))")
2019-11-18 14:53:02,555 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'five'")
2019-11-18 14:53:02,555 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-18 14:53:02,555 send_clipboard(..) elapsed=372.94, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434, 6932522.566353473, 6932522.599706589, 6932522.612416955, 6932522.625656141, 6932522.699229975], maxlen=90)
2019-11-18 14:53:02,555 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6dd0>('UTF8_STRING', 8, '"b\'five\'"'), time=0
2019-11-18 14:53:02,556 got_text_target(UTF8_STRING, 8, "b'five'")
2019-11-18 14:53:02,556 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'five'))")
2019-11-18 14:53:02,556 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'five'")
2019-11-18 14:53:02,556 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-18 14:53:02,556 send_clipboard(..) elapsed=372.92, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434, 6932522.566353473, 6932522.599706589, 6932522.612416955, 6932522.625656141, 6932522.699229975, 6932522.700644164], maxlen=90)
2019-11-18 14:53:02,559 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4483', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555399'}>)
2019-11-18 14:53:02,559 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4483', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555399'}>)
2019-11-18 14:53:02,559 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,560 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4486', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555400'}>)
2019-11-18 14:53:02,560 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4486', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555400'}>)
2019-11-18 14:53:02,561 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,565 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x449e', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555412', 'selection_timestamp': '2637555408'}>)
2019-11-18 14:53:02,566 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x449e', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555412', 'selection_timestamp': '2637555408'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,566 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6f80>, 0) owned=False, have-token=False
2019-11-18 14:53:02,566 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,568 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x44a4', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555414'}>)
2019-11-18 14:53:02,569 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x44a4', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555414'}>)
2019-11-18 14:53:02,569 PRIMARY-UTF8_STRING='five' (UTF8_STRING : 8)
2019-11-18 14:53:02,569 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,569 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6f80>('UTF8_STRING', 8, '"b\'five\'"'), time=0
2019-11-18 14:53:02,570 got_text_target(UTF8_STRING, 8, "b'five'")
2019-11-18 14:53:02,570 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'five'))")
2019-11-18 14:53:02,570 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'five'")
2019-11-18 14:53:02,570 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-18 14:53:02,570 send_clipboard(..) elapsed=372.87, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434, 6932522.566353473, 6932522.599706589, 6932522.612416955, 6932522.625656141, 6932522.699229975, 6932522.700644164, 6932522.714463485], maxlen=90)
2019-11-18 14:53:02,571 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x44a9', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555415'}>)
2019-11-18 14:53:02,571 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x44a9', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555415'}>)
2019-11-18 14:53:02,572 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,574 client   3 clipboard clipboard token received
2019-11-18 14:53:02,574 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,575 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,575 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,575 client   3 clipboard clipboard token received
2019-11-18 14:53:02,576 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,576 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,576 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,619 client   3 clipboard clipboard token received
2019-11-18 14:53:02,619 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,619 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,620 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,621 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x44b9', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555467', 'selection_timestamp': '2637555467'}>)
2019-11-18 14:53:02,621 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x44b9', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555467', 'selection_timestamp': '2637555467'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,621 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6e60>, 0) owned=False, have-token=False
2019-11-18 14:53:02,622 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,624 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x44c4', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555469', 'selection_timestamp': '2637555467'}>)
2019-11-18 14:53:02,624 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x44c4', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555469', 'selection_timestamp': '2637555467'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,624 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6f80>, 0) owned=False, have-token=False
2019-11-18 14:53:02,625 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,625 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x44c5', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555469'}>)
2019-11-18 14:53:02,625 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x44c5', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555469'}>)
2019-11-18 14:53:02,626 PRIMARY-UTF8_STRING='five' (UTF8_STRING : 8)
2019-11-18 14:53:02,626 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,626 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6e60>('UTF8_STRING', 8, '"b\'five\'"'), time=0
2019-11-18 14:53:02,626 got_text_target(UTF8_STRING, 8, "b'five'")
2019-11-18 14:53:02,627 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'five'))")
2019-11-18 14:53:02,627 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'five'")
2019-11-18 14:53:02,627 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-18 14:53:02,627 send_clipboard(..) elapsed=372.91, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434, 6932522.566353473, 6932522.599706589, 6932522.612416955, 6932522.625656141, 6932522.699229975, 6932522.700644164, 6932522.714463485, 6932522.771289665], maxlen=90)
2019-11-18 14:53:02,627 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6f80>('UTF8_STRING', 8, '"b\'five\'"'), time=0
2019-11-18 14:53:02,628 got_text_target(UTF8_STRING, 8, "b'five'")
2019-11-18 14:53:02,628 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'five'))")
2019-11-18 14:53:02,628 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'five'")
2019-11-18 14:53:02,628 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-18 14:53:02,629 send_clipboard(..) elapsed=372.88, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434, 6932522.566353473, 6932522.599706589, 6932522.612416955, 6932522.625656141, 6932522.699229975, 6932522.700644164, 6932522.714463485, 6932522.771289665, 6932522.772736587], maxlen=90)
2019-11-18 14:53:02,630 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x44cc', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555472'}>)
2019-11-18 14:53:02,631 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x44cc', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555472'}>)
2019-11-18 14:53:02,631 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,632 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x44cf', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555472'}>)
2019-11-18 14:53:02,632 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x44cf', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555472'}>)
2019-11-18 14:53:02,632 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,638 client   3 clipboard clipboard token received
2019-11-18 14:53:02,658 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,659 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,659 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,660 client   3 clipboard clipboard token received
2019-11-18 14:53:02,660 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,661 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,661 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,880 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x44ea', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555724', 'selection_timestamp': '2637555724'}>)
2019-11-18 14:53:02,880 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x44ea', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555724', 'selection_timestamp': '2637555724'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,881 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6f80>, 0) owned=False, have-token=False
2019-11-18 14:53:02,881 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,884 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x44f4', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555729'}>)
2019-11-18 14:53:02,884 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x44f4', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555729'}>)
2019-11-18 14:53:02,885 PRIMARY-UTF8_STRING='five' (UTF8_STRING : 8)
2019-11-18 14:53:02,885 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,885 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6f80>('UTF8_STRING', 8, '"b\'five\'"'), time=0
2019-11-18 14:53:02,885 got_text_target(UTF8_STRING, 8, "b'five'")
2019-11-18 14:53:02,885 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'five'))")
2019-11-18 14:53:02,885 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'five'")
2019-11-18 14:53:02,885 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-18 14:53:02,885 send_clipboard(..) elapsed=373.12, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434, 6932522.566353473, 6932522.599706589, 6932522.612416955, 6932522.625656141, 6932522.699229975, 6932522.700644164, 6932522.714463485, 6932522.771289665, 6932522.772736587, 6932523.029552582], maxlen=90)
2019-11-18 14:53:02,886 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x44f8', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555731'}>)
2019-11-18 14:53:02,886 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x44f8', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555731'}>)
2019-11-18 14:53:02,886 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,895 client   3 clipboard polling: no data available
2019-11-18 14:53:02,895 client   3 clipboard polling: no data available
2019-11-18 14:53:02,896 client   3 clipboard click pending= true buffer= five
2019-11-18 14:53:02,897 client   3 clipboard click event, with pending clipboard datatype= utf8_string , buffer= five
2019-11-18 14:53:02,897 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4507', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555741', 'selection_timestamp': '2637555733'}>)
2019-11-18 14:53:02,898 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4507', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555741', 'selection_timestamp': '2637555733'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,898 client   3 clipboard copy event, clipboard buffer= five
2019-11-18 14:53:02,898 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6ef0>, 0) owned=False, have-token=False
2019-11-18 14:53:02,899 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,902 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4513', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555746', 'selection_timestamp': '2637555743'}>)
2019-11-18 14:53:02,902 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4513', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555746', 'selection_timestamp': '2637555743'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,902 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6cb0>, 0) owned=False, have-token=False
2019-11-18 14:53:02,903 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,904 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4513', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555746'}>)
2019-11-18 14:53:02,904 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4513', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555746'}>)
2019-11-18 14:53:02,904 PRIMARY-UTF8_STRING='five' (UTF8_STRING : 8)
2019-11-18 14:53:02,904 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,904 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6ef0>('UTF8_STRING', 8, '"b\'five\'"'), time=0
2019-11-18 14:53:02,905 got_text_target(UTF8_STRING, 8, "b'five'")
2019-11-18 14:53:02,905 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'five'))")
2019-11-18 14:53:02,905 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'five'")
2019-11-18 14:53:02,905 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-18 14:53:02,905 send_clipboard(..) elapsed=373.12, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434, 6932522.566353473, 6932522.599706589, 6932522.612416955, 6932522.625656141, 6932522.699229975, 6932522.700644164, 6932522.714463485, 6932522.771289665, 6932522.772736587, 6932523.029552582, 6932523.049030347], maxlen=90)
2019-11-18 14:53:02,905 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6cb0>('UTF8_STRING', 8, '"b\'five\'"'), time=0
2019-11-18 14:53:02,905 got_text_target(UTF8_STRING, 8, "b'five'")
2019-11-18 14:53:02,905 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'five'))")
2019-11-18 14:53:02,906 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'five'")
2019-11-18 14:53:02,906 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-18 14:53:02,906 send_clipboard(..) elapsed=373.08, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434, 6932522.566353473, 6932522.599706589, 6932522.612416955, 6932522.625656141, 6932522.699229975, 6932522.700644164, 6932522.714463485, 6932522.771289665, 6932522.772736587, 6932523.029552582, 6932523.049030347, 6932523.049924148], maxlen=90)
2019-11-18 14:53:02,908 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x451b', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555750'}>)
2019-11-18 14:53:02,908 client   3 clipboard clipboard token received
2019-11-18 14:53:02,908 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x451b', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555750'}>)
2019-11-18 14:53:02,908 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,909 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,909 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,909 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x451e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555751'}>)
2019-11-18 14:53:02,910 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,910 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x451e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555751'}>)
2019-11-18 14:53:02,910 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,927 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x452d', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555758', 'selection_timestamp': '2637555757'}>)
2019-11-18 14:53:02,927 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x452d', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555758', 'selection_timestamp': '2637555757'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,927 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6dd0>, 0) owned=False, have-token=False
2019-11-18 14:53:02,928 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,930 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x454c', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555776', 'selection_timestamp': '2637555759'}>)
2019-11-18 14:53:02,930 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x454c', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'PRIMARY', 'timestamp': '2637555776', 'selection_timestamp': '2637555759'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:02,930 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6cb0>, 0) owned=False, have-token=False
2019-11-18 14:53:02,930 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'PRIMARY-UTF8_STRING'
2019-11-18 14:53:02,931 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4552', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555777'}>)
2019-11-18 14:53:02,931 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4552', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555777'}>)
2019-11-18 14:53:02,931 PRIMARY-UTF8_STRING='five' (UTF8_STRING : 8)
2019-11-18 14:53:02,931 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,932 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6dd0>('UTF8_STRING', 8, '"b\'five\'"'), time=0
2019-11-18 14:53:02,932 got_text_target(UTF8_STRING, 8, "b'five'")
2019-11-18 14:53:02,932 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'five'))")
2019-11-18 14:53:02,932 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'five'")
2019-11-18 14:53:02,932 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-18 14:53:02,932 send_clipboard(..) elapsed=373.08, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434, 6932522.566353473, 6932522.599706589, 6932522.612416955, 6932522.625656141, 6932522.699229975, 6932522.700644164, 6932522.714463485, 6932522.771289665, 6932522.772736587, 6932523.029552582, 6932523.049030347, 6932523.049924148, 6932523.076122075], maxlen=90)
2019-11-18 14:53:02,932 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6cb0>('UTF8_STRING', 8, '"b\'five\'"'), time=0
2019-11-18 14:53:02,932 got_text_target(UTF8_STRING, 8, "b'five'")
2019-11-18 14:53:02,932 _send_clipboard_token_handler(X11ClipboardProxy(PRIMARY), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'five'))")
2019-11-18 14:53:02,933 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'five'")
2019-11-18 14:53:02,933 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-18 14:53:02,933 send_clipboard(..) elapsed=372.90, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434, 6932522.566353473, 6932522.599706589, 6932522.612416955, 6932522.625656141, 6932522.699229975, 6932522.700644164, 6932522.714463485, 6932522.771289665, 6932522.772736587, 6932523.029552582, 6932523.049030347, 6932523.049924148, 6932523.076122075, 6932523.07703498], maxlen=90)
2019-11-18 14:53:02,935 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4555', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555778'}>)
2019-11-18 14:53:02,935 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4555', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555778'}>)
2019-11-18 14:53:02,935 PRIMARY-UTF8_STRING='five' (UTF8_STRING : 8)
2019-11-18 14:53:02,935 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:02,935 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4556', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555779'}>)
2019-11-18 14:53:02,936 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x4556', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555779'}>)
2019-11-18 14:53:02,936 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,936 client   3 clipboard clipboard token received
2019-11-18 14:53:02,937 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,937 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,937 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x455e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555782'}>)
2019-11-18 14:53:02,938 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x455e', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'PRIMARY-UTF8_STRING', 'time': '2637555782'}>)
2019-11-18 14:53:02,937 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,938 do_property_notify() property 'PRIMARY-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:02,938 client   3 clipboard clipboard token received
2019-11-18 14:53:02,938 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,939 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,939 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,996 client   3 clipboard clipboard token received
2019-11-18 14:53:02,997 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,997 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,998 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:02,998 client   3 clipboard clipboard token received
2019-11-18 14:53:02,998 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:02,999 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:02,999 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:04,031 client   3 clipboard polling: no data available
2019-11-18 14:53:04,314 client   3 clipboard polling: no data available
2019-11-18 14:53:04,315 client   3 clipboard copy event, clipboard buffer= five
2019-11-18 14:53:04,316 do_xpra_selection_clear(<X11:SelectionClear {'send_event': '0', 'serial': '0x45da', 'delivered_to': '0x400008', 'window': '0x400008', 'selection': 'CLIPBOARD', 'time': '2637557162'}>)
2019-11-18 14:53:04,317 do_xpra_selection_clear(<X11:SelectionClear {'send_event': '0', 'serial': '0x45da', 'delivered_to': '0x400008', 'window': '0x400008', 'selection': 'CLIPBOARD', 'time': '2637557162'}>) was owned=True
2019-11-18 14:53:04,317 do_owner_changed()
2019-11-18 14:53:04,317 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x45da', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'CLIPBOARD', 'timestamp': '2637557163', 'selection_timestamp': '2637557162'}>)
2019-11-18 14:53:04,317 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x45da', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x800124', 'selection': 'CLIPBOARD', 'timestamp': '2637557163', 'selection_timestamp': '2637557162'}>) owned=False, was False (owner=0x800124, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:04,318 get_contents(TARGETS, <function ClipboardProxy.schedule_emit_token.<locals>.got_targets at 0x7f238b7d6dd0>, 0) owned=False, have-token=True
2019-11-18 14:53:04,318 requesting local XConvertSelection from 'gedit' as 'TARGETS' into 'CLIPBOARD-TARGETS'
2019-11-18 14:53:04,319 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x45e0', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2637557165'}>)
2019-11-18 14:53:04,319 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x45e0', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2637557165'}>)
2019-11-18 14:53:04,320 CLIPBOARD-TARGETS='°\x01\x00\x00\x00\x00\x00\x00¬\x01\x00\x00\x00\x00\x00\x00±\x01\x00\x00\x00\x00\x00\x00»\x01\x00\x00\x00\x00\x00\x00²\x01\x00\x00\x00\x00\x00\x00³\x01\x00\x00\x00\x00\x00\x00ç\x00\x00\x00\x00\x00\x00\x00´\x01\x00\x00\x00\x00\x00\x00µ\x01\x00\x00\x00\x00\x00\x00\x1f\x00\x00\x00\x00\x00\x00\x00¶\x01\x00\x00\x00\x00\x00\x00·\x01\x00\x00\x00\x00\x00\x00' (ATOM : 32)
2019-11-18 14:53:04,320 filter_data(TARGETS, ATOM, 32, ..)
2019-11-18 14:53:04,321 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.got_targets at 0x7f238b7d6dd0>('ATOM', 32, '"b\'\\\\xb0\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xac .. 0\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"'), time=0
2019-11-18 14:53:04,321 got_targets: ('TIMESTAMP', 'TARGETS', 'MULTIPLE', 'SAVE_TARGETS', 'GTK_TEXT_BUFFER_CONTENTS', 'application/x-gtk-text-buffer-rich-text', 'UTF8_STRING', 'COMPOUND_TEXT', 'TEXT', 'STRING', 'text/plain;charset=utf-8', 'text/plain')
2019-11-18 14:53:04,321 get_contents(UTF8_STRING, <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6cb0>, 0) owned=False, have-token=True
2019-11-18 14:53:04,322 requesting local XConvertSelection from 'gedit' as 'UTF8_STRING' into 'CLIPBOARD-UTF8_STRING'
2019-11-18 14:53:04,322 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x45e3', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2637557166'}>)
2019-11-18 14:53:04,323 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x45e3', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-TARGETS', 'time': '2637557166'}>)
2019-11-18 14:53:04,323 do_property_notify() property 'CLIPBOARD-TARGETS' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:04,324 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x45ec', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2637557169'}>)
2019-11-18 14:53:04,324 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x45ec', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2637557169'}>)
2019-11-18 14:53:04,325 CLIPBOARD-UTF8_STRING='five' (UTF8_STRING : 8)
2019-11-18 14:53:04,325 filter_data(UTF8_STRING, UTF8_STRING, 8, ..)
2019-11-18 14:53:04,325 got_local_contents: calling <function ClipboardProxy.schedule_emit_token.<locals>.with_targets.<locals>.got_text_target at 0x7f238b7d6cb0>('UTF8_STRING', 8, '"b\'five\'"'), time=0
2019-11-18 14:53:04,325 got_text_target(UTF8_STRING, 8, "b'five'")
2019-11-18 14:53:04,325 _send_clipboard_token_handler(X11ClipboardProxy(CLIPBOARD), "(('UTF8_STRING', 'TEXT', 'STRING', 'text/plain'), ('UTF8_STRING', 'UTF8_STRING', 8, b'five'))")
2019-11-18 14:53:04,325 _munge_raw_selection_to_wire('UTF8_STRING', 'UTF8_STRING', 8, "'five'")
2019-11-18 14:53:04,325 _do_munge_raw_selection_to_wire(UTF8_STRING, UTF8_STRING, 8, <class 'bytes'>:4)
2019-11-18 14:53:04,325 send_clipboard(..) elapsed=374.27, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434, 6932522.566353473, 6932522.599706589, 6932522.612416955, 6932522.625656141, 6932522.699229975, 6932522.700644164, 6932522.714463485, 6932522.771289665, 6932522.772736587, 6932523.029552582, 6932523.049030347, 6932523.049924148, 6932523.076122075, 6932523.07703498, 6932524.469502182], maxlen=90)
2019-11-18 14:53:04,326 do_xpra_property_notify_event(<X11:PropertyNotify {'send_event': '0', 'serial': '0x45f3', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2637557171'}>)
2019-11-18 14:53:04,326 do_property_notify(<X11:PropertyNotify {'send_event': '0', 'serial': '0x45f3', 'delivered_to': '0x400008', 'window': '0x400008', 'atom': 'CLIPBOARD-UTF8_STRING', 'time': '2637557171'}>)
2019-11-18 14:53:04,326 do_property_notify() property 'CLIPBOARD-UTF8_STRING' is gone?
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/xpra/x11/gtk_x11/clipboard.py", line 597, in do_property_notify
    dtype, dformat = X11Window.GetWindowPropertyType(self.xid, event.atom, True)
  File "xpra/x11/bindings/window_bindings.pyx", line 1171, in xpra.x11.bindings.window_bindings.X11WindowBindingsInstance.GetWindowPropertyType
xpra.x11.bindings.window_bindings.BadPropertyType: None type
2019-11-18 14:53:04,344 client   3 clipboard clipboard token received
2019-11-18 14:53:04,356 client   3 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-18 14:53:04,356 client   3 clipboard target= UTF8_STRING is valid: true
2019-11-18 14:53:04,357 client   3 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-18 14:53:04,442 client   3 clipboard polling: no data available
2019-11-18 14:53:04,479 client   3 clipboard polling: no data available

I then simply shifted focus to local word, control-v, enter, typed/control-c 'six'... then clicked back to the gedit window server-side, clicking on the line below where the original 'five' had been typed/copied.

Initial focus/control-v (logs seem to me to indicate 'six' should've been pasted, but 'five' was).

2019-11-18 14:53:52,828 client   3 clipboard polling: no data available
2019-11-18 14:53:52,831 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4c6f', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': 'None', 'selection': 'PRIMARY', 'timestamp': '2637605677', 'selection_timestamp': '2637605677'}>)
2019-11-18 14:53:52,831 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4c6f', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': 'None', 'selection': 'PRIMARY', 'timestamp': '2637605677', 'selection_timestamp': '2637605677'}>) owned=0, was False (owner=0x0, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:52,937 client   3 clipboard polling: no data available
2019-11-18 14:53:52,955 client   3 clipboard polling: no data available
2019-11-18 14:53:52,956 client   3 clipboard click pending= false buffer= five
2019-11-18 14:53:55,019 client   3 clipboard polling: no data available
2019-11-18 14:53:55,540 client   3 clipboard polling: no data available
2019-11-18 14:53:55,620 client   3 clipboard polling: no data available
2019-11-18 14:53:55,636 client   3 clipboard polling: no data available
2019-11-18 14:53:55,636 client   3 clipboard paste event, data= six
2019-11-18 14:53:55,636 client   3 clipboard sending clipboard token with data: six
2019-11-18 14:53:55,638 process clipboard token selection=CLIPBOARD, local clipboard name=CLIPBOARD, proxy=X11ClipboardProxy(CLIPBOARD)
2019-11-18 14:53:55,638 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=3
2019-11-18 14:53:55,638 got token, selection=CLIPBOARD, targets=[b'UTF8_STRING', b'text/plain'], target data={'UTF8_STRING': ('UTF8_STRING', 8, b'six')}, claim=True, can-receive=True
2019-11-18 14:53:55,640 got_contents('TARGETS', 'ATOM', 32, '"b\'\\\\xe7\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"') pending=
2019-11-18 14:53:55,640 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'six\'"') pending=
2019-11-18 14:53:55,640 claim_selection: set selection owner returned 1, owner=0x400008
2019-11-18 14:53:55,640 claim_selection: sending message to root window
2019-11-18 14:53:55,640 claim_selection: done, owned=True
2019-11-18 14:53:55,642 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4d4e', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2637608487', 'selection_timestamp': '2637608487'}>)
2019-11-18 14:53:55,642 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x4d4e', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2637608487', 'selection_timestamp': '2637608487'}>) owned=True, was True (owner=0x400008, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:53:55,642 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x4d50', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2637608487'}>)
2019-11-18 14:53:55,643 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x4d50', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2637608487'}>)
2019-11-18 14:53:55,643 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 14:53:55,643 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-18 14:53:55,643 set_selection_response(<GdkX11.X11Window object at 0x7f238b7facd0 (GdkX11Window at 0x557ede8a72a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2637608487)
2019-11-18 14:53:55,764 client   3 clipboard polling: no data available
2019-11-18 14:53:55,789 client   3 clipboard polling: no data available

I stared at the screen for about a minute, wondering what might have bene different, before remembering that I should try again.

So I hit the space key.

2019-11-18 14:55:21,993 client   3 clipboard polling: no data available
2019-11-18 14:55:22,065 client   3 clipboard polling: no data available
2019-11-18 14:55:22,087 client   3 clipboard polling: no data available
2019-11-18 14:55:22,087 client   3 clipboard click pending= false buffer= six
2019-11-18 14:55:24,104 client   3 clipboard polling: no data available
2019-11-18 14:55:24,132 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x510a', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2637696979'}>)
2019-11-18 14:55:24,132 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x510a', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2637696979'}>)
2019-11-18 14:55:24,133 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 14:55:24,134 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-18 14:55:24,134 set_selection_response(<GdkX11.X11Window object at 0x7f238b780dc0 (GdkX11Window at 0x557ede8a72a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2637696979)
2019-11-18 14:55:24,135 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x510b', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800c8f', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2637696979'}>)
2019-11-18 14:55:24,135 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x510b', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800c8f', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2637696979'}>)
2019-11-18 14:55:24,135 clipboard request for CLIPBOARD from window 0x800c8f: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 14:55:24,135 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-18 14:55:24,135 set_selection_response(<GdkX11.X11Window object at 0x7f238b780aa0 (GdkX11Window at 0x557ede94a090)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2637696979)
2019-11-18 14:55:24,408 client   3 clipboard polling: no data available

Then waited a while before trying control-v again, this time successfully.

2019-11-18 14:55:46,539 client   3 clipboard polling: no data available
2019-11-18 14:55:47,031 client   3 clipboard polling: no data available
2019-11-18 14:55:47,066 client   3 clipboard polling: no data available
2019-11-18 14:55:47,066 client   3 clipboard paste event, data= six
2019-11-18 14:55:47,066 client   3 clipboard sending clipboard token with data: six
2019-11-18 14:55:47,068 process clipboard token selection=CLIPBOARD, local clipboard name=CLIPBOARD, proxy=X11ClipboardProxy(CLIPBOARD)
2019-11-18 14:55:47,068 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=3
2019-11-18 14:55:47,068 got token, selection=CLIPBOARD, targets=[b'UTF8_STRING', b'text/plain'], target data={'UTF8_STRING': ('UTF8_STRING', 8, b'six')}, claim=True, can-receive=True
2019-11-18 14:55:47,069 got_contents('TARGETS', 'ATOM', 32, '"b\'\\\\xe7\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\xb7\\\\x01\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\\\\x00\'"') pending=
2019-11-18 14:55:47,069 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'six\'"') pending=
2019-11-18 14:55:47,069 claim_selection: set selection owner returned 1, owner=0x400008
2019-11-18 14:55:47,069 claim_selection: sending message to root window
2019-11-18 14:55:47,070 claim_selection: done, owned=True
2019-11-18 14:55:47,071 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x5192', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'GTK_TEXT_BUFFER_CONTENTS', 'property': 'GDK_SELECTION', 'time': '2637719914'}>)
2019-11-18 14:55:47,071 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x5192', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'GTK_TEXT_BUFFER_CONTENTS', 'property': 'GDK_SELECTION', 'time': '2637719914'}>)
2019-11-18 14:55:47,071 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=GTK_TEXT_BUFFER_CONTENTS, prop=GDK_SELECTION
2019-11-18 14:55:47,071 client is requesting an unknown target: 'GTK_TEXT_BUFFER_CONTENTS'
2019-11-18 14:55:47,072  valid targets: UTF8_STRING, text/plain
2019-11-18 14:55:47,072  dropping the request
2019-11-18 14:55:47,072 set_selection_response(<GdkX11.X11Window object at 0x7f238b783140 (GdkX11Window at 0x557ede8a72a0)>, GTK_TEXT_BUFFER_CONTENTS, GDK_SELECTION, STRING, 8, "''", 2637719914)
2019-11-18 14:55:47,073 do_xpra_xfixes_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x5195', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2637719916', 'selection_timestamp': '2637719916'}>)
2019-11-18 14:55:47,073 do_selection_notify_event(<X11:XFSelectionNotify {'send_event': '0', 'serial': '0x5195', 'delivered_to': '0x400008', 'window': '0x400008', 'subtype': '0', 'owner': '0x400008', 'selection': 'CLIPBOARD', 'timestamp': '2637719916', 'selection_timestamp': '2637719916'}>) owned=True, was True (owner=0x400008, xid=0x400008), enabled=True, can-send=True
2019-11-18 14:55:47,073 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x5197', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800c94', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2637719916'}>)
2019-11-18 14:55:47,073 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x5197', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800c94', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2637719916'}>)
2019-11-18 14:55:47,074 clipboard request for CLIPBOARD from window 0x800c94: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 14:55:47,074 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-18 14:55:47,074 set_selection_response(<GdkX11.X11Window object at 0x7f238b7837d0 (GdkX11Window at 0x557ede94a230)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2637719916)
2019-11-18 14:55:47,074 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x519e', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2637719916'}>)
2019-11-18 14:55:47,074 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x519e', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2637719916'}>)
2019-11-18 14:55:47,075 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 14:55:47,075 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-18 14:55:47,075 set_selection_response(<GdkX11.X11Window object at 0x7f238b783be0 (GdkX11Window at 0x557ede8a72a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2637719916)
2019-11-18 14:55:47,076 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x51ad', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'text/plain;charset=utf-8', 'property': 'GDK_SELECTION', 'time': '2637719916'}>)
2019-11-18 14:55:47,076 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x51ad', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'text/plain;charset=utf-8', 'property': 'GDK_SELECTION', 'time': '2637719916'}>)
2019-11-18 14:55:47,076 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=text/plain;charset=utf-8, prop=GDK_SELECTION
2019-11-18 14:55:47,076 client is requesting an unknown target: 'text/plain;charset=utf-8'
2019-11-18 14:55:47,076  using 'UTF8_STRING' instead
2019-11-18 14:55:47,076 send_clipboard_request_handler(X11ClipboardProxy(CLIPBOARD), 'CLIPBOARD', 'UTF8_STRING')
2019-11-18 14:55:47,076 send_clipboard_request id=8
2019-11-18 14:55:47,077 send_clipboard(..) elapsed=536.86, clipboard_stats=deque([6932149.093768644, 6932149.094627414, 6932149.125723981, 6932149.172963216, 6932149.173973008, 6932149.202172519, 6932149.224646296, 6932149.22559281, 6932149.236865348, 6932149.32287305, 6932149.337800199, 6932149.353878875, 6932149.430154163, 6932149.430740431, 6932149.492126355, 6932149.507818779, 6932149.580993725, 6932149.598346742, 6932149.623478804, 6932149.633379416, 6932149.634468103, 6932149.665621116, 6932149.681496231, 6932149.698670094, 6932149.71439664, 6932149.715563402, 6932149.728635043, 6932149.749188958, 6932149.762403355, 6932149.78219029, 6932149.840259481, 6932149.856494844, 6932149.895617325, 6932149.913069297, 6932149.932402911, 6932149.974011056, 6932149.992448823, 6932150.177436734, 6932150.195822577, 6932150.362911516, 6932151.57830135, 6932496.994056012, 6932522.263222219, 6932522.277763346, 6932522.293410461, 6932522.381565869, 6932522.383077953, 6932522.420278297, 6932522.430689385, 6932522.445562582, 6932522.446929167, 6932522.476730265, 6932522.564921434, 6932522.566353473, 6932522.599706589, 6932522.612416955, 6932522.625656141, 6932522.699229975, 6932522.700644164, 6932522.714463485, 6932522.771289665, 6932522.772736587, 6932523.029552582, 6932523.049030347, 6932523.049924148, 6932523.076122075, 6932523.07703498, 6932524.469502182, 6932687.220827705], maxlen=90)
2019-11-18 14:55:47,083 client   3 clipboard CLIPBOARD request
2019-11-18 14:55:47,085 client   3 clipboard send_clipboard_string: packet= clipboard-contents,8,CLIPBOARD,UTF8_STRING,8,bytes,six
2019-11-18 14:55:47,085 process clipboard contents, selection=CLIPBOARD, type=UTF8_STRING, format=8
2019-11-18 14:55:47,085 wire selection to raw, encoding=bytes, type=UTF8_STRING, format=8, len(data)=3
2019-11-18 14:55:47,085 clipboard wire -> raw: ('UTF8_STRING', 8, 'bytes', '"b\'six\'"') -> "b'six'"
2019-11-18 14:55:47,086 clipboard got contents(8, 'UTF8_STRING', 8, '"b\'six\'"'): proxy=X11ClipboardProxy(CLIPBOARD) for selection=CLIPBOARD
2019-11-18 14:55:47,086 got_contents('UTF8_STRING', 'UTF8_STRING', 8, '"b\'six\'"') pending=(<GdkX11.X11Window object at 0x7f238b783be0 (GdkX11Window at 0x557ede8a72a0)>, 'GDK_SELECTION', 2637719916)
2019-11-18 14:55:47,086 setting response 'six' to property GDK_SELECTION of window 'gedit' as UTF8_STRING
2019-11-18 14:55:47,086 set_selection_response(<GdkX11.X11Window object at 0x7f238b783be0 (GdkX11Window at 0x557ede8a72a0)>, UTF8_STRING, GDK_SELECTION, UTF8_STRING, 8, "'six'", 2637719916)
2019-11-18 14:55:47,088 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x51b4', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2637719916'}>)
2019-11-18 14:55:47,088 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x51b4', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800124', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2637719916'}>)
2019-11-18 14:55:47,089 clipboard request for CLIPBOARD from window 0x800124: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 14:55:47,089 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-18 14:55:47,089 set_selection_response(<GdkX11.X11Window object at 0x7f238b783a50 (GdkX11Window at 0x557ede8a72a0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2637719916)
2019-11-18 14:55:47,090 do_xpra_selection_request(<X11:SelectionRequest {'send_event': '0', 'serial': '0x51b5', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800c97', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2637719916'}>)
2019-11-18 14:55:47,090 do_selection_request_event(<X11:SelectionRequest {'send_event': '0', 'serial': '0x51b5', 'delivered_to': '0x400008', 'window': '0x400008', 'requestor': '0x800c97', 'selection': 'CLIPBOARD', 'target': 'TARGETS', 'property': 'GDK_SELECTION', 'time': '2637719916'}>)
2019-11-18 14:55:47,090 clipboard request for CLIPBOARD from window 0x800c97: 'gedit', target=TARGETS, prop=GDK_SELECTION
2019-11-18 14:55:47,090 using existing TARGETS value as response: ('UTF8_STRING', 'text/plain')
2019-11-18 14:55:47,091 set_selection_response(<GdkX11.X11Window object at 0x7f238b783a50 (GdkX11Window at 0x557ede94a3d0)>, TARGETS, GDK_SELECTION, ATOM, 32, "'ç\\x00\\x00\\x00\\x00\\x00\\x00\\x00·\\x01\\x00\\x00\\x00\\x00\\x00\\x00'", 2637719916)
2019-11-18 14:55:47,269 client   3 clipboard polling: no data available
2019-11-18 14:55:47,321 client   3 clipboard polling: no data available

Hope that ... narrows it down?

Changed 5 months ago by Antoine Martin

Attachment: clipboard-notime.patch added

don't send the event time with selection notify (use CurrentTime?)

comment:21 Changed 5 months ago by Antoine Martin

I stared at the screen for about a minute

I've spent longer than I'll admit staring at this log (thank you for providing that) wondering why they're different, in both cases:

  • the client catches the paste event and sends the correct value to the server:
    client   3 clipboard paste event, data= six
    client   3 clipboard sending clipboard token with data: six
    
  • the server correctly parses the packet and the value (process clipboard token, got token, got_contents ...)
  • claim_selection happens, so all applications must request clipboard contents from us

After that, when things don't work:

  • we get the XFSelectionNotify corresponding to the claim_selection we just did
  • we get a SelectionRequest for the TARGETS of the CLIPBOARD
  • we respond with: UTF8_STRING, text/plain

When things do work:

  • SelectionRequest comes first, and it isn't requesting the TARGETS but GTK_TEXT_BUFFER_CONTENTS which is not valid so we reply with "nodata"
  • we get a SelectionRequest for the TARGETS of the CLIPBOARD
  • we respond with: UTF8_STRING, text/plain
  • we get another SelectionRequest, we give the same response
  • we get a SelectionRequest for 'text/plain;charset=utf-8', we use UTF8_STRING since client is requesting an unknown target: 'text/plain;charset=utf-8'
  • we send the request to the client: send_clipboard_request
  • client responds with 'six': clipboard-contents,8,CLIPBOARD,UTF8_STRING,8,bytes,six
  • we decode it and set the response: setting response 'six' to property GDK_SELECTION of window 'gedit' as UTF8_STRING
  • we get another pair of SelectionRequests for TARGETS! And use the same response again

Thoughts:

  • race condition depending on the timing of the selection-notify and selection-request?
  • we have the value already, why are we requesting it from the client? (could be because we use the UTF8_STRING workaround for the invalid target?)

comment:22 Changed 5 months ago by Antoine Martin

Fixes:

  • r24456 (+r24458 fixup): if we already own the selection, no need to claim it - this may help with some of the race conditions, but only if we already own the selection when we get the packet - which is not the case here since we keep copying in a different direction (at least if it makes things worse, we'll know where to look?)
  • r24457: fix a shortcut: if we have the selection data, we should not need to roundtrip to the client to get it (value is the same)

And then I did some more testing and I finally managed to reproduce the problem semi reliably, and it really looks to me like comment:13 is the solution: with a value of 50ms or above, the problems go away!

50ms delay is almost acceptable, but ideally I would like to only apply the delay when we know that a paste event is likely to be due: when we get a control-v, or when we get a click.
That's hard because we have to queue the keyboard events conditionally, and drain that queue afterwards.. (and also because I hate Javascript)

comment:23 Changed 5 months ago by alas

Tested some more with 4.0-r24461.

Worked correctly (pasted the locally updated contents on the first control-v attempt) 6 out of 8 tries.

It definitely seems to be a timing issue... though the logs aren't clear about a difference in the timing (maybe it's not my keyboard input timing at all, but it kind of feels like it - if I rush and my fingers don't fail me in the attempt, I seem to be able to trigger the sync failure... if the repetition and/or tequila os too much and my fingers are slow to find the keys then I am not able to trigger the sync failure).

The common denominator seems to be the appearance of the UTF-8_STRING logging... I seem to see it immediately after a successful paste of formerly-local clipboard content... while the instances in which I didn't see it immediately after the control-v, that was when I saw the un-sync'd-server-side clipboard content pasted with the control-v.

2019-11-19 15:38:54,029 client is requesting an unknown target: 'GTK_TEXT_BUFFER_CONTENTS'
2019-11-19 15:38:54,029  valid targets: UTF8_STRING, text/plain
2019-11-19 15:38:54,030  dropping the request
2019-11-19 15:38:54,031 client is requesting an unknown target: 'text/plain;charset=utf-8'
2019-11-19 15:38:54,031  using 'UTF8_STRING' instead

So... just to give something new to stare at (and hopefully something new might click?) - here are logs from some of the successful (non-repro) tests ... routine is simplified to: type in gedit, copy, click to u-=highlight; paste locally, type something even, copy; click back in gedit window on next line, control-v ... if unsuccessful click space, then control-v again... if successful wait a very short while then hit return twice... drink... repeat.

(seven/eight combo and fifteen/sixteen combo were the repros... just so you don't have to try to confirm that from looking at the logs)

So... some first paste success stories. (It looks like I can start at the end of the original server-side copy event, which now indicates the server-side clipboard content after that copy.)

2019-11-19 15:34:42,306 client   1 clipboard click pending= false buffer= one
2019-11-19 15:35:17,045 client   1 clipboard polling: no data available
2019-11-19 15:35:17,162 client   1 clipboard polling: no data available
2019-11-19 15:35:17,163 client   1 clipboard polling: no data available
2019-11-19 15:35:17,163 client   1 clipboard click pending= false buffer= one
2019-11-19 15:35:18,110 client   1 clipboard polling: no data available
2019-11-19 15:35:18,411 client   1 clipboard polling: no data available
2019-11-19 15:35:18,412 client   1 clipboard paste event, data= two
2019-11-19 15:35:18,435 client   1 clipboard sending clipboard token with data: two
2019-11-19 15:35:18,511 client is requesting an unknown target: 'GTK_TEXT_BUFFER_CONTENTS'
2019-11-19 15:35:18,511  valid targets: UTF8_STRING, text/plain
2019-11-19 15:35:18,511  dropping the request
2019-11-19 15:35:18,513 client is requesting an unknown target: 'text/plain;charset=utf-8'
2019-11-19 15:35:18,513  using 'UTF8_STRING' instead
2019-11-19 15:35:18,562 client   1 clipboard polling: no data available
2019-11-19 15:35:18,563 client   1 clipboard polling: no data available

...

2019-11-19 15:36:08,951 client   1 clipboard click pending= false buffer= three
2019-11-19 15:36:53,018 client   1 clipboard polling: no data available
2019-11-19 15:36:53,110 client   1 clipboard polling: no data available
2019-11-19 15:36:53,129 client   1 clipboard polling: no data available
2019-11-19 15:36:53,129 client   1 clipboard click pending= false buffer= three
2019-11-19 15:36:53,856 client   1 clipboard polling: no data available
2019-11-19 15:36:54,142 client   1 clipboard polling: no data available
2019-11-19 15:36:54,168 client   1 clipboard paste event, data= four
2019-11-19 15:36:54,169 client   1 clipboard sending clipboard token with data: four
2019-11-19 15:36:54,231 client is requesting an unknown target: 'GTK_TEXT_BUFFER_CONTENTS'
2019-11-19 15:36:54,231  valid targets: UTF8_STRING, text/plain
2019-11-19 15:36:54,231  dropping the request
2019-11-19 15:36:54,232 client is requesting an unknown target: 'text/plain;charset=utf-8'
2019-11-19 15:36:54,232  using 'UTF8_STRING' instead
2019-11-19 15:36:54,255 client   1 clipboard polling: no data available
2019-11-19 15:36:54,290 client   1 clipboard polling: no data available

...

2019-11-19 15:37:33,300 client   1 clipboard click pending= false buffer= ive
2019-11-19 15:37:47,854 client   1 clipboard polling: no data available
2019-11-19 15:37:47,960 client   1 clipboard polling: no data available
2019-11-19 15:37:47,979 client   1 clipboard polling: no data available
2019-11-19 15:37:47,979 client   1 clipboard click pending= false buffer= ive
2019-11-19 15:37:48,743 client   1 clipboard polling: no data available
2019-11-19 15:37:49,017 client   1 clipboard polling: no data available
2019-11-19 15:37:49,050 client   1 clipboard paste event, data= six
2019-11-19 15:37:49,051 client   1 clipboard sending clipboard token with data: six
2019-11-19 15:37:49,086 client is requesting an unknown target: 'GTK_TEXT_BUFFER_CONTENTS'
2019-11-19 15:37:49,086  valid targets: UTF8_STRING, text/plain
2019-11-19 15:37:49,086  dropping the request
2019-11-19 15:37:49,088 client is requesting an unknown target: 'text/plain;charset=utf-8'
2019-11-19 15:37:49,089  using 'UTF8_STRING' instead
2019-11-19 15:37:49,104 client   1 clipboard polling: no data available
2019-11-19 15:37:49,105 client   1 clipboard polling: no data available

And now one that goes sideways.

2019-11-19 15:38:21,020 client   1 clipboard copy event, clipboard buffer= seven
2019-11-19 15:38:21,026 Warning: more than 30 clipboard requests per second!
2019-11-19 15:38:21,612 client   1 clipboard polling: no data available
2019-11-19 15:38:21,861 client   1 clipboard polling: no data available
2019-11-19 15:38:21,879 client   1 clipboard copy event, clipboard buffer= seven
2019-11-19 15:38:21,891 client   1 clipboard clipboard token received
2019-11-19 15:38:21,900 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-19 15:38:21,901 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-19 15:38:21,901 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-19 15:38:22,021 client   1 clipboard polling: no data available
2019-11-19 15:38:22,039 client   1 clipboard polling: no data available
2019-11-19 15:38:37,893 client   1 clipboard polling: no data available
2019-11-19 15:38:38,029 client   1 clipboard polling: no data available
2019-11-19 15:38:38,029 client   1 clipboard polling: no data available
2019-11-19 15:38:38,030 client   1 clipboard click pending= false buffer= seven
2019-11-19 15:38:38,372 client   1 clipboard polling: no data available
2019-11-19 15:38:38,788 client   1 clipboard polling: no data available
2019-11-19 15:38:38,914 client   1 clipboard paste event, data= eigh
2019-11-19 15:38:38,915 client   1 clipboard sending clipboard token with data: eigh
2019-11-19 15:38:38,915 client   1 clipboard polling: no data available
2019-11-19 15:38:38,938 client   1 clipboard polling: no data available
2019-11-19 15:38:51,727 client   1 clipboard polling: no data available
2019-11-19 15:38:51,900 client   1 clipboard polling: no data available
2019-11-19 15:38:53,451 client   1 clipboard polling: no data available
2019-11-19 15:38:53,930 client   1 clipboard polling: no data available
2019-11-19 15:38:53,949 client   1 clipboard paste event, data= eigh
2019-11-19 15:38:53,949 client   1 clipboard sending clipboard token with data: eigh
2019-11-19 15:38:54,029 client is requesting an unknown target: 'GTK_TEXT_BUFFER_CONTENTS'
2019-11-19 15:38:54,029  valid targets: UTF8_STRING, text/plain
2019-11-19 15:38:54,030  dropping the request
2019-11-19 15:38:54,031 client is requesting an unknown target: 'text/plain;charset=utf-8'
2019-11-19 15:38:54,031  using 'UTF8_STRING' instead
2019-11-19 15:38:54,143 client   1 clipboard polling: no data available
2019-11-19 15:38:54,143 client   1 clipboard polling: no data available

... huh, it doesn't have that final log output the others have indicating what the updated content is. Perhaps whatever that is missing is leading to a 'decision' not to update/sync the clipboard when focus shifts back to the server-side gedit?

More logs... success stories (I'll assume it is a coincidence that I had 3 successes, a failure, then 3 more successes, then another failure...).

2019-11-19 15:39:13,886 client   1 clipboard clipboard token received
2019-11-19 15:39:13,888 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-19 15:39:13,888 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-19 15:39:13,889 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-19 15:39:14,774 client   1 clipboard polling: no data available
2019-11-19 15:39:15,059 client   1 clipboard polling: no data available
2019-11-19 15:39:15,059 client   1 clipboard copy event, clipboard buffer= nine
2019-11-19 15:39:15,122 client   1 clipboard clipboard token received
2019-11-19 15:39:15,122 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-19 15:39:15,122 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-19 15:39:15,122 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-19 15:39:15,217 client   1 clipboard polling: no data available
2019-11-19 15:39:15,241 client   1 clipboard polling: no data available
2019-11-19 15:39:49,695 client   1 clipboard polling: no data available
2019-11-19 15:39:49,769 client   1 clipboard polling: no data available
2019-11-19 15:39:49,789 client   1 clipboard polling: no data available
2019-11-19 15:39:49,789 client   1 clipboard click pending= false buffer= nine
2019-11-19 15:39:50,170 client   1 clipboard polling: no data available
2019-11-19 15:39:50,625 client   1 clipboard polling: no data available
2019-11-19 15:39:50,691 client   1 clipboard polling: no data available
2019-11-19 15:39:50,713 client   1 clipboard paste event, data= ten
2019-11-19 15:39:50,713 client   1 clipboard sending clipboard token with data: ten
2019-11-19 15:39:50,759 client   1 clipboard polling: no data available
2019-11-19 15:39:50,799 client   1 clipboard polling: no data available
2019-11-19 15:39:50,800 client is requesting an unknown target: 'GTK_TEXT_BUFFER_CONTENTS'
2019-11-19 15:39:50,801  valid targets: UTF8_STRING, text/plain
2019-11-19 15:39:50,801  dropping the request
2019-11-19 15:39:50,802 client is requesting an unknown target: 'text/plain;charset=utf-8'
2019-11-19 15:39:50,802  using 'UTF8_STRING' instead
2019-11-19 15:39:55,216 client   1 clipboard polling: no data available
2019-11-19 15:39:55,335 client   1 clipboard polling: no data available
2019-11-19 15:39:55,419 client   1 clipboard polling: no data available
2019-11-19 15:39:55,520 client   1 clipboard polling: no data available

... (shoots down my own theory)

2019-11-19 15:40:02,634 client   1 clipboard copy event, clipboard buffer= eleven
2019-11-19 15:40:02,657 client   1 clipboard clipboard token received
2019-11-19 15:40:02,682 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-19 15:40:02,683 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-19 15:40:02,683 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-19 15:40:02,761 client   1 clipboard polling: no data available
2019-11-19 15:40:02,787 client   1 clipboard polling: no data available
2019-11-19 15:40:26,831 client   1 clipboard polling: no data available
2019-11-19 15:40:26,888 client   1 clipboard polling: no data available
2019-11-19 15:40:26,889 client   1 clipboard polling: no data available
2019-11-19 15:40:26,889 client   1 clipboard click pending= false buffer= eleven
2019-11-19 15:40:27,040 client   1 clipboard polling: no data available
2019-11-19 15:40:27,511 client   1 clipboard polling: no data available
2019-11-19 15:40:27,529 client   1 clipboard paste event, data= twelv
2019-11-19 15:40:27,529 client   1 clipboard sending clipboard token with data: twelv
2019-11-19 15:40:27,631 client is requesting an unknown target: 'GTK_TEXT_BUFFER_CONTENTS'
2019-11-19 15:40:27,631  valid targets: UTF8_STRING, text/plain
2019-11-19 15:40:27,632  dropping the request
2019-11-19 15:40:27,634 client is requesting an unknown target: 'text/plain;charset=utf-8'
2019-11-19 15:40:27,634  using 'UTF8_STRING' instead
2019-11-19 15:40:27,702 client   1 clipboard polling: no data available
2019-11-19 15:40:27,719 client   1 clipboard polling: no data available

...

2019-11-19 15:40:42,547 client   1 clipboard copy event, clipboard buffer= thirteen
2019-11-19 15:40:42,561 client   1 clipboard clipboard token received
2019-11-19 15:40:42,578 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-19 15:40:42,579 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-19 15:40:42,579 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-19 15:40:42,745 client   1 clipboard polling: no data available
2019-11-19 15:40:42,788 client   1 clipboard polling: no data available
2019-11-19 15:40:59,390 client   1 clipboard polling: no data available
2019-11-19 15:40:59,409 client   1 clipboard polling: no data available
2019-11-19 15:40:59,409 client   1 clipboard polling: no data available
2019-11-19 15:40:59,410 client   1 clipboard click pending= false buffer= thirteen
2019-11-19 15:41:00,118 client   1 clipboard polling: no data available
2019-11-19 15:41:00,563 client   1 clipboard polling: no data available
2019-11-19 15:41:00,581 client   1 clipboard paste event, data= fourtee
2019-11-19 15:41:00,581 client   1 clipboard sending clipboard token with data: fourtee
2019-11-19 15:41:00,664 client is requesting an unknown target: 'GTK_TEXT_BUFFER_CONTENTS'
2019-11-19 15:41:00,665  valid targets: UTF8_STRING, text/plain
2019-11-19 15:41:00,665  dropping the request
2019-11-19 15:41:00,667 client is requesting an unknown target: 'text/plain;charset=utf-8'
2019-11-19 15:41:00,668  using 'UTF8_STRING' instead
2019-11-19 15:41:00,759 client   1 clipboard polling: no data available
2019-11-19 15:41:00,759 client   1 clipboard polling: no data available

And then another sync fail.

2019-11-19 15:41:19,645 client   1 clipboard copy event, clipboard buffer= fifteen
2019-11-19 15:41:19,659 client   1 clipboard clipboard token received
2019-11-19 15:41:19,680 client   1 clipboard targets= UTF8_STRING,TEXT,STRING,text/plain
2019-11-19 15:41:19,680 client   1 clipboard target= UTF8_STRING is valid: true
2019-11-19 15:41:19,680 client   1 clipboard dtype= UTF8_STRING dformat= 8 wire-encoding= bytes
2019-11-19 15:41:19,758 client   1 clipboard polling: no data available
2019-11-19 15:41:19,798 client   1 clipboard polling: no data available
2019-11-19 15:41:32,759 client   1 clipboard polling: no data available
2019-11-19 15:41:32,871 client   1 clipboard polling: no data available
2019-11-19 15:41:32,888 client   1 clipboard polling: no data available
2019-11-19 15:41:32,888 client   1 clipboard click pending= false buffer= fifteen
2019-11-19 15:41:33,339 client   1 clipboard polling: no data available
2019-11-19 15:41:33,524 client   1 clipboard polling: no data available
2019-11-19 15:41:33,795 client   1 clipboard polling: no data available
2019-11-19 15:41:33,796 client   1 clipboard paste event, data= sixtee
2019-11-19 15:41:33,796 client   1 clipboard sending clipboard token with data: sixtee
2019-11-19 15:41:33,797 client   1 clipboard polling: no data available
2019-11-19 15:41:33,810 client   1 clipboard polling: no data available
2019-11-19 15:41:35,455 client   1 clipboard polling: no data available
2019-11-19 15:41:35,569 client   1 clipboard polling: no data available
2019-11-19 15:41:36,796 client   1 clipboard polling: no data available
2019-11-19 15:41:37,180 client   1 clipboard polling: no data available
2019-11-19 15:41:37,181 client   1 clipboard paste event, data= sixtee
2019-11-19 15:41:37,198 client   1 clipboard sending clipboard token with data: sixtee
2019-11-19 15:41:37,294 client is requesting an unknown target: 'GTK_TEXT_BUFFER_CONTENTS'
2019-11-19 15:41:37,295  valid targets: UTF8_STRING, text/plain
2019-11-19 15:41:37,295  dropping the request
2019-11-19 15:41:37,297 client is requesting an unknown target: 'text/plain;charset=utf-8'
2019-11-19 15:41:37,297  using 'UTF8_STRING' instead
2019-11-19 15:41:37,315 client   1 clipboard polling: no data available
2019-11-19 15:41:37,319 client   1 clipboard polling: no data available

(Alas, I can't find the delay control in Client.js based on searches for me.debug from comment:13 to confirm whether this rev is using 50ms or 0 ms...)

comment:24 Changed 5 months ago by Antoine Martin

(Alas, I can't find the delay control in Client.js based on searches for me.debug from comment:13 to confirm whether this rev is using 50ms or 0 ms...)

As of r24459, the delay is constified as CLIPBOARD_EVENT_DELAY, defaults to 100ms.

comment:25 Changed 5 months ago by Antoine Martin

Damn, forgot to hit submit - this bit is from yesterday:

r24459 implements a 100ms delay in the html5 client, it is only used when we know / think that a clipboard paste may be in progress. The rest of the time, key events and clicks are sent without delay. (the code is not perfect, but it is relatively simple and the corner cases should be nearly impossible to hit in normal day to day use)
With this change, I am unable to reproduce the bug with Firefox.

Except... I think one of those earlier changes has caused a regression with X11 clients (the clipboard contents remained stuck on an old value), but now that I'm trying to reproduce it, things seem to work fine again, obviously.
r24461 may help with that.

@afarr: I've uploaded new beta 4.0 builds, can you try those?
If you do manage to break it, what is the latency between your client and server? Mine is very low (<10ms).
Edit: you've obviously tried those builds... and still hit the bug.

Last edited 5 months ago by Antoine Martin (previous) (diff)

comment:26 Changed 5 months ago by alas

Resolution: fixed
Status: assignedclosed

Ok, tried with 4.0-r24461, using same command to launch... and same Firefox HTML5 client and same testing routine.

Pings are also very good.

Pinging 10.0.3.148 with 32 bytes of data:
Reply from 10.0.3.148: bytes=32 time=2ms TTL=63
Reply from 10.0.3.148: bytes=32 time=1ms TTL=63
Reply from 10.0.3.148: bytes=32 time=1ms TTL=63
Reply from 10.0.3.148: bytes=32 time=2ms TTL=63

And... 8 out of 8 tries I couldn't repro. Tried a couple other randomly inspired other tests and couldn't make it misbehave with those either.

I think that's it... so I'll close this at last.

comment:27 Changed 5 months ago by alas

Resolution: fixed
Status: closedreopened

Curses, foiled again.

Saw your edit, thought I'd try it a couple more times just to re-assure myself... and immediately triggered it again.

Interestingly, the ping times seem to show some jitter suddenly.

Pinging 10.0.3.148 with 32 bytes of data:
Reply from 10.0.3.148: bytes=32 time=1ms TTL=63
Reply from 10.0.3.148: bytes=32 time=1ms TTL=63
Reply from 10.0.3.148: bytes=32 time=1ms TTL=63
Reply from 10.0.3.148: bytes=32 time=19ms TTL=63

... it isn't much, but it took a significant number of seconds to recover from the dropping of my jaw when I re-triggered the sync failure, so it is possible there was an even bigger spike at the moment I tried it?

I guess I'll re-open this... though at least it seems apparent that it is relatively difficult (usually) to trigger.

comment:28 Changed 5 months ago by Antoine Martin

Priority: criticalmajor

I guess I'll re-open this... though at least it seems apparent that it is relatively difficult (usually) to trigger.

Good, and since I can't seem to be able to fix it... I'm lowering the priority.

comment:29 Changed 2 weeks ago by Antoine Martin

Milestone: 4.04.1
Note: See TracTickets for help on using tickets.